(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/arrow', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.arrow = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsCircleComponent = /** @class */ (function (_super) {
        __extends(IconArrowsCircleComponent, _super);
        function IconArrowsCircleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowsCircleComponent;
    }(core.IconBase));
    IconArrowsCircleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrows-circle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M4.51 12a7.5 7.5 0 017.514-7.486c2.912.006 6.238 2.346 7.466 4.986m.01-4.49l-.01 4.49H15m4.5 2.5a7.51 7.51 0 01-7.539 7.48c-2.894-.01-6.214-2.353-7.451-4.97M4.5 19l.01-4.49L9 14.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.765 18c.012-6.213 5.058-11.241 11.27-11.23 4.369.01 9.358 3.52 11.2 7.48m.015-6.735l-.015 6.735H22.5M29.25 18c-.024 6.22-5.087 11.245-11.308 11.221-4.341-.015-9.322-3.531-11.177-7.456M6.75 28.5l.015-6.735 6.735-.015\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowsCircleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsCircleModule = /** @class */ (function () {
        function IconArrowsCircleModule() {
        }
        return IconArrowsCircleModule;
    }());
    IconArrowsCircleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowsCircleComponent],
                    exports: [IconArrowsCircleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsLeftRightComponent = /** @class */ (function (_super) {
        __extends(IconArrowsLeftRightComponent, _super);
        function IconArrowsLeftRightComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowsLeftRightComponent;
    }(core.IconBase));
    IconArrowsLeftRightComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrows-left-right',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9 13.499h12.25M17.75 10l3.5 3.5-3.5 3.5m-2.752-6.499H2.75M6.25 14l-3.5-3.5L6.25 7\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.5 20.248l18.375.002M26.625 15l5.25 5.25-5.25 5.25m-4.128-9.748L4.125 15.75M9.375 21l-5.25-5.25 5.25-5.25\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowsLeftRightComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsLeftRightModule = /** @class */ (function () {
        function IconArrowsLeftRightModule() {
        }
        return IconArrowsLeftRightModule;
    }());
    IconArrowsLeftRightModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowsLeftRightComponent],
                    exports: [IconArrowsLeftRightComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsLeftRightDownUpComponent = /** @class */ (function (_super) {
        __extends(IconArrowsLeftRightDownUpComponent, _super);
        function IconArrowsLeftRightDownUpComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowsLeftRightDownUpComponent;
    }(core.IconBase));
    IconArrowsLeftRightDownUpComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrows-left-right-down-up',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11.5 2.75v17.5m3.852-13.606L11.5 2.75 7.657 6.646m-.008 9.71l3.853 3.893 3.842-3.896M16.75 8l3.5 3.5-3.5 3.5m-10.5 0l-3.5-3.5L6.25 8m14 3.502L2.75 11.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M17.25 4.125v26.25m5.779-20.409l-5.78-5.841-5.763 5.844m-.012 14.564l5.78 5.841 5.763-5.845M25.125 12l5.25 5.25-5.25 5.25m-15.75 0l-5.25-5.25L9.375 12m21 5.252l-26.25-.001\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowsLeftRightDownUpComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsLeftRightDownUpModule = /** @class */ (function () {
        function IconArrowsLeftRightDownUpModule() {
        }
        return IconArrowsLeftRightDownUpModule;
    }());
    IconArrowsLeftRightDownUpModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowsLeftRightDownUpComponent],
                    exports: [IconArrowsLeftRightDownUpComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsRightLeftComponent = /** @class */ (function (_super) {
        __extends(IconArrowsRightLeftComponent, _super);
        function IconArrowsRightLeftComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowsRightLeftComponent;
    }(core.IconBase));
    IconArrowsRightLeftComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrows-right-left',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5 7.49h12.49M13.5 11.5l3.99-4.01L13.5 3.5M18 16.492H5.5M9.49 20.5L5.5 16.49l3.99-3.99\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.5 11.236h18.735M20.25 17.25l5.985-6.014L20.25 5.25M27 24.738H8.25m5.985 6.013L8.25 24.738l5.985-5.987\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowsRightLeftComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsRightLeftModule = /** @class */ (function () {
        function IconArrowsRightLeftModule() {
        }
        return IconArrowsRightLeftModule;
    }());
    IconArrowsRightLeftModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowsRightLeftComponent],
                    exports: [IconArrowsRightLeftComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsUpDownComponent = /** @class */ (function (_super) {
        __extends(IconArrowsUpDownComponent, _super);
        function IconArrowsUpDownComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowsUpDownComponent;
    }(core.IconBase));
    IconArrowsUpDownComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrows-up-down',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.5 3.75V19m3.852-11.356L7.5 3.75 3.657 7.646m12.845 10.603V2.999m-3.853 11.356l3.853 3.895 3.842-3.898\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11.25 5.625V28.5m5.778-17.034L11.25 5.625l-5.764 5.844m19.267 15.905V4.498m-5.779 17.034l5.78 5.841 5.763-5.845\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowsUpDownComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowsUpDownModule = /** @class */ (function () {
        function IconArrowsUpDownModule() {
        }
        return IconArrowsUpDownModule;
    }());
    IconArrowsUpDownModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowsUpDownComponent],
                    exports: [IconArrowsUpDownComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowCircleComponent = /** @class */ (function (_super) {
        __extends(IconArrowCircleComponent, _super);
        function IconArrowCircleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowCircleComponent;
    }(core.IconBase));
    IconArrowCircleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrow-circle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.5 5v4.5H15M19.264 14c-.81 3.283-3.614 5.5-7.264 5.5-4.35 0-7.5-3.15-7.5-7.5 0-4.348 3.15-7.5 7.5-7.5 3.37 0 6.478 2.125 7.5 5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M29.25 7.5v6.75H22.5m6.396 6.748C27.682 25.923 23.475 29.25 18 29.25c-6.524 0-11.25-4.725-11.25-11.25 0-6.524 4.726-11.25 11.25-11.25 5.055 0 9.717 3.186 11.25 7.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowCircleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowCircleModule = /** @class */ (function () {
        function IconArrowCircleModule() {
        }
        return IconArrowCircleModule;
    }());
    IconArrowCircleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowCircleComponent],
                    exports: [IconArrowCircleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowLongLeftComponent = /** @class */ (function (_super) {
        __extends(IconArrowLongLeftComponent, _super);
        function IconArrowLongLeftComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowLongLeftComponent;
    }(core.IconBase));
    IconArrowLongLeftComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrow-long-left',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M20 12.5H4.51m3.14-3.15L4.51 12.5l3.14 3.14\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M30 18.75H6.765m4.711-4.724L6.765 18.75l4.711 4.711\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowLongLeftComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowLongLeftModule = /** @class */ (function () {
        function IconArrowLongLeftModule() {
        }
        return IconArrowLongLeftModule;
    }());
    IconArrowLongLeftModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowLongLeftComponent],
                    exports: [IconArrowLongLeftComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowLongRightComponent = /** @class */ (function (_super) {
        __extends(IconArrowLongRightComponent, _super);
        function IconArrowLongRightComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowLongRightComponent;
    }(core.IconBase));
    IconArrowLongRightComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrow-long-right',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M4 12.491h15.49m-3.141 3.15l3.142-3.15-3.142-3.14\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M6 18.737h23.235m-4.712 4.724l4.713-4.724-4.713-4.711\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowLongRightComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowLongRightModule = /** @class */ (function () {
        function IconArrowLongRightModule() {
        }
        return IconArrowLongRightModule;
    }());
    IconArrowLongRightModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowLongRightComponent],
                    exports: [IconArrowLongRightComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowRightComponent = /** @class */ (function (_super) {
        __extends(IconArrowRightComponent, _super);
        function IconArrowRightComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowRightComponent;
    }(core.IconBase));
    IconArrowRightComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrow-right',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M5 12.491h12.49M13.5 16.5l3.99-4.008L13.5 8.5\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.5 18.737h18.735M20.25 24.75l5.985-6.012-5.985-5.988\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowRightComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowRightModule = /** @class */ (function () {
        function IconArrowRightModule() {
        }
        return IconArrowRightModule;
    }());
    IconArrowRightModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowRightComponent],
                    exports: [IconArrowRightComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronRightComponent = /** @class */ (function (_super) {
        __extends(IconChevronRightComponent, _super);
        function IconChevronRightComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronRightComponent;
    }(core.IconBase));
    IconChevronRightComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-right',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M9 6l6 6-6 6\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M13.5 9l9 9-9 9\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronRightComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronRightModule = /** @class */ (function () {
        function IconChevronRightModule() {
        }
        return IconChevronRightModule;
    }());
    IconChevronRightModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronRightComponent],
                    exports: [IconChevronRightComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallDownComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallDownComponent, _super);
        function IconChevronSmallDownComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallDownComponent;
    }(core.IconBase));
    IconChevronSmallDownComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-down',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M8.092 10.35l3.904 3.95 3.904-3.948\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M12.138 15.525l5.856 5.925 5.856-5.922\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallDownComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallDownModule = /** @class */ (function () {
        function IconChevronSmallDownModule() {
        }
        return IconChevronSmallDownModule;
    }());
    IconChevronSmallDownModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallDownComponent],
                    exports: [IconChevronSmallDownComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallDownCircleComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallDownCircleComponent, _super);
        function IconChevronSmallDownCircleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallDownCircleComponent;
    }(core.IconBase));
    IconChevronSmallDownCircleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-down-circle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm-3.908 5.85l3.904 3.95 3.904-3.948\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm-5.862 8.775l5.856 5.925 5.856-5.922\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallDownCircleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallDownCircleModule = /** @class */ (function () {
        function IconChevronSmallDownCircleModule() {
        }
        return IconChevronSmallDownCircleModule;
    }());
    IconChevronSmallDownCircleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallDownCircleComponent],
                    exports: [IconChevronSmallDownCircleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallLeftComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallLeftComponent, _super);
        function IconChevronSmallLeftComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallLeftComponent;
    }(core.IconBase));
    IconChevronSmallLeftComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-left',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M13.675 8.096L9.725 12l3.948 3.904\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M20.512 12.144L14.587 18l5.922 5.856\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallLeftComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallLeftModule = /** @class */ (function () {
        function IconChevronSmallLeftModule() {
        }
        return IconChevronSmallLeftModule;
    }());
    IconChevronSmallLeftModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallLeftComponent],
                    exports: [IconChevronSmallLeftComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallLeftCircleComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallLeftCircleComponent, _super);
        function IconChevronSmallLeftCircleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallLeftCircleComponent;
    }(core.IconBase));
    IconChevronSmallLeftCircleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-left-circle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm1.675 3.596L9.725 12l3.948 3.904\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm2.512 5.394L14.587 18l5.922 5.856\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallLeftCircleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallLeftCircleModule = /** @class */ (function () {
        function IconChevronSmallLeftCircleModule() {
        }
        return IconChevronSmallLeftCircleModule;
    }());
    IconChevronSmallLeftCircleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallLeftCircleComponent],
                    exports: [IconChevronSmallLeftCircleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallRightComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallRightComponent, _super);
        function IconChevronSmallRightComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallRightComponent;
    }(core.IconBase));
    IconChevronSmallRightComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-right',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M10.325 15.904L14.275 12l-3.949-3.904\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M15.488 23.856L21.413 18l-5.924-5.856\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallRightComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallRightModule = /** @class */ (function () {
        function IconChevronSmallRightModule() {
        }
        return IconChevronSmallRightModule;
    }());
    IconChevronSmallRightModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallRightComponent],
                    exports: [IconChevronSmallRightComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallRightCircleComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallRightCircleComponent, _super);
        function IconChevronSmallRightCircleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallRightCircleComponent;
    }(core.IconBase));
    IconChevronSmallRightCircleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-right-circle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm-1.675 11.404L15.275 12l-3.949-3.904\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.5 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm-2.512 17.106L22.913 18l-5.924-5.856\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallRightCircleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallRightCircleModule = /** @class */ (function () {
        function IconChevronSmallRightCircleModule() {
        }
        return IconChevronSmallRightCircleModule;
    }());
    IconChevronSmallRightCircleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallRightCircleComponent],
                    exports: [IconChevronSmallRightCircleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallUpComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallUpComponent, _super);
        function IconChevronSmallUpComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallUpComponent;
    }(core.IconBase));
    IconChevronSmallUpComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-up',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M15.9 13.675l-3.904-3.95-3.904 3.949\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M23.851 20.512l-5.856-5.925-5.856 5.923\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallUpComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallUpModule = /** @class */ (function () {
        function IconChevronSmallUpModule() {
        }
        return IconChevronSmallUpModule;
    }());
    IconChevronSmallUpModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallUpComponent],
                    exports: [IconChevronSmallUpComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallUpCircleComponent = /** @class */ (function (_super) {
        __extends(IconChevronSmallUpCircleComponent, _super);
        function IconChevronSmallUpCircleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChevronSmallUpCircleComponent;
    }(core.IconBase));
    IconChevronSmallUpCircleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-chevron-small-up-circle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm3.9 9.175l-3.904-3.95-3.904 3.949\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm5.85 13.762l-5.855-5.925-5.856 5.923\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChevronSmallUpCircleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChevronSmallUpCircleModule = /** @class */ (function () {
        function IconChevronSmallUpCircleModule() {
        }
        return IconChevronSmallUpCircleModule;
    }());
    IconChevronSmallUpCircleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChevronSmallUpCircleComponent],
                    exports: [IconChevronSmallUpCircleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconIncreaseSizeComponent = /** @class */ (function (_super) {
        __extends(IconIncreaseSizeComponent, _super);
        function IconIncreaseSizeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconIncreaseSizeComponent;
    }(core.IconBase));
    IconIncreaseSizeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-increase-size',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path d=\"M20.5 3.5L16 8m1-4.5h3.5V7\" />\n          <path stroke-dasharray=\"1 1\" d=\"M2 9.5h12.5V22\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path d=\"M30.75 5.249L24 11.999m1.5-6.75h5.25v5.25\" />\n          <path stroke-dasharray=\"1 1\" d=\"M3 14.25h18.75V33\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconIncreaseSizeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconIncreaseSizeModule = /** @class */ (function () {
        function IconIncreaseSizeModule() {
        }
        return IconIncreaseSizeModule;
    }());
    IconIncreaseSizeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconIncreaseSizeComponent],
                    exports: [IconIncreaseSizeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconReduceSizeComponent = /** @class */ (function (_super) {
        __extends(IconReduceSizeComponent, _super);
        function IconReduceSizeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconReduceSizeComponent;
    }(core.IconBase));
    IconReduceSizeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-reduce-size',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path d=\"M16.5 16.5L21 21m-4.5-1v-3.5H20\" />\n          <path stroke-dasharray=\"1 1\" d=\"M14.5 2v12.5H2\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path d=\"M24.75 24.75l6.75 6.75M24.75 30v-5.25H30\" />\n          <path stroke-dasharray=\"1 1\" d=\"M21.75 3v18.75H3\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconReduceSizeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconReduceSizeModule = /** @class */ (function () {
        function IconReduceSizeModule() {
        }
        return IconReduceSizeModule;
    }());
    IconReduceSizeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconReduceSizeComponent],
                    exports: [IconReduceSizeComponent],
                },] }
    ];

    var modules = [
        IconArrowsCircleModule,
        IconArrowsLeftRightModule,
        IconArrowsLeftRightDownUpModule,
        IconArrowsRightLeftModule,
        IconArrowsUpDownModule,
        IconArrowCircleModule,
        IconArrowLongLeftModule,
        IconArrowLongRightModule,
        IconArrowRightModule,
        IconChevronRightModule,
        IconChevronSmallDownModule,
        IconChevronSmallDownCircleModule,
        IconChevronSmallLeftModule,
        IconChevronSmallLeftCircleModule,
        IconChevronSmallRightModule,
        IconChevronSmallRightCircleModule,
        IconChevronSmallUpModule,
        IconChevronSmallUpCircleModule,
        IconIncreaseSizeModule,
        IconReduceSizeModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionArrowModule = /** @class */ (function () {
        function IconCollectionArrowModule() {
        }
        return IconCollectionArrowModule;
    }());
    IconCollectionArrowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconArrowCircleComponent = IconArrowCircleComponent;
    exports.IconArrowCircleModule = IconArrowCircleModule;
    exports.IconArrowLongLeftComponent = IconArrowLongLeftComponent;
    exports.IconArrowLongLeftModule = IconArrowLongLeftModule;
    exports.IconArrowLongRightComponent = IconArrowLongRightComponent;
    exports.IconArrowLongRightModule = IconArrowLongRightModule;
    exports.IconArrowRightComponent = IconArrowRightComponent;
    exports.IconArrowRightModule = IconArrowRightModule;
    exports.IconArrowsCircleComponent = IconArrowsCircleComponent;
    exports.IconArrowsCircleModule = IconArrowsCircleModule;
    exports.IconArrowsLeftRightComponent = IconArrowsLeftRightComponent;
    exports.IconArrowsLeftRightDownUpComponent = IconArrowsLeftRightDownUpComponent;
    exports.IconArrowsLeftRightDownUpModule = IconArrowsLeftRightDownUpModule;
    exports.IconArrowsLeftRightModule = IconArrowsLeftRightModule;
    exports.IconArrowsRightLeftComponent = IconArrowsRightLeftComponent;
    exports.IconArrowsRightLeftModule = IconArrowsRightLeftModule;
    exports.IconArrowsUpDownComponent = IconArrowsUpDownComponent;
    exports.IconArrowsUpDownModule = IconArrowsUpDownModule;
    exports.IconChevronRightComponent = IconChevronRightComponent;
    exports.IconChevronRightModule = IconChevronRightModule;
    exports.IconChevronSmallDownCircleComponent = IconChevronSmallDownCircleComponent;
    exports.IconChevronSmallDownCircleModule = IconChevronSmallDownCircleModule;
    exports.IconChevronSmallDownComponent = IconChevronSmallDownComponent;
    exports.IconChevronSmallDownModule = IconChevronSmallDownModule;
    exports.IconChevronSmallLeftCircleComponent = IconChevronSmallLeftCircleComponent;
    exports.IconChevronSmallLeftCircleModule = IconChevronSmallLeftCircleModule;
    exports.IconChevronSmallLeftComponent = IconChevronSmallLeftComponent;
    exports.IconChevronSmallLeftModule = IconChevronSmallLeftModule;
    exports.IconChevronSmallRightCircleComponent = IconChevronSmallRightCircleComponent;
    exports.IconChevronSmallRightCircleModule = IconChevronSmallRightCircleModule;
    exports.IconChevronSmallRightComponent = IconChevronSmallRightComponent;
    exports.IconChevronSmallRightModule = IconChevronSmallRightModule;
    exports.IconChevronSmallUpCircleComponent = IconChevronSmallUpCircleComponent;
    exports.IconChevronSmallUpCircleModule = IconChevronSmallUpCircleModule;
    exports.IconChevronSmallUpComponent = IconChevronSmallUpComponent;
    exports.IconChevronSmallUpModule = IconChevronSmallUpModule;
    exports.IconCollectionArrowModule = IconCollectionArrowModule;
    exports.IconIncreaseSizeComponent = IconIncreaseSizeComponent;
    exports.IconIncreaseSizeModule = IconIncreaseSizeModule;
    exports.IconReduceSizeComponent = IconReduceSizeComponent;
    exports.IconReduceSizeModule = IconReduceSizeModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-arrow.umd.js.map
