(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/building', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.building = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBuildingTreeComponent = /** @class */ (function (_super) {
        __extends(IconBuildingTreeComponent, _super);
        function IconBuildingTreeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBuildingTreeComponent;
    }(core.IconBase));
    IconBuildingTreeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-building-tree',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n        <path\n          d=\"M4 41.5h40M9.5 7.5h35v-2h-35zM32.5 37.5v-6h6l-.018 6zM32.5 27.5v-6h6l-.018 6zM17 21.5h11.5l-.036 6h-5.473M21.95 31.5h6.55l-.036 6H15M11.5 41.5V27.429m-.002 4.558l3.976-2.975M11.5 34.431L9.639 32.57M32.5 17.5v-6h6l-.018 6zM15.5 17.5v-6h13l-.036 6z\"\n        />\n        <path\n          d=\"M11.5 7.5v10.119m31 23.881v-34M21.314 28.087a4.248 4.248 0 00-5.861-3.93 4.766 4.766 0 10-7.924 3.241 5.308 5.308 0 107.154 6.898 2.554 2.554 0 004.375-2.456 4.248 4.248 0 002.256-3.753z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBuildingTreeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBuildingTreeModule = /** @class */ (function () {
        function IconBuildingTreeModule() {
        }
        return IconBuildingTreeModule;
    }());
    IconBuildingTreeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBuildingTreeComponent],
                    exports: [IconBuildingTreeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCityComponent = /** @class */ (function (_super) {
        __extends(IconCityComponent, _super);
        function IconCityComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCityComponent;
    }(core.IconBase));
    IconCityComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-city',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M17.5 17v-2 2zm0-4v-2 2zm2 4v-2 2zm0-4v-2 2zm-6 4v-2 2zm0-4v-2 2zm0-4V7v2zm-2 8v-2 2zm0-4v-2 2zm0-4V7v2zm-2 8v-2 2zm0-4v-2 2zm0-4V7v2zM6 8.5H4h2zm0-3H4h2zm0 6H4h2zm0 3H4h2zm9.5 5h-8 8zm-8-2h-5 5zm14 2h-6 6zM2.5 22V3.5l5-1v19m0 .5V4.5h8V22m0-13.5h6V22\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M26.25 25.5v-3 3zm0-6v-3 3zm3 6v-3 3zm0-6v-3 3zm-9 6v-3 3zm0-6v-3 3zm0-6v-3 3zm-3 12v-3 3zm0-6v-3 3zm0-6v-3 3zm-3 12v-3 3zm0-6v-3 3zm0-6v-3 3zM9 12.75H6h3zm0-4.5H6h3zm0 9H6h3zm0 4.5H6h3zm14.25 7.5h-12 12zm-12-3h-7.5 7.5zm21 3h-9 9zM3.75 33V5.25l7.5-1.5v28.5m0 .75V6.75h12V33m0-20.25h9V33\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M36.5 38.5h6-6zm-13-1h13-13zm-18 1h16-16zm4-25.5v2-2zm3 0v2-2zm3 0v2-2zm-6 4v2-2zm3 0v2-2zm3 0v2-2zm-6 4v2-2zm3 0v2-2zm3 0v2-2zm-6 4.001v2-2zm3 0v2-2zm3 0v2-2zm-6 4v2-2zm3 0v2-2zm3 0v2-2zM25.502 14v2-2zm3 0v2-2zm3 0v2-2zm-6 4v2-2zm3 0v2-2zm3 0v2-2zm-6 4v2-2zm3 0v2-2zm3 0v2-2zm-6 4.001v2-2zm3 0v2-2zm3 0v2-2zm-6 4v2-2zm3 0v2-2zm3 0v2-2zM34.502 14v2-2zm0 4v2-2zm0 4v2-2zm0 4.001v2-2zm0 4v2-2zm-9.001 4v2-2zm3 0v2-2zm3 0v2-2zm3.001 0v2-2zm-25.002-1v1.5-1.5zm3 0v1.5-1.5zm3 0v1.5-1.5zm23.002-11v2-2zm0 4v2-2zm0 4v2-2zm2-8v2-2zm0 4v2-2zm0 4v2-2zm-2 4v2-2zm2 0v2-2zM17.5 34.5v-26l-10 1.982V34.5m16 6.5V12.5h13V41M25 12.5l1-3h8l1 3m1.5 8h6V41m-6-23.5h4v3m-17-3h-4v17m2 6.5v-6.5h-16V41\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCityComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCityModule = /** @class */ (function () {
        function IconCityModule() {
        }
        return IconCityModule;
    }());
    IconCityModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCityComponent],
                    exports: [IconCityComponent],
                },] }
    ];

    var modules = [IconBuildingTreeModule, IconCityModule];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionBuildingModule = /** @class */ (function () {
        function IconCollectionBuildingModule() {
        }
        return IconCollectionBuildingModule;
    }());
    IconCollectionBuildingModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconBuildingTreeComponent = IconBuildingTreeComponent;
    exports.IconBuildingTreeModule = IconBuildingTreeModule;
    exports.IconCityComponent = IconCityComponent;
    exports.IconCityModule = IconCityModule;
    exports.IconCollectionBuildingModule = IconCollectionBuildingModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-building.umd.js.map
