(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/community', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.community = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBulbOnComponent = /** @class */ (function (_super) {
        __extends(IconBulbOnComponent, _super);
        function IconBulbOnComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBulbOnComponent;
    }(core.IconBase));
    IconBulbOnComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-bulb-on',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.9 16c-1.4-.8-2.4-2.3-2.4-4 0-2.5 2-4.5 4.5-4.5s4.5 2 4.5 4.5c0 1.7-1 3.3-2.4 4m.4 0v2.1l-2 .7v.7h-1v-.7l-2-.7V16h5zm1.445-10.95l-.702 1.288m3.6 1.613l-1.282.708M18.5 12l1.5.004m-2.445 3.348l1.299.694m-13.811-.009l1.31-.78M4 12h1.5m-.39-4.01l1.28.824m1.657-3.76l.71 1.289M12 4v1.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14.85 24c-2.1-1.2-3.6-3.45-3.6-6 0-3.75 3-6.75 6.75-6.75s6.75 3 6.75 6.75c0 2.55-1.5 4.95-3.6 6m.6 0v3.15l-3 1.05v1.05h-1.5V28.2l-3-1.05V24h7.5zm2.168-16.424l-1.053 1.93m5.4 2.42l-1.924 1.062M27.75 18l2.25.006m-3.668 5.023l1.949 1.04m-20.717-.013l1.965-1.17M6 18h2.25m-.585-6.015l1.921 1.236m2.485-5.64l1.064 1.933M18 6v2.25\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.3 32.5c-2.8-1.6-4.8-4.6-4.8-8 0-5 4-9 9-9s9 4 9 9c0 3.4-2 6.6-4.8 8m.8 0v6.2l-4 1.4v1.4h-2v-1.4l-4-1.4v-6.2h10zM27 26l-2.5 2v4.5M20 26l2.5 2v4.5m6 2H26m-7.5 2H21m7.5 0H26m-7.5-2H21m16-10l3 .008M7 24.5h3M23.5 8v3m11.69 6.751l2.602-1.494M9.207 32.751l2.598-1.5m18.441-18.44l1.506-2.595m3.44 21.035l2.594 1.506M9.212 16.251l2.598 1.5m3.443-7.539l1.5 2.598\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBulbOnComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBulbOnModule = /** @class */ (function () {
        function IconBulbOnModule() {
        }
        return IconBulbOnModule;
    }());
    IconBulbOnModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBulbOnComponent],
                    exports: [IconBulbOnComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHandshakeComponent = /** @class */ (function (_super) {
        __extends(IconHandshakeComponent, _super);
        function IconHandshakeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconHandshakeComponent;
    }(core.IconBase));
    IconHandshakeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-handshake',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.972 15.133L14.75 10.75 10.2 13c-1.22.612-2.374-.694-1.45-1.8 2.234-2.435 4.066-4.742 6.05-4.1l4 1.25 2.7-1.5v6.85l-8.1 4.5s-.571.3-1.4.3c-.828 0-1.4-.3-1.4-.3l-8.1-4.5V6.85l2.7 1.5 3.902-1.227c1.126-.281 2.106.005 2.964.758\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M28.458 22.7l-6.333-6.575L15.3 19.5c-1.831.918-3.562-1.041-2.176-2.7 3.35-3.653 6.099-7.113 9.075-6.15l6 1.875 4.05-2.25V20.55L20.1 27.3s-.858.45-2.101.45c-1.242 0-2.1-.45-2.1-.45L3.75 20.55V10.275l4.051 2.25 5.852-1.84c1.689-.422 3.159.007 4.446 1.136\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M21.876 31.248l5.498 2.97a1.86 1.86 0 002.512-.749 1.875 1.875 0 00-.747-2.525m-4.478-2.42l7.314 3.952a1.859 1.859 0 002.512-.749c.485-.897.13-2.014-.766-2.498m-6.153-3.324l7.75 4.187a1.859 1.859 0 002.511-.749 1.86 1.86 0 00-.749-2.512l-10.318-5.574L19.9 24.65c-2.44 1.222-4.75-1.39-2.9-3.6 4.466-4.872 8.131-9.484 12.1-8.2l8 2.5 5.4-3v13.7l-4.455 2.474m-13.041 4.413a1.859 1.859 0 01-1.772 3.269L4.5 26.636V11.888l5.4 3 7.803-2.454c2.252-.561 4.448.215 6.165 1.72\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconHandshakeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHandshakeModule = /** @class */ (function () {
        function IconHandshakeModule() {
        }
        return IconHandshakeModule;
    }());
    IconHandshakeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconHandshakeComponent],
                    exports: [IconHandshakeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconNetworkComponent = /** @class */ (function (_super) {
        __extends(IconNetworkComponent, _super);
        function IconNetworkComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconNetworkComponent;
    }(core.IconBase));
    IconNetworkComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-network',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.538 14.503A3.488 3.488 0 018.5 12c0-1.165.55-2.184 1.408-2.817L6.976 5.154c-.26.218-.598.346-.976.346-.85 0-1.5-.65-1.5-1.5S5.15 2.5 6 2.5s1.5.65 1.5 1.5c0 .472-.2.882-.524 1.154l2.933 4.03A3.505 3.505 0 0112 8.503 3.47 3.47 0 0115.501 12c0 1.954-1.547 3.5-3.501 3.5a3.49 3.49 0 01-2.462-.997l-2.625 2.56A2.005 2.005 0 005.5 16.5c-1.13 0-2 .869-2 1.998a1.97 1.97 0 002 2.002c1.13 0 2.006-.872 2.006-2.002 0-.571-.225-1.076-.593-1.436zm8.144.139l-2.502-1.158 2.502 1.158c.31-.686.992-1.142 1.818-1.142 1.136 0 2 .864 2 2 0 1.136-.864 2-2 2-1.136 0-2-.864-2-2 0-.31.065-.6.182-.858zm.083-6.778l-2.942 2.049 2.941-2.05A1.51 1.51 0 0117.5 7c0-.844.656-1.505 1.5-1.505s1.51.661 1.51 1.505c0 .844-.666 1.5-1.51 1.5-.52 0-.968-.248-1.236-.636z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14.306 21.754A5.232 5.232 0 0112.75 18a5.21 5.21 0 012.113-4.225l-4.4-6.044A2.258 2.258 0 019 8.25c-1.275 0-2.25-.975-2.25-2.25S7.725 3.75 9 3.75s2.25.975 2.25 2.25c0 .708-.3 1.324-.787 1.731l4.4 6.044A5.258 5.258 0 0118 12.756c2.931 0 5.252 2.313 5.252 5.244 0 2.931-2.321 5.25-5.252 5.25-1.45 0-2.75-.567-3.694-1.496l-3.936 3.84a3.007 3.007 0 00-2.12-.844c-1.694 0-3 1.303-3 2.997 0 1.695 1.306 3.003 3 3.003 1.695 0 3.009-1.308 3.009-3.003a2.98 2.98 0 00-.89-2.153zm12.216.208l-3.753-1.737 3.753 1.737c.467-1.028 1.49-1.712 2.728-1.712 1.704 0 3 1.296 3 3s-1.296 3-3 3-3-1.296-3-3c0-.466.097-.901.272-1.288zm.125-10.166l-4.413 3.073 4.413-3.073a2.266 2.266 0 01-.397-1.296c0-1.266.984-2.258 2.25-2.258a2.24 2.24 0 012.265 2.258c0 1.266-1 2.25-2.265 2.25a2.228 2.228 0 01-1.853-.954z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.951 10.308l5.866 8.058-5.866-8.058A3.01 3.01 0 0112 11c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3c0 .944-.401 1.765-1.049 2.308zM31.002 24c0 3.908-3.094 7-7.002 7s-7-3.092-7-7 3.092-6.991 7-6.991 7.002 3.083 7.002 6.991zm10.017-10c0 1.687-1.331 3-3.02 3-1.686 0-3-1.313-3-3s1.314-3.01 3-3.01A2.986 2.986 0 0141.02 14zM43 31c0 2.271-1.729 4-4 4s-4-1.729-4-4 1.729-4 4-4 4 1.729 4 4zm-27.988 5.996C15.012 39.256 13.259 41 11 41c-2.258 0-4-1.745-4-4.004C7 34.738 8.742 33 11 33c2.259 0 4.012 1.738 4.012 3.996zm20.517-21.269l-5.885 4.1 5.885-4.1zm-.166 13.557l-5.005-2.317 5.005 2.317zm-21.537 4.842l5.25-5.12-5.25 5.12z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconNetworkComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconNetworkModule = /** @class */ (function () {
        function IconNetworkModule() {
        }
        return IconNetworkModule;
    }());
    IconNetworkModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconNetworkComponent],
                    exports: [IconNetworkComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoSpeechBubblesComponent = /** @class */ (function (_super) {
        __extends(IconTwoSpeechBubblesComponent, _super);
        function IconTwoSpeechBubblesComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTwoSpeechBubblesComponent;
    }(core.IconBase));
    IconTwoSpeechBubblesComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-two-speech-bubbles',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M3.5 5.5h12v9H8.75L6.5 16.75V14.5h-3v-9zm2.5 3h7m-7 2h6m3.5-2h5v9h-3v2.25l-2.25-2.25H9.5v-3m9.5-3h-3.5m2.5 2h-2.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.25 8.25h18v13.5H13.125L9.75 25.125V21.75h-4.5V8.25zM9 12.75h10.5m-10.5 3h9m5.25-3h7.5v13.5h-4.5v3.375l-3.375-3.375H14.25v-4.5m14.25-4.5h-5.25m3.75 3h-3.75\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 9.5h24v18H17L12.5 32v-4.5h-6v-18zm4.5 5h14m-14 8h12m7.5-5h10v18h-6V40L30 35.5H18.5v-8m17.5-5h-5.5m5.5 4h-5.5m-19.5-8h15m7 12H23\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTwoSpeechBubblesComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoSpeechBubblesModule = /** @class */ (function () {
        function IconTwoSpeechBubblesModule() {
        }
        return IconTwoSpeechBubblesModule;
    }());
    IconTwoSpeechBubblesModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTwoSpeechBubblesComponent],
                    exports: [IconTwoSpeechBubblesComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBulbOffComponent = /** @class */ (function (_super) {
        __extends(IconBulbOffComponent, _super);
        function IconBulbOffComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBulbOffComponent;
    }(core.IconBase));
    IconBulbOffComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-bulb-off',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.9 16c-1.4-.8-2.4-2.3-2.4-4 0-2.5 2-4.5 4.5-4.5s4.5 2 4.5 4.5c0 1.7-1 3.3-2.4 4m.4 0v2.1l-2 .7v.7h-1v-.7l-2-.7V16h5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14.85 24c-2.1-1.2-3.6-3.45-3.6-6 0-3.75 3-6.75 6.75-6.75s6.75 3 6.75 6.75c0 2.55-1.5 4.95-3.6 6m.6 0v3.15l-3 1.05v1.05h-1.5V28.2l-3-1.05V24h7.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBulbOffComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBulbOffModule = /** @class */ (function () {
        function IconBulbOffModule() {
        }
        return IconBulbOffModule;
    }());
    IconBulbOffModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBulbOffComponent],
                    exports: [IconBulbOffComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceGrinningComponent = /** @class */ (function (_super) {
        __extends(IconFaceGrinningComponent, _super);
        function IconFaceGrinningComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFaceGrinningComponent;
    }(core.IconBase));
    IconFaceGrinningComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-face-grinning',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9 8.5a.5.5 0 100 1 .5.5 0 000-1M20.5 12c0 4.746-3.754 8.5-8.5 8.5S3.5 16.746 3.5 12c0-4.747 3.754-8.5 8.5-8.5s8.5 3.753 8.5 8.5zM15 8.5a.5.5 0 100 1 .5.5 0 000-1m2 4c0 2.792-2.208 5-5 5s-5-2.208-5-5h10z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.5 12.75a.75.75 0 100 1.5.75.75 0 000-1.5M30.75 18c0 7.12-5.631 12.75-12.75 12.75S5.25 25.12 5.25 18 10.881 5.25 18 5.25 30.75 10.88 30.75 18zm-8.25-5.25a.75.75 0 100 1.5.75.75 0 000-1.5m3 6c0 4.188-3.312 7.5-7.5 7.5-4.188 0-7.5-3.312-7.5-7.5h15z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFaceGrinningComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceGrinningModule = /** @class */ (function () {
        function IconFaceGrinningModule() {
        }
        return IconFaceGrinningModule;
    }());
    IconFaceGrinningModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFaceGrinningComponent],
                    exports: [IconFaceGrinningComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceNeutralComponent = /** @class */ (function (_super) {
        __extends(IconFaceNeutralComponent, _super);
        function IconFaceNeutralComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFaceNeutralComponent;
    }(core.IconBase));
    IconFaceNeutralComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-face-neutral',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.5 12c0 4.746-3.754 8.5-8.5 8.5S3.5 16.746 3.5 12c0-4.747 3.754-8.5 8.5-8.5s8.5 3.753 8.5 8.5zM17 14.5H7m2-6a.5.5 0 100 1 .5.5 0 000-1m6 0a.5.5 0 100 1 .5.5 0 000-1\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M30.75 18c0 7.12-5.631 12.75-12.75 12.75S5.25 25.12 5.25 18 10.881 5.25 18 5.25 30.75 10.88 30.75 18zm-5.25 3.75h-15m3-9a.75.75 0 100 1.5.75.75 0 000-1.5m9 0a.75.75 0 100 1.5.75.75 0 000-1.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFaceNeutralComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceNeutralModule = /** @class */ (function () {
        function IconFaceNeutralModule() {
        }
        return IconFaceNeutralModule;
    }());
    IconFaceNeutralModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFaceNeutralComponent],
                    exports: [IconFaceNeutralComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceSadComponent = /** @class */ (function (_super) {
        __extends(IconFaceSadComponent, _super);
        function IconFaceSadComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFaceSadComponent;
    }(core.IconBase));
    IconFaceSadComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-face-sad',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.553 15.5c-.762-1.77-2.481-3-4.553-3-2.071 0-3.791 1.23-4.553 3M20.5 12c0 4.746-3.754 8.5-8.5 8.5S3.5 16.746 3.5 12c0-4.747 3.754-8.5 8.5-8.5s8.5 3.753 8.5 8.5zM9 8.5a.5.5 0 100 1 .5.5 0 000-1m6 0a.5.5 0 100 1 .5.5 0 000-1\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24.83 23.25c-1.144-2.654-3.722-4.5-6.83-4.5-3.107 0-5.687 1.846-6.83 4.5M30.75 18c0 7.12-5.631 12.75-12.75 12.75S5.25 25.12 5.25 18 10.881 5.25 18 5.25 30.75 10.88 30.75 18zM13.5 12.75a.75.75 0 100 1.5.75.75 0 000-1.5m9 0a.75.75 0 100 1.5.75.75 0 000-1.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFaceSadComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceSadModule = /** @class */ (function () {
        function IconFaceSadModule() {
        }
        return IconFaceSadModule;
    }());
    IconFaceSadModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFaceSadComponent],
                    exports: [IconFaceSadComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceSmilingComponent = /** @class */ (function (_super) {
        __extends(IconFaceSmilingComponent, _super);
        function IconFaceSmilingComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFaceSmilingComponent;
    }(core.IconBase));
    IconFaceSmilingComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-face-smiling',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.5 12c0 4.746-3.754 8.5-8.5 8.5S3.5 16.746 3.5 12c0-4.747 3.754-8.5 8.5-8.5s8.5 3.753 8.5 8.5zM7.447 14.5c.762 1.77 2.482 3 4.553 3 2.072 0 3.79-1.23 4.553-3M9 8.5a.5.5 0 100 1 .5.5 0 000-1m6 0a.5.5 0 100 1 .5.5 0 000-1\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M30.75 18c0 7.12-5.631 12.75-12.75 12.75S5.25 25.12 5.25 18 10.881 5.25 18 5.25 30.75 10.88 30.75 18zm-19.58 3.75c1.143 2.655 3.723 4.5 6.83 4.5 3.108 0 5.686-1.845 6.83-4.5m-11.33-9a.75.75 0 100 1.5.75.75 0 000-1.5m9 0a.75.75 0 100 1.5.75.75 0 000-1.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFaceSmilingComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFaceSmilingModule = /** @class */ (function () {
        function IconFaceSmilingModule() {
        }
        return IconFaceSmilingModule;
    }());
    IconFaceSmilingModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFaceSmilingComponent],
                    exports: [IconFaceSmilingComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconOnboardingComponent = /** @class */ (function (_super) {
        __extends(IconOnboardingComponent, _super);
        function IconOnboardingComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconOnboardingComponent;
    }(core.IconBase));
    IconOnboardingComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-onboarding',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11 19.5h3m-7.5-2h12M6.5 2.499v19h12v-19h-12zm4 6.001l-2 2 2 2m4 0l2-2-2-2\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.5 29.25H21m-11.25-3h18m-18-22.502V32.25h18V3.75l-18-.002zm6 9.002l-3 3 3 3m6 0l3-3-3-3\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconOnboardingComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconOnboardingModule = /** @class */ (function () {
        function IconOnboardingModule() {
        }
        return IconOnboardingModule;
    }());
    IconOnboardingModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconOnboardingComponent],
                    exports: [IconOnboardingComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconQuestionAnswerComponent = /** @class */ (function (_super) {
        __extends(IconQuestionAnswerComponent, _super);
        function IconQuestionAnswerComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconQuestionAnswerComponent;
    }(core.IconBase));
    IconQuestionAnswerComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-question-answer',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M3.5 5.5h12v9H8.75L6.5 16.75V14.5h-3v-9zm12 3h5v9h-3v2.25l-2.25-2.25H9.5v-3m9.5-3h-3.5m2.5 2h-2.5\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M8.828 12.628v-.812h.844v.812h-.844zM7.497 8.675c.018-.484.113-.859.285-1.125.158-.244.369-.433.633-.566.263-.133.558-.199.886-.199.529 0 .949.15 1.262.449.291.276.437.639.437 1.09 0 .372-.099.693-.296.961-.089.122-.301.347-.637.675a2.052 2.052 0 00-.311.358.998.998 0 00-.123.353 3.116 3.116 0 00-.039.547H8.93c.006-.398.041-.694.106-.886a1.23 1.23 0 01.201-.379c.087-.112.281-.322.58-.629.193-.198.319-.377.379-.535.049-.136.074-.274.074-.414 0-.261-.072-.479-.215-.657-.172-.216-.426-.324-.762-.324-.695 0-1.07.427-1.125 1.281h-.671z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M5.25 8.25h18v13.5H13.125L9.75 25.125V21.75h-4.5V8.25zm18 4.5h7.5v13.5h-4.5v3.375l-3.375-3.375H14.25v-4.5m14.25-4.5h-5.25m3.75 3h-3.75\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M13.242 18.942v-1.218h1.266v1.218h-1.266zm-1.997-5.93c.028-.726.17-1.288.428-1.687.237-.366.553-.65.95-.849.394-.2.837-.299 1.329-.299.793 0 1.423.226 1.893.674.436.414.655.958.655 1.635 0 .558-.148 1.04-.444 1.441-.134.184-.452.521-.956 1.013a3.078 3.078 0 00-.466.537c-.087.143-.149.32-.184.53a4.674 4.674 0 00-.059.82h-.996c.009-.597.062-1.041.159-1.329.07-.211.17-.402.301-.568.131-.168.422-.483.87-.944.29-.297.479-.566.569-.803a1.82 1.82 0 00.111-.62c0-.392-.108-.719-.322-.986-.258-.324-.64-.486-1.143-.486-1.043 0-1.605.64-1.688 1.921h-1.007z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconQuestionAnswerComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconQuestionAnswerModule = /** @class */ (function () {
        function IconQuestionAnswerModule() {
        }
        return IconQuestionAnswerModule;
    }());
    IconQuestionAnswerModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconQuestionAnswerComponent],
                    exports: [IconQuestionAnswerComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconShareComponent = /** @class */ (function (_super) {
        __extends(IconShareComponent, _super);
        function IconShareComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconShareComponent;
    }(core.IconBase));
    IconShareComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-share',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14.745 6.492c.333.612.978 1.008 1.755 1.008 1.144 0 2-.856 2-2 0-1.144-.856-2-2-2-1.144 0-2 .856-2 2 0 .366.088.703.245.992l-6.58 3.857C7.816 9.825 7.219 9.5 6.5 9.5c-1.157 0-2 .843-2 2 0 1.156.843 2 2 2 .771 0 1.402-.375 1.737-.966.169-.297.263-.648.263-1.034 0-.438-.121-.832-.334-1.15zm.033 9.96l-6.54-3.917 6.54 3.918c.351-.602.975-.953 1.722-.953 1.117 0 2 .883 2 2 0 1.118-.883 2-2 2a1.979 1.979 0 01-1.994-2c0-.37.099-.748.272-1.047z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M22.117 9.738c.5.918 1.467 1.512 2.633 1.512 1.716 0 3-1.284 3-3s-1.284-3-3-3-3 1.284-3 3a3.1 3.1 0 00.367 1.488l-9.868 5.785c-.526-.786-1.422-1.273-2.499-1.273-1.736 0-3 1.265-3 3 0 1.734 1.264 3 3 3 1.156 0 2.103-.562 2.605-1.449.254-.445.395-.972.395-1.55 0-.658-.181-1.249-.501-1.727zm.05 14.941l-9.811-5.877 9.811 5.877c.526-.903 1.462-1.43 2.583-1.43 1.675 0 3 1.325 3 3 0 1.678-1.325 3-3 3a2.968 2.968 0 01-2.991-3c0-.554.148-1.121.408-1.57z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconShareComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconShareModule = /** @class */ (function () {
        function IconShareModule() {
        }
        return IconShareModule;
    }());
    IconShareModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconShareComponent],
                    exports: [IconShareComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSpeechBubbleComponent = /** @class */ (function (_super) {
        __extends(IconSpeechBubbleComponent, _super);
        function IconSpeechBubbleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSpeechBubbleComponent;
    }(core.IconBase));
    IconSpeechBubbleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-speech-bubble',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M4.5 6.5h15v11H9.75L7.5 19.75V17.5h-3v-11zM7 9.479h10.021M6.979 11.563H17m-10.021 2h7.979\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.75 9.75h22.5v16.5H14.625l-3.375 3.375V26.25h-4.5V9.75zm3.75 4.469h15.032m-15.063 3.125H25.5m-15.031 3h11.968\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSpeechBubbleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSpeechBubbleModule = /** @class */ (function () {
        function IconSpeechBubbleModule() {
        }
        return IconSpeechBubbleModule;
    }());
    IconSpeechBubbleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSpeechBubbleComponent],
                    exports: [IconSpeechBubbleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSpeechBubbleGroupEmptyComponent = /** @class */ (function (_super) {
        __extends(IconSpeechBubbleGroupEmptyComponent, _super);
        function IconSpeechBubbleGroupEmptyComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSpeechBubbleGroupEmptyComponent;
    }(core.IconBase));
    IconSpeechBubbleGroupEmptyComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-speech-bubble-group-empty',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M3.5 4.5h8v5H6.75L4.5 11.75V9.5h-1v-5zm13 8v6h-2v2.25l-2.25-2.25H7.5v-6h9zm4-7v4h-1v2.25L17.25 9.5H14.5v-4h6z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.25 6.75h12v7.5h-7.125L6.75 17.625V14.25h-1.5v-7.5zm19.5 12v9h-3v3.375l-3.375-3.375H11.25v-9h13.5zm6-10.5v6h-1.5v3.375l-3.375-3.375H21.75v-6h9z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSpeechBubbleGroupEmptyComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSpeechBubbleGroupEmptyModule = /** @class */ (function () {
        function IconSpeechBubbleGroupEmptyModule() {
        }
        return IconSpeechBubbleGroupEmptyModule;
    }());
    IconSpeechBubbleGroupEmptyModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSpeechBubbleGroupEmptyComponent],
                    exports: [IconSpeechBubbleGroupEmptyComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconThumbDownComponent = /** @class */ (function (_super) {
        __extends(IconThumbDownComponent, _super);
        function IconThumbDownComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconThumbDownComponent;
    }(core.IconBase));
    IconThumbDownComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-thumb-down',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16 11.508h1.5m-12.001 2H8.5V5.5H5.499v8.008zm10.501-4h1.5m-1.5-2h.5m1 6a1 1 0 100-2 1 1 0 100-2 1 1 0 100-2h-1a1 1 0 000-2h-5c-1.508 0-3 .5-3 3v5h1l4.29 4.704a.998.998 0 001.71-.703.985.985 0 00-.062-.349L14 13.508h3.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24 17.262h2.25m-18.002 3h4.502V8.25H8.248v12.012zm15.752-6h2.25m-2.25-3h.75m1.5 9a1.5 1.5 0 100-3 1.5 1.5 0 100-3 1.5 1.5 0 100-3h-1.5a1.5 1.5 0 000-3h-7.5c-2.262 0-4.5.75-4.5 4.5v7.5h1.5l6.435 7.057a1.5 1.5 0 002.472-1.578L21 20.263h5.25\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconThumbDownComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconThumbDownModule = /** @class */ (function () {
        function IconThumbDownModule() {
        }
        return IconThumbDownModule;
    }());
    IconThumbDownModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconThumbDownComponent],
                    exports: [IconThumbDownComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconThumbUpComponent = /** @class */ (function (_super) {
        __extends(IconThumbUpComponent, _super);
        function IconThumbUpComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconThumbUpComponent;
    }(core.IconBase));
    IconThumbUpComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-thumb-up',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16 12.5h1.5M5.499 18.51H8.5v-8.008H5.499v8.008zM16 14.499h1.5M16 16.502h.5m1-6a1 1 0 110 2 1 1 0 110 2 1 1 0 110 2h-1a1 1 0 010 2h-5c-1.508 0-3-.5-3-3v-5h1l4.29-4.706a1.002 1.002 0 011.648 1.052L14 10.5h3.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24 18.75h2.25M8.248 27.764h4.502V15.752H8.248v12.011zM24 21.75h2.25M24 24.75h.75m1.5-9a1.5 1.5 0 110 3 1.5 1.5 0 110 3 1.5 1.5 0 110 3h-1.5a1.5 1.5 0 010 3h-7.5c-2.262 0-4.5-.75-4.5-4.5v-7.5h1.5l6.435-7.058A1.502 1.502 0 0123.25 9.75c0 .183-.032.359-.093.52L21 15.75h5.25\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconThumbUpComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconThumbUpModule = /** @class */ (function () {
        function IconThumbUpModule() {
        }
        return IconThumbUpModule;
    }());
    IconThumbUpModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconThumbUpComponent],
                    exports: [IconThumbUpComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTranslateComponent = /** @class */ (function (_super) {
        __extends(IconTranslateComponent, _super);
        function IconTranslateComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTranslateComponent;
    }(core.IconBase));
    IconTranslateComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-translate',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.5 11.82l-3 3V12.5h-3v-9h13v7m6 0h-13v9h7.709l2.291 2.291V19.5h3v-9zm-7.5-4H4m8 2H4m16 5H10m10 2H10M2.5 15v4.5h3.793m-1.768-1.768L6.293 19.5l-1.768 1.767M21.5 9V5.5h-3.793m1.768 1.768L17.707 5.5l1.768-1.767\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12.75 17.731l-4.5 4.5V18.75h-4.5V5.25h19.5v10.5m9 0h-19.5v13.5h11.564l3.436 3.437V29.25h4.5v-13.5zM21 9.75H6m12 3H6m24 7.5H15m15 3H15M3.75 22.5v6.75h5.69m-2.653-2.651L9.44 29.25 6.787 31.9M32.25 13.5V8.25h-5.69m2.652 2.651L26.56 8.25l2.652-2.65\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTranslateComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTranslateModule = /** @class */ (function () {
        function IconTranslateModule() {
        }
        return IconTranslateModule;
    }());
    IconTranslateModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTranslateComponent],
                    exports: [IconTranslateComponent],
                },] }
    ];

    var modules = [
        IconBulbOnModule,
        IconHandshakeModule,
        IconNetworkModule,
        IconTwoSpeechBubblesModule,
        IconBulbOffModule,
        IconFaceGrinningModule,
        IconFaceNeutralModule,
        IconFaceSadModule,
        IconFaceSmilingModule,
        IconOnboardingModule,
        IconQuestionAnswerModule,
        IconShareModule,
        IconSpeechBubbleModule,
        IconSpeechBubbleGroupEmptyModule,
        IconThumbDownModule,
        IconThumbUpModule,
        IconTranslateModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionCommunityModule = /** @class */ (function () {
        function IconCollectionCommunityModule() {
        }
        return IconCollectionCommunityModule;
    }());
    IconCollectionCommunityModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconBulbOffComponent = IconBulbOffComponent;
    exports.IconBulbOffModule = IconBulbOffModule;
    exports.IconBulbOnComponent = IconBulbOnComponent;
    exports.IconBulbOnModule = IconBulbOnModule;
    exports.IconCollectionCommunityModule = IconCollectionCommunityModule;
    exports.IconFaceGrinningComponent = IconFaceGrinningComponent;
    exports.IconFaceGrinningModule = IconFaceGrinningModule;
    exports.IconFaceNeutralComponent = IconFaceNeutralComponent;
    exports.IconFaceNeutralModule = IconFaceNeutralModule;
    exports.IconFaceSadComponent = IconFaceSadComponent;
    exports.IconFaceSadModule = IconFaceSadModule;
    exports.IconFaceSmilingComponent = IconFaceSmilingComponent;
    exports.IconFaceSmilingModule = IconFaceSmilingModule;
    exports.IconHandshakeComponent = IconHandshakeComponent;
    exports.IconHandshakeModule = IconHandshakeModule;
    exports.IconNetworkComponent = IconNetworkComponent;
    exports.IconNetworkModule = IconNetworkModule;
    exports.IconOnboardingComponent = IconOnboardingComponent;
    exports.IconOnboardingModule = IconOnboardingModule;
    exports.IconQuestionAnswerComponent = IconQuestionAnswerComponent;
    exports.IconQuestionAnswerModule = IconQuestionAnswerModule;
    exports.IconShareComponent = IconShareComponent;
    exports.IconShareModule = IconShareModule;
    exports.IconSpeechBubbleComponent = IconSpeechBubbleComponent;
    exports.IconSpeechBubbleGroupEmptyComponent = IconSpeechBubbleGroupEmptyComponent;
    exports.IconSpeechBubbleGroupEmptyModule = IconSpeechBubbleGroupEmptyModule;
    exports.IconSpeechBubbleModule = IconSpeechBubbleModule;
    exports.IconThumbDownComponent = IconThumbDownComponent;
    exports.IconThumbDownModule = IconThumbDownModule;
    exports.IconThumbUpComponent = IconThumbUpComponent;
    exports.IconThumbUpModule = IconThumbUpModule;
    exports.IconTranslateComponent = IconTranslateComponent;
    exports.IconTranslateModule = IconTranslateModule;
    exports.IconTwoSpeechBubblesComponent = IconTwoSpeechBubblesComponent;
    exports.IconTwoSpeechBubblesModule = IconTwoSpeechBubblesModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-community.umd.js.map
