(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/document', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.document = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentCheckComponent = /** @class */ (function (_super) {
        __extends(IconDocumentCheckComponent, _super);
        function IconDocumentCheckComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentCheckComponent;
    }(core.IconBase));
    IconDocumentCheckComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-check',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.496 4.5l.004 15h11l-.002-10.006L12.5 4.5H6.496zM8 13.5h3m-3 3h3m1-3.5l1 1 3-3m-4 5l1 1 3-3m-3.5-9.5v5l4.998-.006\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.743 6.75l.006 22.5h16.5l-.003-15.009L18.75 6.75H9.743zM12 20.25h4.5m-4.5 4.5h4.5M18 19.5l1.5 1.5 4.5-4.5M18 24l1.5 1.5L24 21M18.75 6.75v7.5l7.497-.009\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentCheckComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentCheckModule = /** @class */ (function () {
        function IconDocumentCheckModule() {
        }
        return IconDocumentCheckModule;
    }());
    IconDocumentCheckModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentCheckComponent],
                    exports: [IconDocumentCheckComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentImageComponent = /** @class */ (function (_super) {
        __extends(IconDocumentImageComponent, _super);
        function IconDocumentImageComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentImageComponent;
    }(core.IconBase));
    IconDocumentImageComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-image',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 4.5h6l5 5v10h-11v-15zm6 0v5h5m-2 6.995l-1-4.005-2 3.007-2-5.997-2 6.995h7z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm9 0v7.5h7.5m-3 10.492l-1.5-6.007-3 4.51-3-8.995-3 10.492h10.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentImageComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentImageModule = /** @class */ (function () {
        function IconDocumentImageModule() {
        }
        return IconDocumentImageModule;
    }());
    IconDocumentImageModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentImageComponent],
                    exports: [IconDocumentImageComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentLockComponent = /** @class */ (function (_super) {
        __extends(IconDocumentLockComponent, _super);
        function IconDocumentLockComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentLockComponent;
    }(core.IconBase));
    IconDocumentLockComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-lock',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12 19.5H6.5v-15h6l5 5V11m0-1.5h-5v-5m-3.5 8h5m-5.002 2h3M9 16.5h3m3.5-1v-2a1 1 0 112 0v2m-1 3.5v-2.031m-3 3.531h6v-5h-6v5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18 29.25H9.75V6.75h9l7.5 7.5v2.25m0-2.25h-7.5v-7.5m-5.25 12H21m-7.504 3h4.5m-4.496 3H18m5.25-1.5v-3a1.5 1.5 0 113 0v3m-1.5 5.25v-3.047m-4.5 5.297h9v-7.5h-9v7.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentLockComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentLockModule = /** @class */ (function () {
        function IconDocumentLockModule() {
        }
        return IconDocumentLockModule;
    }());
    IconDocumentLockModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentLockComponent],
                    exports: [IconDocumentLockComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentPdfComponent = /** @class */ (function (_super) {
        __extends(IconDocumentPdfComponent, _super);
        function IconDocumentPdfComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentPdfComponent;
    }(core.IconBase));
    IconDocumentPdfComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-pdf',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M6.509 4.5h5.99l5 5v10h-11l.01-15zm5.991 0v5h5\" />\n          <path\n            fill=\"#000\"\n            d=\"M8.651 15.555v.85h.584c.174 0 .3-.032.375-.093.095-.076.142-.19.142-.339 0-.15-.055-.262-.164-.336-.079-.055-.208-.082-.388-.082h-.549zm-.654-.554h1.21c.203 0 .363.013.481.038a.942.942 0 01.317.134c.26.176.391.44.391.792 0 .314-.108.56-.324.738a.824.824 0 01-.314.165 1.582 1.582 0 01-.435.051h-.672V18h-.654v-2.998zm3.413.554v1.891h.504c.155 0 .278-.016.37-.046a.573.573 0 00.239-.158c.159-.17.238-.423.238-.756 0-.306-.073-.537-.22-.695-.147-.157-.364-.236-.652-.236h-.48zm-.654-.554h1.212c.225 0 .418.027.579.078.16.052.302.134.425.247.3.273.449.652.449 1.137 0 .515-.141.911-.424 1.192a1.069 1.069 0 01-.42.265 1.883 1.883 0 01-.595.08h-1.226V15zm5.226 0v.555h-1.456v.695h1.268v.515h-1.268V18h-.654v-2.998h2.11z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M9.763 6.75h8.987l7.5 7.5v15H9.75l.013-22.5zm8.987 0v7.5h7.5\" />\n          <path\n            fill=\"#000\"\n            d=\"M12.977 23.333v1.274h.876c.261 0 .449-.047.563-.138.142-.114.213-.285.213-.509 0-.225-.083-.393-.246-.504-.119-.082-.312-.123-.582-.123h-.824zm-.98-.83h1.814c.305 0 .545.019.722.056.174.04.333.107.475.201.39.264.587.66.587 1.188 0 .471-.162.84-.486 1.107a1.236 1.236 0 01-.471.248 2.373 2.373 0 01-.653.076h-1.008V27h-.98v-4.497zm5.118.83v2.837h.756c.232 0 .417-.024.555-.07a.859.859 0 00.358-.236c.239-.257.357-.635.357-1.134 0-.46-.11-.806-.33-1.043-.22-.235-.546-.354-.978-.354h-.718zm-.981-.83h1.818c.337 0 .627.04.868.116.242.078.453.201.638.37.45.41.673.979.673 1.706 0 .773-.211 1.367-.636 1.788-.186.186-.396.32-.63.398-.234.08-.532.118-.892.118h-1.84v-4.497zm7.84 0v.83H21.79v1.043h1.902v.773H21.79v1.85h-.981v-4.496h3.165z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentPdfComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentPdfModule = /** @class */ (function () {
        function IconDocumentPdfModule() {
        }
        return IconDocumentPdfModule;
    }());
    IconDocumentPdfModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentPdfComponent],
                    exports: [IconDocumentPdfComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentPlusComponent = /** @class */ (function (_super) {
        __extends(IconDocumentPlusComponent, _super);
        function IconDocumentPlusComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentPlusComponent;
    }(core.IconBase));
    IconDocumentPlusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-plus',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12.5 4.496v5h5M9 12.5h6m-6.002 2H15m-6 2h6m2.5.5v5m2.499-2.5h-5M13 19.5H6.5v-15h6l5 5V15\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.75 6.744v7.5h7.5M13.5 18.75h9m-9.004 3H22.5m-8.999 3h9m3.75.75V33m3.748-3.75h-7.5m-2.998 0H9.75V6.75h9l7.5 7.5v8.25\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentPlusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentPlusModule = /** @class */ (function () {
        function IconDocumentPlusModule() {
        }
        return IconDocumentPlusModule;
    }());
    IconDocumentPlusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentPlusComponent],
                    exports: [IconDocumentPlusComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentPptComponent = /** @class */ (function (_super) {
        __extends(IconDocumentPptComponent, _super);
        function IconDocumentPptComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentPptComponent;
    }(core.IconBase));
    IconDocumentPptComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-ppt',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M6.509 4.5h5.99l5 5v10h-11l.01-15zm5.991 0v5h5\" />\n          <path\n            fill=\"#000\"\n            d=\"M8.668 15.556v.85h.597c.176 0 .304-.033.382-.094.097-.076.145-.189.145-.338 0-.15-.056-.263-.167-.336-.081-.055-.213-.082-.396-.082h-.561zM8 15.002h1.235c.208 0 .371.013.491.037a.951.951 0 01.324.135c.266.175.4.44.4.792 0 .313-.111.56-.331.738a.876.876 0 01-.321.165c-.12.034-.268.05-.443.05h-.687V18H8v-2.998zm3.484.554v.85h.597c.176 0 .304-.033.382-.094.097-.076.145-.189.145-.338 0-.15-.056-.263-.167-.336-.081-.055-.213-.082-.396-.082h-.561zm-.668-.554h1.235c.208 0 .37.013.49.037a.951.951 0 01.325.135c.266.175.4.44.4.792 0 .313-.111.56-.331.738a.876.876 0 01-.321.165c-.12.034-.268.05-.443.05h-.687V18h-.668v-2.998zm5.184 0v.555h-.93V18h-.668v-2.444h-.925v-.554H16z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M9.763 6.75h8.987l7.5 7.5v15H9.75l.013-22.5zm8.987 0v7.5h7.5\" />\n          <path\n            fill=\"#000\"\n            d=\"M13.002 23.335v1.273h.896c.264 0 .456-.048.572-.14.146-.113.218-.283.218-.506 0-.225-.084-.395-.25-.504-.122-.083-.32-.123-.595-.123h-.841zM12 22.504h1.852c.313 0 .557.02.737.055.178.04.34.107.486.203.399.262.6.658.6 1.188 0 .47-.167.838-.497 1.107a1.313 1.313 0 01-.481.247 2.48 2.48 0 01-.664.075h-1.031v1.622H12v-4.497zm5.226.83v1.274h.895c.264 0 .456-.048.573-.14.146-.113.218-.283.218-.506 0-.225-.084-.395-.25-.504-.122-.083-.32-.123-.595-.123h-.841zm-1.002-.83h1.852c.312 0 .557.02.737.055.178.04.34.107.486.203.399.262.6.658.6 1.188 0 .47-.167.838-.497 1.107a1.313 1.313 0 01-.481.247 2.48 2.48 0 01-.665.075h-1.03v1.622h-1.002v-4.497zm7.776 0v.831h-1.395v3.666h-1.002v-3.666h-1.388v-.831H24z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentPptComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentPptModule = /** @class */ (function () {
        function IconDocumentPptModule() {
        }
        return IconDocumentPptModule;
    }());
    IconDocumentPptModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentPptComponent],
                    exports: [IconDocumentPptComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentSbbComponent = /** @class */ (function (_super) {
        __extends(IconDocumentSbbComponent, _super);
        function IconDocumentSbbComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentSbbComponent;
    }(core.IconBase));
    IconDocumentSbbComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-sbb',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M6.509 4.5h5.99l5 5v10h-11l.01-15zm5.991 0v5h5\" />\n          <path\n            fill=\"#000\"\n            d=\"M12.8 14l1.601 1.5H12.5V14h-1v1.5H9.6l1.6-1.5H10l-2 2 2 2h1.2l-1.6-1.5h1.9V18h1v-1.5h1.901L12.8 18H14l2-2-2-2z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M9.763 6.75h8.987l7.5 7.5v15H9.75l.013-22.5zm8.987 0v7.5h7.5\" />\n          <path\n            fill=\"#000\"\n            d=\"M19.2 21l2.401 2.25H18.75V21h-1.5v2.25H14.4L16.8 21H15l-3 3 3 3h1.8l-2.4-2.25h2.85V27h1.5v-2.25h2.851L19.2 27H21l3-3-3-3z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentSbbComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentSbbModule = /** @class */ (function () {
        function IconDocumentSbbModule() {
        }
        return IconDocumentSbbModule;
    }());
    IconDocumentSbbModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentSbbComponent],
                    exports: [IconDocumentSbbComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentSoundComponent = /** @class */ (function (_super) {
        __extends(IconDocumentSoundComponent, _super);
        function IconDocumentSoundComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentSoundComponent;
    }(core.IconBase));
    IconDocumentSoundComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-sound',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 4.504l5.991-.006 5.01 5.006v10h-11v-15zm5.991-.006l.01 5.006h4.998M9.497 13.5v2h1.72l2 2.006 1.28-.006v-6h-1.28l-2 2h-1.72z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 6.755l8.987-.009 7.513 7.51v15H9.75v-22.5zm8.987-.008l.014 7.509h7.498M14.245 20.25v3h2.58l3 3.009 1.92-.01v-9h-1.92l-3 3h-2.58z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentSoundComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentSoundModule = /** @class */ (function () {
        function IconDocumentSoundModule() {
        }
        return IconDocumentSoundModule;
    }());
    IconDocumentSoundModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentSoundComponent],
                    exports: [IconDocumentSoundComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentStandardComponent = /** @class */ (function (_super) {
        __extends(IconDocumentStandardComponent, _super);
        function IconDocumentStandardComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentStandardComponent;
    }(core.IconBase));
    IconDocumentStandardComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-standard',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M6.5 4.5h6l5 5v10h-11v-15zm11 5h-5v-5\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm16.5 7.5h-7.5v-7.5\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentStandardComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentStandardModule = /** @class */ (function () {
        function IconDocumentStandardModule() {
        }
        return IconDocumentStandardModule;
    }());
    IconDocumentStandardModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentStandardComponent],
                    exports: [IconDocumentStandardComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentTextComponent = /** @class */ (function (_super) {
        __extends(IconDocumentTextComponent, _super);
        function IconDocumentTextComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentTextComponent;
    }(core.IconBase));
    IconDocumentTextComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-text',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.502 4.496h6l5 5v10h-11v-15zm6 0v5h5M9 12.5h6m-6.002 2H15m-6 2h6\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.752 6.744h9l7.5 7.5v15h-16.5v-22.5zm9 0v7.5h7.5M13.5 18.75h9m-9.004 3H22.5m-8.999 3h9\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentTextComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentTextModule = /** @class */ (function () {
        function IconDocumentTextModule() {
        }
        return IconDocumentTextModule;
    }());
    IconDocumentTextModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentTextComponent],
                    exports: [IconDocumentTextComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentVideoComponent = /** @class */ (function (_super) {
        __extends(IconDocumentVideoComponent, _super);
        function IconDocumentVideoComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentVideoComponent;
    }(core.IconBase));
    IconDocumentVideoComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-video',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 4.5h6l5 5v10h-11v-15zm6 0v5h5m-8 2l4 2.5-4 2.5v-5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm9 0v7.5h7.5m-12 3l6 3.75-6 3.75v-7.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentVideoComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentVideoModule = /** @class */ (function () {
        function IconDocumentVideoModule() {
        }
        return IconDocumentVideoModule;
    }());
    IconDocumentVideoModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentVideoComponent],
                    exports: [IconDocumentVideoComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentZipComponent = /** @class */ (function (_super) {
        __extends(IconDocumentZipComponent, _super);
        function IconDocumentZipComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDocumentZipComponent;
    }(core.IconBase));
    IconDocumentZipComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-document-zip',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path d=\"M6.5 4.5h6l5 5v10h-11v-15zm6 0v5h5\" />\n          <path stroke-dasharray=\"1 1\" d=\"M8.5 5v13m1-12v13\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path d=\"M9.75 6.75h9l7.5 7.5v15H9.75V6.75zm9 0v7.5h7.5\" />\n          <path stroke-dasharray=\"1 1\" d=\"M12.75 7.5V27m1.5-18v19.5\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDocumentZipComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDocumentZipModule = /** @class */ (function () {
        function IconDocumentZipModule() {
        }
        return IconDocumentZipModule;
    }());
    IconDocumentZipModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDocumentZipComponent],
                    exports: [IconDocumentZipComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderInfoComponent = /** @class */ (function (_super) {
        __extends(IconFolderInfoComponent, _super);
        function IconFolderInfoComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFolderInfoComponent;
    }(core.IconBase));
    IconFolderInfoComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-folder-info',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.495 6.5l.005 11h-15v-9h10l1-2h3.995zM11 12.5h1.5v3m0-5.5v1M11 15.5h3\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M29.243 9.75l.007 16.5H6.75v-13.5h15l1.5-3h5.993zm-12.743 9h2.25v4.5m0-8.25v1.5m-2.25 6.75H21\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFolderInfoComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderInfoModule = /** @class */ (function () {
        function IconFolderInfoModule() {
        }
        return IconFolderInfoModule;
    }());
    IconFolderInfoModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFolderInfoComponent],
                    exports: [IconFolderInfoComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderLockComponent = /** @class */ (function (_super) {
        __extends(IconFolderLockComponent, _super);
        function IconFolderLockComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFolderLockComponent;
    }(core.IconBase));
    IconFolderLockComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-folder-lock',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13 17.5H4.5v-9h10l1-2h3.995L19.5 12m-2 4.5v-2a1 1 0 112 0v2m-1 3.5v-2.031m-3 3.531h6v-5h-6v5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.5 26.25H6.75v-13.5h15l1.5-3h5.992L29.25 18m-3 6.75v-3c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5v3M27.75 30v-3.047m-4.5 5.297h9v-7.5h-9v7.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFolderLockComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderLockModule = /** @class */ (function () {
        function IconFolderLockModule() {
        }
        return IconFolderLockModule;
    }());
    IconFolderLockModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFolderLockComponent],
                    exports: [IconFolderLockComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderOpenComponent = /** @class */ (function (_super) {
        __extends(IconFolderOpenComponent, _super);
        function IconFolderOpenComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFolderOpenComponent;
    }(core.IconBase));
    IconFolderOpenComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-folder-open',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.51 9.5v-2h-8v-2H4.5l.01 12h14.149l2.651-8H7.36l-2.85 8\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27.765 14.25v-3h-12v-3H6.75l.015 18h21.223l3.977-12H11.04l-4.275 12\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFolderOpenComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderOpenModule = /** @class */ (function () {
        function IconFolderOpenModule() {
        }
        return IconFolderOpenModule;
    }());
    IconFolderOpenModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFolderOpenComponent],
                    exports: [IconFolderOpenComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderOpenArrowComponent = /** @class */ (function (_super) {
        __extends(IconFolderOpenArrowComponent, _super);
        function IconFolderOpenArrowComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFolderOpenArrowComponent;
    }(core.IconBase));
    IconFolderOpenArrowComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-folder-open-arrow',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M17.5 12.5v-2h-8v-2H3.491l.009 12h14.15l2.65-8H6.35l-2.85 8m7-15.5l3 3 3-3m-3-3v6\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M26.25 18.75v-3h-12v-3H5.236l.014 18h21.225l3.975-12H9.525l-4.275 12M15.75 7.5l4.5 4.5 4.5-4.5M20.25 3v9\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFolderOpenArrowComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderOpenArrowModule = /** @class */ (function () {
        function IconFolderOpenArrowModule() {
        }
        return IconFolderOpenArrowModule;
    }());
    IconFolderOpenArrowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFolderOpenArrowComponent],
                    exports: [IconFolderOpenArrowComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderPlusComponent = /** @class */ (function (_super) {
        __extends(IconFolderPlusComponent, _super);
        function IconFolderPlusComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFolderPlusComponent;
    }(core.IconBase));
    IconFolderPlusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-folder-plus',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M19.5 15v5M17 17.5h5m-7 0H4.5v-9h10l1-2h3.995L19.5 13\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M29.25 22.5V30m-3.75-3.75H33m-10.5 0H6.75v-13.5h15l1.5-3h5.992l.008 9.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFolderPlusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFolderPlusModule = /** @class */ (function () {
        function IconFolderPlusModule() {
        }
        return IconFolderPlusModule;
    }());
    IconFolderPlusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFolderPlusComponent],
                    exports: [IconFolderPlusComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMetadataComponent = /** @class */ (function (_super) {
        __extends(IconMetadataComponent, _super);
        function IconMetadataComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMetadataComponent;
    }(core.IconBase));
    IconMetadataComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-metadata',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18 15l-2-2m0 4l2-2-2-2M6 9l2 2m0-4L6 9l2 2m-5.5 9.5h19v-17h-19v17zm7.5-13h8m-12 9h8m-4-6h5m1 0h2m-12 3h2m1 0h5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27 22.5l-3-3m0 6l3-3-3-3m-15-6l3 3m0-6l-3 3 3 3M3.75 30.75h28.5V5.25H3.75v25.5zM15 11.25h12M9 24.75h12m-6-9h7.5m1.5 0h3m-18 4.5h3m1.5 0H21\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMetadataComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMetadataModule = /** @class */ (function () {
        function IconMetadataModule() {
        }
        return IconMetadataModule;
    }());
    IconMetadataModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMetadataComponent],
                    exports: [IconMetadataComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoFoldersComponent = /** @class */ (function (_super) {
        __extends(IconTwoFoldersComponent, _super);
        function IconTwoFoldersComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTwoFoldersComponent;
    }(core.IconBase));
    IconTwoFoldersComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-two-folders',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.5 9.5V20.501l-15 .008V11.5h10l1-2h4zm-12 2v-6h10l1-2h4v11h-3\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27.75 14.25v16.5l-22.5.014V17.25h15l1.5-3h6zm-18 3v-9h15l1.5-3h6v16.5h-4.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTwoFoldersComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoFoldersModule = /** @class */ (function () {
        function IconTwoFoldersModule() {
        }
        return IconTwoFoldersModule;
    }());
    IconTwoFoldersModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTwoFoldersComponent],
                    exports: [IconTwoFoldersComponent],
                },] }
    ];

    var modules = [
        IconDocumentCheckModule,
        IconDocumentImageModule,
        IconDocumentLockModule,
        IconDocumentPdfModule,
        IconDocumentPlusModule,
        IconDocumentPptModule,
        IconDocumentSbbModule,
        IconDocumentSoundModule,
        IconDocumentStandardModule,
        IconDocumentTextModule,
        IconDocumentVideoModule,
        IconDocumentZipModule,
        IconFolderInfoModule,
        IconFolderLockModule,
        IconFolderOpenModule,
        IconFolderOpenArrowModule,
        IconFolderPlusModule,
        IconMetadataModule,
        IconTwoFoldersModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionDocumentModule = /** @class */ (function () {
        function IconCollectionDocumentModule() {
        }
        return IconCollectionDocumentModule;
    }());
    IconCollectionDocumentModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconCollectionDocumentModule = IconCollectionDocumentModule;
    exports.IconDocumentCheckComponent = IconDocumentCheckComponent;
    exports.IconDocumentCheckModule = IconDocumentCheckModule;
    exports.IconDocumentImageComponent = IconDocumentImageComponent;
    exports.IconDocumentImageModule = IconDocumentImageModule;
    exports.IconDocumentLockComponent = IconDocumentLockComponent;
    exports.IconDocumentLockModule = IconDocumentLockModule;
    exports.IconDocumentPdfComponent = IconDocumentPdfComponent;
    exports.IconDocumentPdfModule = IconDocumentPdfModule;
    exports.IconDocumentPlusComponent = IconDocumentPlusComponent;
    exports.IconDocumentPlusModule = IconDocumentPlusModule;
    exports.IconDocumentPptComponent = IconDocumentPptComponent;
    exports.IconDocumentPptModule = IconDocumentPptModule;
    exports.IconDocumentSbbComponent = IconDocumentSbbComponent;
    exports.IconDocumentSbbModule = IconDocumentSbbModule;
    exports.IconDocumentSoundComponent = IconDocumentSoundComponent;
    exports.IconDocumentSoundModule = IconDocumentSoundModule;
    exports.IconDocumentStandardComponent = IconDocumentStandardComponent;
    exports.IconDocumentStandardModule = IconDocumentStandardModule;
    exports.IconDocumentTextComponent = IconDocumentTextComponent;
    exports.IconDocumentTextModule = IconDocumentTextModule;
    exports.IconDocumentVideoComponent = IconDocumentVideoComponent;
    exports.IconDocumentVideoModule = IconDocumentVideoModule;
    exports.IconDocumentZipComponent = IconDocumentZipComponent;
    exports.IconDocumentZipModule = IconDocumentZipModule;
    exports.IconFolderInfoComponent = IconFolderInfoComponent;
    exports.IconFolderInfoModule = IconFolderInfoModule;
    exports.IconFolderLockComponent = IconFolderLockComponent;
    exports.IconFolderLockModule = IconFolderLockModule;
    exports.IconFolderOpenArrowComponent = IconFolderOpenArrowComponent;
    exports.IconFolderOpenArrowModule = IconFolderOpenArrowModule;
    exports.IconFolderOpenComponent = IconFolderOpenComponent;
    exports.IconFolderOpenModule = IconFolderOpenModule;
    exports.IconFolderPlusComponent = IconFolderPlusComponent;
    exports.IconFolderPlusModule = IconFolderPlusModule;
    exports.IconMetadataComponent = IconMetadataComponent;
    exports.IconMetadataModule = IconMetadataModule;
    exports.IconTwoFoldersComponent = IconTwoFoldersComponent;
    exports.IconTwoFoldersModule = IconTwoFoldersModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-document.umd.js.map
