(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/him-cus', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.himCus = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAddStopComponent = /** @class */ (function (_super) {
        __extends(IconAddStopComponent, _super);
        function IconAddStopComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconAddStopComponent;
    }(core.IconBase));
    IconAddStopComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-add-stop',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M8.559 10.646a2.724 2.724 0 01-.709.104 2.69 2.69 0 01-.791-.13A2.744 2.744 0 015.1 8c0-1.239.83-2.278 1.959-2.62.252-.076.514-.13.791-.13.247 0 .481.043.709.105A2.745 2.745 0 0110.6 8c0 1.27-.869 2.331-2.041 2.646m0-6.824V0h-1.5v3.83A4.253 4.253 0 003.6 8a4.252 4.252 0 003.459 4.17V16h1.5v-3.821C10.565 11.839 12.1 10.101 12.1 8c0-2.1-1.535-3.838-3.541-4.178\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconAddStopComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAddStopModule = /** @class */ (function () {
        function IconAddStopModule() {
        }
        return IconAddStopModule;
    }());
    IconAddStopModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconAddStopComponent],
                    exports: [IconAddStopComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAlternativeComponent = /** @class */ (function (_super) {
        __extends(IconAlternativeComponent, _super);
        function IconAlternativeComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconAlternativeComponent;
    }(core.IconBase));
    IconAlternativeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-alternative',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <path\n          fill=\"#EB0000\"\n          d=\"M0 1.994C0 .894.895 0 1.994 0h12.012C15.107 0 16 .894 16 1.994v12.012A1.996 1.996 0 0114.006 16H1.994A1.996 1.996 0 010 14.006V1.994z\"\n        />\n        <path\n          fill=\"#FFF\"\n          d=\"M10.391 2h-1.5v8.317H5.782l1.724-1.725-1.061-1.06-3.536 3.537 3.536 3.537 1.061-1.061-1.728-1.728h4.613z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconAlternativeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAlternativeModule = /** @class */ (function () {
        function IconAlternativeModule() {
        }
        return IconAlternativeModule;
    }());
    IconAlternativeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconAlternativeComponent],
                    exports: [IconAlternativeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCancellationComponent = /** @class */ (function (_super) {
        __extends(IconCancellationComponent, _super);
        function IconCancellationComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconCancellationComponent;
    }(core.IconBase));
    IconCancellationComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cancellation',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M10.4 11.265L8 8.865l-2.4 2.4-.865-.866L7.135 8l-2.4-2.4.865-.865L8 7.134l2.4-2.399.865.865L8.866 8l2.399 2.399z\"\n        />\n        <path\n          fill=\"#FFF\"\n          d=\"M7.994 2A5.997 5.997 0 002 8c0 3.312 2.682 6 5.994 6A6.003 6.003 0 0014 8c0-3.312-2.688-6-6.006-6zM8 12.8A4.799 4.799 0 013.2 8c0-2.652 2.148-4.8 4.8-4.8 2.652 0 4.8 2.148 4.8 4.8 0 2.652-2.148 4.8-4.8 4.8z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCancellationComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCancellationModule = /** @class */ (function () {
        function IconCancellationModule() {
        }
        return IconCancellationModule;
    }());
    IconCancellationModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCancellationComponent],
                    exports: [IconCancellationComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimConstructionComponent = /** @class */ (function (_super) {
        __extends(IconHimConstructionComponent, _super);
        function IconHimConstructionComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconHimConstructionComponent;
    }(core.IconBase));
    IconHimConstructionComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-him-construction',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M8.595 5.206c-.592 0-1.07-.493-1.07-1.102 0-.61.478-1.104 1.07-1.104.589 0 1.069.495 1.069 1.104 0 .609-.48 1.102-1.07 1.102zm-.26 7.378c.155-.109.598-.298.598-.298l.21-.305-3.139-2.64.761.928-1.898 3.618a.623.623 0 01-.55.338.6.6 0 01-.3-.078.658.658 0 01-.252-.877l1.493-2.843-1.6-1.949-.123 2.327-.804 3.077a.63.63 0 01-.77.455.648.648 0 01-.44-.792l.76-2.898-.057-2.985.768-.856-1.22-1.026a.33.33 0 01-.047-.454.309.309 0 01.443-.046l.628.528.425-2.243h3.234l1.538 2.289-1.522 3.045 3.153 2.652c.063-.034.13-.068.196-.098.234-.109.469-.216.575-.352.102-.134.364-.16.364-.16l.417.081.338.485.341.43.625-.027s.262.161.34.216c.079.052.026.35.026.43 0 .081.235.484.235.484l.312.35.468-.027.29.297.364.377h-8.06l.81-.62h.338l.182-.215.13-.323s.263-.188.42-.295zM5.582 8.152l-.648-.544 1.208-.543-.56 1.087zM3.978 4.75l.78.107-1.014 1.077.234-1.184z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconHimConstructionComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimConstructionModule = /** @class */ (function () {
        function IconHimConstructionModule() {
        }
        return IconHimConstructionModule;
    }());
    IconHimConstructionModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconHimConstructionComponent],
                    exports: [IconHimConstructionComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDelayComponent = /** @class */ (function (_super) {
        __extends(IconDelayComponent, _super);
        function IconDelayComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconDelayComponent;
    }(core.IconBase));
    IconDelayComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-delay',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M7.994 2A5.997 5.997 0 002 8c0 3.312 2.682 6 5.994 6A6.003 6.003 0 0014 8c0-3.312-2.688-6-6.006-6zM8 12.8A4.799 4.799 0 013.2 8c0-2.652 2.148-4.8 4.8-4.8 2.652 0 4.8 2.148 4.8 4.8 0 2.652-2.148 4.8-4.8 4.8zM8.3 5h-.9v3.541l3.15 1.859.45-.726-2.7-1.576V5z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDelayComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDelayModule = /** @class */ (function () {
        function IconDelayModule() {
        }
        return IconDelayModule;
    }());
    IconDelayModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDelayComponent],
                    exports: [IconDelayComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimDisruptionComponent = /** @class */ (function (_super) {
        __extends(IconHimDisruptionComponent, _super);
        function IconHimDisruptionComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconHimDisruptionComponent;
    }(core.IconBase));
    IconHimDisruptionComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-him-disruption',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M3.35 14.497l.48-3.444 1.165 1.295 3.522-4.386L3 6.708 7.243 1.5h5.021L6.097 6.237 12.5 7.688l-6.572 5.523L7.106 14.5l-3.756-.003z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconHimDisruptionComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimDisruptionModule = /** @class */ (function () {
        function IconHimDisruptionModule() {
        }
        return IconHimDisruptionModule;
    }());
    IconHimDisruptionModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconHimDisruptionComponent],
                    exports: [IconHimDisruptionComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimInfoComponent = /** @class */ (function (_super) {
        __extends(IconHimInfoComponent, _super);
        function IconHimInfoComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconHimInfoComponent;
    }(core.IconBase));
    IconHimInfoComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-him-info',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M6.6 3.48a1.48 1.48 0 112.961 0 1.48 1.48 0 01-2.96 0zm-.806 9.185h.93V6.276h-.93a.294.294 0 110-.587H9.39v6.976h.905a.294.294 0 010 .587H9.39l-2.667.001h-.929a.294.294 0 110-.588z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconHimInfoComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimInfoModule = /** @class */ (function () {
        function IconHimInfoModule() {
        }
        return IconHimInfoModule;
    }());
    IconHimInfoModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconHimInfoComponent],
                    exports: [IconHimInfoComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMissedConnectionComponent = /** @class */ (function (_super) {
        __extends(IconMissedConnectionComponent, _super);
        function IconMissedConnectionComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconMissedConnectionComponent;
    }(core.IconBase));
    IconMissedConnectionComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-missed-connection',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M8.779 9.2c0 .45-.33.81-.75.81s-.75-.36-.75-.81V6.02c0-.45.33-.81.75-.81s.75.36.75.81V9.2zm-.78 3.21c-.42 0-.75-.36-.75-.81 0-.45.33-.81.75-.81s.75.36.75.81c0 .45-.33.81-.75.81zm5.911.42L8.688 2.42c-.15-.27-.39-.42-.69-.42a.72.72 0 00-.66.42L2.087 12.83c-.12.24-.12.54.03.78a.7.7 0 00.63.39H13.25c.27 0 .51-.15.66-.39a.89.89 0 000-.78z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMissedConnectionComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMissedConnectionModule = /** @class */ (function () {
        function IconMissedConnectionModule() {
        }
        return IconMissedConnectionModule;
    }());
    IconMissedConnectionModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMissedConnectionComponent],
                    exports: [IconMissedConnectionComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPlatformChangeComponent = /** @class */ (function (_super) {
        __extends(IconPlatformChangeComponent, _super);
        function IconPlatformChangeComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconPlatformChangeComponent;
    }(core.IconBase));
    IconPlatformChangeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-platform-change',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M11.288 5.278l-.542.893 1.281.778 1.942-3.197L10.77 1.8l-.78 1.28 1.152.704c-.963.085-1.902.384-2.695 1.307.32.36.616.79.885 1.311.532-.81 1.16-1.058 1.956-1.123M4 9.75H2v1.5h2c.96 0 1.932-.083 2.798-.66a8.972 8.972 0 01-.632-1.409c-.586.5-1.283.57-2.166.57\"\n        />\n        <path\n          fill=\"#FFF\"\n          d=\"M12.027 8.929l-1.28.778.541.894c-1.129-.092-1.925-.525-2.577-2.462-1.094-3.24-2.927-3.51-4.71-3.51H2v1.5h2c1.523 0 2.505.168 3.288 2.49.917 2.72 2.358 3.345 3.854 3.476L9.99 12.8l.781 1.279 3.2-1.953-1.943-3.197z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPlatformChangeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPlatformChangeModule = /** @class */ (function () {
        function IconPlatformChangeModule() {
        }
        return IconPlatformChangeModule;
    }());
    IconPlatformChangeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPlatformChangeComponent],
                    exports: [IconPlatformChangeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimReplacementbusComponent = /** @class */ (function (_super) {
        __extends(IconHimReplacementbusComponent, _super);
        function IconHimReplacementbusComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconHimReplacementbusComponent;
    }(core.IconBase));
    IconHimReplacementbusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-him-replacementbus',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M6.822 10.362c-1.296 0-2.346 1.024-2.346 2.288 0 1.264 1.05 2.288 2.346 2.288S9.17 13.914 9.17 12.65c0-1.264-1.05-2.288-2.347-2.288zm0 3.363c-.604 0-1.095-.478-1.095-1.068 0-.59.49-1.068 1.095-1.068.606 0 1.096.479 1.096 1.068 0 .59-.49 1.068-1.096 1.068zm5.38-9.586C12.088 3.51 11.524 3 10.957 3H.003v1.227h1.615V8.5H.001v1.666L0 12.657h3.71c0-1.675 1.394-3.034 3.112-3.034 1.72 0 3.113 1.359 3.113 3.034h2.216c.572 0 1.036-.513 1.036-1.158V8.652L12.2 4.14zm-9.851.088h3.23V8.5H2.35V4.227zm4.038.004h.867v4.282H6.39V4.231zm1.706-.004h.868V8.51h-.868V4.227zM9.812 8.51V4.227h1.465l.957 4.282H9.812z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconHimReplacementbusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHimReplacementbusModule = /** @class */ (function () {
        function IconHimReplacementbusModule() {
        }
        return IconHimReplacementbusModule;
    }());
    IconHimReplacementbusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconHimReplacementbusComponent],
                    exports: [IconHimReplacementbusComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRerouteComponent = /** @class */ (function (_super) {
        __extends(IconRerouteComponent, _super);
        function IconRerouteComponent() {
            return _super.call(this, { width: '16px', height: '16px', ratio: 1 }) || this;
        }
        return IconRerouteComponent;
    }(core.IconBase));
    IconRerouteComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-reroute',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 16 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <rect width=\"16\" height=\"16\" fill=\"#EB0000\" rx=\"2\" />\n        <path\n          fill=\"#FFF\"\n          d=\"M8.68 10.655a2.729 2.729 0 01-.68.095 2.69 2.69 0 01-.791-.13A2.744 2.744 0 015.249 8c0-.236.04-.461.096-.68l1.864 1.864 1.47 1.47.03-.008v.038l-.03-.03zm2.39.269l-1.06-1.06-1.301-1.301-1.5-1.5L6.137 5.99l-1.06-1.06-2.411-2.41-1.06 1.06 2.58 2.58A4.198 4.198 0 003.75 8a4.252 4.252 0 003.459 4.17V16h1.5v-3.821c.4-.068.777-.193 1.13-.365l3.08 3.08 1.06-1.06-2.91-2.91z\"\n        />\n        <path\n          fill=\"#FFF\"\n          d=\"M8.68 10.655l.029.029v-.038l-.03.009M8 5.25c.247 0 .481.043.709.104A2.746 2.746 0 0110.75 8c0 .152-.019.3-.044.445l1.202 1.202A4.17 4.17 0 0012.25 8c0-2.101-1.535-3.838-3.541-4.178V0h-1.5v3.83a4.134 4.134 0 00-.849.268l1.197 1.198c.144-.028.291-.046.443-.046\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconRerouteComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRerouteModule = /** @class */ (function () {
        function IconRerouteModule() {
        }
        return IconRerouteModule;
    }());
    IconRerouteModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconRerouteComponent],
                    exports: [IconRerouteComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationHighComponent = /** @class */ (function (_super) {
        __extends(IconUtilizationHighComponent, _super);
        function IconUtilizationHighComponent() {
            return _super.call(this, { width: '19px', height: '16px', ratio: 1.1875 }) || this;
        }
        return IconUtilizationHighComponent;
    }(core.IconBase));
    IconUtilizationHighComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-utilization-high',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 19 16\"\n    >\n      <g fill=\"#EB0000\" fill-rule=\"evenodd\">\n        <path\n          d=\"M2.5 3C3.327 3 4 2.327 4 1.5S3.327 0 2.5 0 1 .673 1 1.5 1.673 3 2.5 3m7.004 0c.827 0 1.5-.673 1.5-1.5S10.33 0 9.504 0s-1.5.673-1.5 1.5.673 1.5 1.5 1.5m7.004 0c.827 0 1.5-.673 1.5-1.5s-.673-1.5-1.5-1.5-1.5.673-1.5 1.5.673 1.5 1.5 1.5M0 10h1v6h3v-6h1V4H0zM7.004 10h1v6h3v-6h1V4h-5zM14 4v6h1v6h3v-6h1V4z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUtilizationHighComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationHighModule = /** @class */ (function () {
        function IconUtilizationHighModule() {
        }
        return IconUtilizationHighModule;
    }());
    IconUtilizationHighModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUtilizationHighComponent],
                    exports: [IconUtilizationHighComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationLowComponent = /** @class */ (function (_super) {
        __extends(IconUtilizationLowComponent, _super);
        function IconUtilizationLowComponent() {
            return _super.call(this, { width: '19px', height: '16px', ratio: 1.1875 }) || this;
        }
        return IconUtilizationLowComponent;
    }(core.IconBase));
    IconUtilizationLowComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-utilization-low',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 19 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <path\n          fill=\"#000\"\n          d=\"M2.5 3C3.327 3 4 2.327 4 1.5S3.327 0 2.5 0 1 .673 1 1.5 1.673 3 2.5 3M0 4v6h1v6h3v-6h1V4z\"\n        />\n        <path\n          fill=\"#BCBCBC\"\n          d=\"M9.504 3c.827 0 1.5-.673 1.5-1.5S10.33 0 9.504 0s-1.5.673-1.5 1.5.673 1.5 1.5 1.5m7.004 0c.827 0 1.5-.673 1.5-1.5s-.673-1.5-1.5-1.5-1.5.673-1.5 1.5.673 1.5 1.5 1.5M7.004 10h1v6h3v-6h1V4h-5zM14 4v6h1v6h3v-6h1V4z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUtilizationLowComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationLowModule = /** @class */ (function () {
        function IconUtilizationLowModule() {
        }
        return IconUtilizationLowModule;
    }());
    IconUtilizationLowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUtilizationLowComponent],
                    exports: [IconUtilizationLowComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationMediumComponent = /** @class */ (function (_super) {
        __extends(IconUtilizationMediumComponent, _super);
        function IconUtilizationMediumComponent() {
            return _super.call(this, { width: '19px', height: '16px', ratio: 1 }) || this;
        }
        return IconUtilizationMediumComponent;
    }(core.IconBase));
    IconUtilizationMediumComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-utilization-medium',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 19 16\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <path\n          fill=\"#000\"\n          d=\"M2.5 3C3.327 3 4 2.327 4 1.5S3.327 0 2.5 0 1 .673 1 1.5 1.673 3 2.5 3M0 4v6h1v6h3v-6h1V4zM9.504 3c.827 0 1.5-.673 1.5-1.5S10.33 0 9.504 0s-1.5.673-1.5 1.5.673 1.5 1.5 1.5M7.004 4v6h1v6h3v-6h1V4z\"\n        />\n        <path\n          fill=\"#BCBCBC\"\n          d=\"M16.508 3c.827 0 1.5-.673 1.5-1.5s-.673-1.5-1.5-1.5-1.5.673-1.5 1.5.673 1.5 1.5 1.5M14 4v6h1v6h3v-6h1V4z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUtilizationMediumComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationMediumModule = /** @class */ (function () {
        function IconUtilizationMediumModule() {
        }
        return IconUtilizationMediumModule;
    }());
    IconUtilizationMediumModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUtilizationMediumComponent],
                    exports: [IconUtilizationMediumComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationNoneComponent = /** @class */ (function (_super) {
        __extends(IconUtilizationNoneComponent, _super);
        function IconUtilizationNoneComponent() {
            return _super.call(this, { width: '19px', height: '16px', ratio: 1.1875 }) || this;
        }
        return IconUtilizationNoneComponent;
    }(core.IconBase));
    IconUtilizationNoneComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-utilization-none',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 19 16\"\n    >\n      <g fill=\"#BCBCBC\" fill-rule=\"evenodd\">\n        <path\n          d=\"M2.5 3C3.327 3 4 2.327 4 1.5S3.327 0 2.5 0 1 .673 1 1.5 1.673 3 2.5 3m7.004 0c.827 0 1.5-.673 1.5-1.5S10.33 0 9.504 0s-1.5.673-1.5 1.5.673 1.5 1.5 1.5m7.004 0c.827 0 1.5-.673 1.5-1.5s-.673-1.5-1.5-1.5-1.5.673-1.5 1.5.673 1.5 1.5 1.5M0 10h1v6h3v-6h1V4H0zM7.004 10h1v6h3v-6h1V4h-5zM14 4v6h1v6h3v-6h1V4z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUtilizationNoneComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUtilizationNoneModule = /** @class */ (function () {
        function IconUtilizationNoneModule() {
        }
        return IconUtilizationNoneModule;
    }());
    IconUtilizationNoneModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUtilizationNoneComponent],
                    exports: [IconUtilizationNoneComponent],
                },] }
    ];

    var modules = [
        IconAddStopModule,
        IconAlternativeModule,
        IconCancellationModule,
        IconHimConstructionModule,
        IconDelayModule,
        IconHimDisruptionModule,
        IconHimInfoModule,
        IconMissedConnectionModule,
        IconPlatformChangeModule,
        IconHimReplacementbusModule,
        IconRerouteModule,
        IconUtilizationHighModule,
        IconUtilizationLowModule,
        IconUtilizationMediumModule,
        IconUtilizationNoneModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionHimCusModule = /** @class */ (function () {
        function IconCollectionHimCusModule() {
        }
        return IconCollectionHimCusModule;
    }());
    IconCollectionHimCusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconAddStopComponent = IconAddStopComponent;
    exports.IconAddStopModule = IconAddStopModule;
    exports.IconAlternativeComponent = IconAlternativeComponent;
    exports.IconAlternativeModule = IconAlternativeModule;
    exports.IconCancellationComponent = IconCancellationComponent;
    exports.IconCancellationModule = IconCancellationModule;
    exports.IconCollectionHimCusModule = IconCollectionHimCusModule;
    exports.IconDelayComponent = IconDelayComponent;
    exports.IconDelayModule = IconDelayModule;
    exports.IconHimConstructionComponent = IconHimConstructionComponent;
    exports.IconHimConstructionModule = IconHimConstructionModule;
    exports.IconHimDisruptionComponent = IconHimDisruptionComponent;
    exports.IconHimDisruptionModule = IconHimDisruptionModule;
    exports.IconHimInfoComponent = IconHimInfoComponent;
    exports.IconHimInfoModule = IconHimInfoModule;
    exports.IconHimReplacementbusComponent = IconHimReplacementbusComponent;
    exports.IconHimReplacementbusModule = IconHimReplacementbusModule;
    exports.IconMissedConnectionComponent = IconMissedConnectionComponent;
    exports.IconMissedConnectionModule = IconMissedConnectionModule;
    exports.IconPlatformChangeComponent = IconPlatformChangeComponent;
    exports.IconPlatformChangeModule = IconPlatformChangeModule;
    exports.IconRerouteComponent = IconRerouteComponent;
    exports.IconRerouteModule = IconRerouteModule;
    exports.IconUtilizationHighComponent = IconUtilizationHighComponent;
    exports.IconUtilizationHighModule = IconUtilizationHighModule;
    exports.IconUtilizationLowComponent = IconUtilizationLowComponent;
    exports.IconUtilizationLowModule = IconUtilizationLowModule;
    exports.IconUtilizationMediumComponent = IconUtilizationMediumComponent;
    exports.IconUtilizationMediumModule = IconUtilizationMediumModule;
    exports.IconUtilizationNoneComponent = IconUtilizationNoneComponent;
    exports.IconUtilizationNoneModule = IconUtilizationNoneModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-him-cus.umd.js.map
