(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/leisure', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.leisure = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAdultKidsComponent = /** @class */ (function (_super) {
        __extends(IconAdultKidsComponent, _super);
        function IconAdultKidsComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconAdultKidsComponent;
    }(core.IconBase));
    IconAdultKidsComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-adult-kids',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M25.501 34.5l1-9h6l1 9M9.5 10.5a2 2 0 11-.001 4.001A2 2 0 019.5 10.5zm-2 17.001v12.498m4-12.498v12.498M5.5 29.5v-12h8v12m-8-1.999h8m16.001-9a2 2 0 11-.001 4.001A2 2 0 0129.5 18.5zm-2 14v7.498m4.001-7.498v7.498m-5.778-7.498h7.556m2.222 1.999l1-9h6l1 9m-4-16a2 2 0 11-.001 4.002 2 2 0 01.001-4.002zm-2 14.001v7.498m4-7.498v7.498m-5.778-7.498h7.556M15.5 34.5l1-9H22.5l1.001 9m-4-16a2 2 0 11-.002 4.002 2 2 0 01.002-4.002zm-2 14.001v7.498m4-7.498v7.498m-5.778-7.498h7.556\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconAdultKidsComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAdultKidsModule = /** @class */ (function () {
        function IconAdultKidsModule() {
        }
        return IconAdultKidsModule;
    }());
    IconAdultKidsModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconAdultKidsComponent],
                    exports: [IconAdultKidsComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBalloonsComponent = /** @class */ (function (_super) {
        __extends(IconBalloonsComponent, _super);
        function IconBalloonsComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBalloonsComponent;
    }(core.IconBase));
    IconBalloonsComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-balloons',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M17.5 33.5v8.522M17 12.5c-2.968.271-5.701 2.946-6.5 6.5m9-.5a13.452 13.452 0 012.387-7.771A8.617 8.617 0 0017.5 9.5c-5.523 0-10 5.373-10 12 0 6.628 4.477 12 10 12a9.399 9.399 0 007.613-4.229C21.793 27.318 19.5 23.236 19.5 18.5zm5.612 10.77a8.615 8.615 0 004.39 1.23c5.521 0 10-5.373 10-12s-4.479-12-10-12a9.406 9.406 0 00-7.615 4.23m7.614 19.77v11.522m-.5-32.522c-2.968.271-5.702 2.945-6.5 6.5\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBalloonsComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBalloonsModule = /** @class */ (function () {
        function IconBalloonsModule() {
        }
        return IconBalloonsModule;
    }());
    IconBalloonsModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBalloonsComponent],
                    exports: [IconBalloonsComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChristmasTreeShoppingBagComponent = /** @class */ (function (_super) {
        __extends(IconChristmasTreeShoppingBagComponent, _super);
        function IconChristmasTreeShoppingBagComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChristmasTreeShoppingBagComponent;
    }(core.IconBase));
    IconChristmasTreeShoppingBagComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-christmas-tree-shopping-bag',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M27.788 34.3L22.5 27.5h5l-7-9h3l-5.014-6.572m-3.972 0L9.5 18.5h3l-7 9h5l-7 9h24.167M16.5 5.5l1 3h3l-2.5 2 1 3-2.5-2-2.5 2 1-3-2.5-2h3l1-3zm0 34.5v-3.5M28.5 21.492L27.788 34.3l-.288 5.192h16l-1-18h-14zm8.994 3.5l.006-7.5a2 2 0 00-4 0v7.5\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChristmasTreeShoppingBagComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChristmasTreeShoppingBagModule = /** @class */ (function () {
        function IconChristmasTreeShoppingBagModule() {
        }
        return IconChristmasTreeShoppingBagModule;
    }());
    IconChristmasTreeShoppingBagModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChristmasTreeShoppingBagComponent],
                    exports: [IconChristmasTreeShoppingBagComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconElephantComponent = /** @class */ (function (_super) {
        __extends(IconElephantComponent, _super);
        function IconElephantComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconElephantComponent;
    }(core.IconBase));
    IconElephantComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-elephant',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M23.5 11.5h0c5.522 0 10 4.477 10 10v2c0 5.523-4.478 10-10 10-5.523 0-10-4.477-10-10v-2c0-5.523 4.477-10 10-10zm-8.054 17.91a9.975 9.975 0 01-3.888 7.033 9.991 9.991 0 007.11-4.189m9.624.023a9.986 9.986 0 007.094 4.166 9.98 9.98 0 01-3.884-6.964M18 22.5a1.5 1.5 0 11-.001 3.001A1.5 1.5 0 0118 22.5zm11.001 0A1.5 1.5 0 1129 25.501 1.5 1.5 0 0129 22.5zm-10.332 9.754C20.613 39.272 25.25 44 29.409 44H31.5a.5.5 0 101 0v-3a.5.5 0 00-1 0h-.43c-1.4 0-4.902-3.572-2.777-8.723M17.328 13.642a7.498 7.498 0 00-13.06 7.044l1.367 3.759a7.497 7.497 0 009.494 4.519m14.54-15.322a7.498 7.498 0 0113.062 7.044l-1.37 3.759a7.496 7.496 0 01-9.493 4.519\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconElephantComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconElephantModule = /** @class */ (function () {
        function IconElephantModule() {
        }
        return IconElephantModule;
    }());
    IconElephantModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconElephantComponent],
                    exports: [IconElephantComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFerrisWheelComponent = /** @class */ (function (_super) {
        __extends(IconFerrisWheelComponent, _super);
        function IconFerrisWheelComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFerrisWheelComponent;
    }(core.IconBase));
    IconFerrisWheelComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ferris-wheel',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M14.401 35.406a14.986 14.986 0 003.226 1.898m-8.98-11.819a14.896 14.896 0 002.947 7.113m0-18.197a14.906 14.906 0 00-2.948 7.113M21.515 8.647a14.896 14.896 0 00-7.113 2.947m18.197 0a14.906 14.906 0 00-7.113-2.948m12.867 12.869a14.9 14.9 0 00-2.947-7.113m0 18.197a14.915 14.915 0 002.947-7.113m-9.712 12.091a14.994 14.994 0 003.958-2.17M25.62 25.62a2.947 2.947 0 01-.4.33m-3.554-.092a2.982 2.982 0 01-.288-.238M16.499 40.5l6.001-17h2l5 17M25.485 8.646c.004-.049.015-.096.015-.146a2 2 0 00-4 0c0 .05.011.098.014.146m16.84 16.84c.049.002.096.014.145.014a2 2 0 000-4c-.049 0-.096.011-.146.014m-29.707 0c-.049-.002-.096-.014-.146-.014a2 2 0 000 4c.05 0 .098-.011.146-.014M35.407 14.4c.037-.032.08-.058.114-.094a2 2 0 10-2.828-2.828c-.036.036-.06.077-.094.115M11.594 32.6c-.038.032-.079.058-.115.094a2 2 0 102.828 2.828c.036-.035.062-.077.094-.114m18.198 0c.032.036.058.078.094.113a2 2 0 102.828-2.828c-.035-.036-.077-.06-.114-.094M14.4 11.594c-.032-.038-.058-.079-.094-.115a2 2 0 10-2.828 2.828c.036.036.077.062.115.094m13.627 11.55c.144-.098.277-.209.4-.33a3 3 0 10-4.242 0c.09.085.188.165.288.238M14 40.501h18.001M14.308 14.308l7.07 7.07-7.07-7.07zm11.313 7.07l7.071-7.07-7.07 7.07zM21.515 8.646a1.99 1.99 0 003.97 0m12.868 12.869a1.99 1.99 0 000 3.97m-29.707 0a1.99 1.99 0 000-3.97m23.953-9.92a1.989 1.989 0 002.808 2.806M14.4 35.406a1.99 1.99 0 00-2.807-2.808m23.812 0a1.99 1.99 0 00-2.808 2.809M11.594 14.4a1.989 1.989 0 002.807-2.807m-.093 21.098l7.07-7.07m4.243 0l7.071 7.07\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFerrisWheelComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFerrisWheelModule = /** @class */ (function () {
        function IconFerrisWheelModule() {
        }
        return IconFerrisWheelModule;
    }());
    IconFerrisWheelModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFerrisWheelComponent],
                    exports: [IconFerrisWheelComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHikingBootComponent = /** @class */ (function (_super) {
        __extends(IconHikingBootComponent, _super);
        function IconHikingBootComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconHikingBootComponent;
    }(core.IconBase));
    IconHikingBootComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-hiking-boot',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M9.5 28.5v-17h12V16c0 5.375 2.5 14.5 8 14.5h5a6 6 0 016 6h-17c-2.625 0-4.875-1-8-1h-7v-7a7 7 0 017 7m-6-20h12m1.5 4h-4m21.501 17v3H23.5v-1c-2.625 0-4.875-1-8-1v2h-8v-4h1m15.5-13h-4m5 3h-4\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconHikingBootComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHikingBootModule = /** @class */ (function () {
        function IconHikingBootModule() {
        }
        return IconHikingBootModule;
    }());
    IconHikingBootModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconHikingBootComponent],
                    exports: [IconHikingBootComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLeafComponent = /** @class */ (function (_super) {
        __extends(IconLeafComponent, _super);
        function IconLeafComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLeafComponent;
    }(core.IconBase));
    IconLeafComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-leaf',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M17.56 20.438s-5.414-1.625-9.056.062c.356 3.909 3.602 7.046 6 9m-1.5-1a12.4 12.4 0 00-4.504 3c1.776 2.184 7.223 5 15.004 1m0-9.5l.03 17m-.03-9.5l-6-4m12-4.5c0-9.505-6-13.5-6-13.5s-6 3.995-6 13.5m11.944-1.563s5.414-1.625 9.056.063c-.356 3.909-3.602 7.046-6 9m1.5-1a12.4 12.4 0 014.504 3c-1.775 2.184-7.223 5-15.004 1m0-2l6-4\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLeafComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLeafModule = /** @class */ (function () {
        function IconLeafModule() {
        }
        return IconLeafModule;
    }());
    IconLeafModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLeafComponent],
                    exports: [IconLeafComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocomotiveViaductComponent = /** @class */ (function (_super) {
        __extends(IconLocomotiveViaductComponent, _super);
        function IconLocomotiveViaductComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocomotiveViaductComponent;
    }(core.IconBase));
    IconLocomotiveViaductComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-locomotive-viaduct',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M27.501 7.494a.991.991 0 00-.691.28 1.494 1.494 0 00-.879-.71 1.49 1.49 0 00-2.86 0c-.026.009-.053.016-.079.026.002-.03.009-.058.009-.09a1.497 1.497 0 00-2.909-.496c-.031-.002-.06-.01-.091-.01a1.496 1.496 0 00-.121 2.989 1.491 1.491 0 002.371-.161 1.49 1.49 0 002.25.284 1.484 1.484 0 002.309-.392.999.999 0 10.691-1.72zM5.999 23.5h38M18.5 42.002v-13a2.5 2.5 0 10-5 0v13m19.002-11.63V29a2.5 2.5 0 00-5 0v5.117m-7.001 7.883v-13a2.5 2.5 0 115 0v7.458M44 27.501c-10.063 0-18.166 5.638-21.5 14.5h-16v-13a2.5 2.5 0 015 0v13m1.001-23.006v-7.5l7 .006v2.993h12l.001 3.007m-1.001-3.007v-3h-2v3m-5.088 7h3.088m-9.086 0h3.175m8.823 0h3.838l-1.75-3.993h-19v3.993H14.6m14.902-14a1 1 0 110 2 1 1 0 010-2zm-7.5 12a1.5 1.5 0 110 3 1.5 1.5 0 010-3zm-6 0a1.5 1.5 0 110 3 1.5 1.5 0 010-3zm12 0a1.5 1.5 0 110 3 1.5 1.5 0 010-3z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocomotiveViaductComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocomotiveViaductModule = /** @class */ (function () {
        function IconLocomotiveViaductModule() {
        }
        return IconLocomotiveViaductModule;
    }());
    IconLocomotiveViaductModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocomotiveViaductComponent],
                    exports: [IconLocomotiveViaductComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLucerneChapelBridgeComponent = /** @class */ (function (_super) {
        __extends(IconLucerneChapelBridgeComponent, _super);
        function IconLucerneChapelBridgeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLucerneChapelBridgeComponent;
    }(core.IconBase));
    IconLucerneChapelBridgeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-lucerne-chapel-bridge',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M21.5 16l-5 .5-4 2 9-12 9.006 12-4-2-5-.5H21.5zm-8 5.48l2-.996 6-.498M13.5 18v3.5l1.006 2 2-.5h5M15.5 17v3.5l1.006 2.5v6.08M21.5 16V28.758M14.505 23.5v5.709m15-7.729l-2-.996-6-.498m8-1.986v3.5l-1.005 2-2-.5h-5m6.006-6v3.5L26.5 23v5.435m2-4.935v4.804M41 32.5l-34 2 3.005-5L41 27.5m0 8l-33 2v-3m1.5 2.924V41m14.001-4.44V40m14.001-4.29V39\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLucerneChapelBridgeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLucerneChapelBridgeModule = /** @class */ (function () {
        function IconLucerneChapelBridgeModule() {
        }
        return IconLucerneChapelBridgeModule;
    }());
    IconLucerneChapelBridgeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLucerneChapelBridgeComponent],
                    exports: [IconLucerneChapelBridgeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMarketShoppingBagComponent = /** @class */ (function (_super) {
        __extends(IconMarketShoppingBagComponent, _super);
        function IconMarketShoppingBagComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMarketShoppingBagComponent;
    }(core.IconBase));
    IconMarketShoppingBagComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-market-shopping-bag',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M28.5 21.492l-1 17h16l-1-17h-14zm8.994 3.5l.006-7.5a2 2 0 00-4 0v7.5m-28 13.516h18v-7h-18v7zm16-21.29v14.274h-14V17.218m3 .274a2 2 0 01-2-2 2 2 0 01-4 0v-2h20v2a2 2 0 01-4 0 2 2 0 01-4 0 2 2 0 01-4 0 2 2 0 01-2 2zm15.501-4l-3-4H6.5l-3 4h22.501z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMarketShoppingBagComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMarketShoppingBagModule = /** @class */ (function () {
        function IconMarketShoppingBagModule() {
        }
        return IconMarketShoppingBagModule;
    }());
    IconMarketShoppingBagModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMarketShoppingBagComponent],
                    exports: [IconMarketShoppingBagComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMountainSunComponent = /** @class */ (function (_super) {
        __extends(IconMountainSunComponent, _super);
        function IconMountainSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMountainSunComponent;
    }(core.IconBase));
    IconMountainSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-mountain-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M21 20.5H6L14 8l7 12.5zm-9.87-8.015L9 10 3 20.5h3m10.723-7.638L15 14l-1-1-2 1-1.122-1.122m-.675-1.475A3.491 3.491 0 007 6.5a3.5 3.5 0 100 7\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M31.5 30.75H9L21 12l10.5 18.75zM16.695 18.727L13.5 15l-9 15.75H9m16.084-11.457L22.5 21 21 19.5 18 21l-1.683-1.683m-1.012-2.212A5.237 5.237 0 0015.75 15a5.251 5.251 0 10-5.25 5.25\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M22.193 25.161L16 20.001 5.5 38.5h37l-14.177-23M20 29l7.71-13.5m-12.996 23L19 31l5 3.5h6l3.804 4M23 23.5l2.5 2 3-2 3 2 2-2m-13.172.106a7.5 7.5 0 00-5.723-8.931 7.5 7.5 0 00-3.835 14.488M25.166 11.22c-2.14 0-2.565 4.28.8 4.28h6.997c3.318 0 3.198-4.28.699-4.18a2.83 2.83 0 00-5.297-1.991 1.996 1.996 0 00-3.199 1.89z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMountainSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMountainSunModule = /** @class */ (function () {
        function IconMountainSunModule() {
        }
        return IconMountainSunModule;
    }());
    IconMountainSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMountainSunComponent],
                    exports: [IconMountainSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMuseumComponent = /** @class */ (function (_super) {
        __extends(IconMuseumComponent, _super);
        function IconMuseumComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMuseumComponent;
    }(core.IconBase));
    IconMuseumComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-museum',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M9.5 32.5v-16 16zm3 0v-16 16zm2 0l-2 6 2-6zm4 0v-16 16zm3.001 0v-16 16zm19-16H7.5v-4.002L24.005 9.5l16.496 2.998V16.5zm-2 16v-16 16zm-3 0v-16 16zm-2 0l2 6m5 0H7.5v-3h1v-3h31.001v3h1v3zm-11-6v-16 16zm-3.001 0v-16 16z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMuseumComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMuseumModule = /** @class */ (function () {
        function IconMuseumModule() {
        }
        return IconMuseumModule;
    }());
    IconMuseumModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMuseumComponent],
                    exports: [IconMuseumComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMusicRockHandGestureComponent = /** @class */ (function (_super) {
        __extends(IconMusicRockHandGestureComponent, _super);
        function IconMusicRockHandGestureComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMusicRockHandGestureComponent;
    }(core.IconBase));
    IconMusicRockHandGestureComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-music-rock-hand-gesture',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M16.499 26.5v-2.536a5.98 5.98 0 002-4.464V12a1.5 1.5 0 10-3 0v7-2a1.5 1.5 0 00-3 0v2h0v-2a1.5 1.5 0 00-3 0v2-7a1.5 1.5 0 00-3 0l-.001 7.5c0 1.706.728 3.33 2.001 4.464V26.5m9 10.924l-10 .076v-11h10v10.924zm-10-8.924h10-10zm2 2.5v6.5V31zM25 29.5a3.5 3.5 0 110 7 3.5 3.5 0 010-7zm13.001-4a3.5 3.5 0 11.001 6.999 3.5 3.5 0 01-.001-6.999zM28.501 33V15.443L41.502 12.5v16.809M28.501 18.443L41.502 15.5\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMusicRockHandGestureComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMusicRockHandGestureModule = /** @class */ (function () {
        function IconMusicRockHandGestureModule() {
        }
        return IconMusicRockHandGestureModule;
    }());
    IconMusicRockHandGestureModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMusicRockHandGestureComponent],
                    exports: [IconMusicRockHandGestureComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRailwayShipComponent = /** @class */ (function (_super) {
        __extends(IconRailwayShipComponent, _super);
        function IconRailwayShipComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconRailwayShipComponent;
    }(core.IconBase));
    IconRailwayShipComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-railway-ship',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M45.5 29.005V31.5s0 2-3 2h-5l1-6 7 1.505zM28.536 12.624A47.269 47.269 0 0144.5 26.5v2.262M37.833 31.5h-7.689m-5.288 0H22m2.037 5.001H20M28.5 15.5l-2 6h10a34.322 34.322 0 00-8-6zm-.999 15a4 4 0 110 8 4 4 0 010-8zM39 33.5l2.5 3-10.538.001m-14.472-.907a20.172 20.172 0 00-1.99-.094 24.322 24.322 0 00-7.327 1.317M23 17.5h-3.86a2 2 0 00-1.962 1.608l-.199 1a1.999 1.999 0 001.96 2.392H21m-3.535 10.216A19.486 19.486 0 0014.5 32.5c-3.423 0-5.31.814-7.664 1.403L2.5 22.5h11.514l.986-5h-2.5v-6H25M17 40L28 8\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconRailwayShipComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRailwayShipModule = /** @class */ (function () {
        function IconRailwayShipModule() {
        }
        return IconRailwayShipModule;
    }());
    IconRailwayShipModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconRailwayShipComponent],
                    exports: [IconRailwayShipComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSledgeSnowshoeComponent = /** @class */ (function (_super) {
        __extends(IconSledgeSnowshoeComponent, _super);
        function IconSledgeSnowshoeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSledgeSnowshoeComponent;
    }(core.IconBase));
    IconSledgeSnowshoeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-sledge-snowshoe',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M6 38.5h26.5c5.478 0 8-1.806 8-6.5M6 32.501h28m-24.5 0V38.5m7-5.999V38.5m7-5.999V38.5m7.001-5.999V38.5M41 18.5c-10.446 0-14.707 9-25.5 9a9 9 0 010-18c10.793 0 15.054 9 25.5 9zM13.5 9.721v5.314m4-5.427v5.428m-4 6.929v5.312m4-5.312v5.429M26.502 13v11M41 18.5H19.5m-4-4a4 4 0 110 8 4 4 0 010-8z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSledgeSnowshoeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSledgeSnowshoeModule = /** @class */ (function () {
        function IconSledgeSnowshoeModule() {
        }
        return IconSledgeSnowshoeModule;
    }());
    IconSledgeSnowshoeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSledgeSnowshoeComponent],
                    exports: [IconSledgeSnowshoeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSoccerBallComponent = /** @class */ (function (_super) {
        __extends(IconSoccerBallComponent, _super);
        function IconSoccerBallComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSoccerBallComponent;
    }(core.IconBase));
    IconSoccerBallComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-soccer-ball',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M24.5 11.157V17m-12.219 3.031l5.22 2.055M16.944 34.4l3.229-4.085m11.886 4.09l-3.234-4.09m7.883-10.283L31.5 22.086M24.5 17l-7 5.086 2.674 8.229h8.652l2.674-8.229-7-5.086zM9.825 34.4h7.12l2.207 6.792m-9.07-27.933l2.2 6.772-5.77 4.193M30.272 6.963L24.5 11.157l-5.773-4.194M42.488 24.23l-5.779-4.199 2.204-6.781m-9.057 27.94l2.204-6.786h7.111M18.727 6.963l5.773 4.194 5.773-4.194M6.5 24c0 .075.01.148.011.224l5.77-4.193-2.2-6.772m28.832-.01l-2.204 6.783 5.78 4.198c0-.078.011-.152.011-.23M19.152 41.192L16.945 34.4h-7.12m29.347.005H32.06l-2.204 6.786M24.5 6c9.941 0 18 8.059 18 18s-8.059 18-18 18-18-8.059-18-18 8.059-18 18-18z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSoccerBallComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSoccerBallModule = /** @class */ (function () {
        function IconSoccerBallModule() {
        }
        return IconSoccerBallModule;
    }());
    IconSoccerBallModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSoccerBallComponent],
                    exports: [IconSoccerBallComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconThreeAdultsComponent = /** @class */ (function (_super) {
        __extends(IconThreeAdultsComponent, _super);
        function IconThreeAdultsComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconThreeAdultsComponent;
    }(core.IconBase));
    IconThreeAdultsComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-three-adults',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M35.5 10.5a2 2 0 11-.001 4.001A2 2 0 0135.5 10.5zm-2 27v2.499V37.5zm4 0v2.499V37.5zm-7-8l2-12h6l2 12m-1 8l-1-9.999h-6l-1 9.999h8zm-16-27a2 2 0 11-.001 4.001A2 2 0 0123.5 10.5zm-2 17.001v12.498-12.498zm4.001 0v12.498-12.498zM19.5 29.5v-12h8v12m-8-1.999h8-8zm-7-17.001a2 2 0 11-.001 4.001A2 2 0 0112.5 10.5zm-2 17.001v12.498-12.498zm4 0v12.498-12.498zm-6 1.999v-12h8v12m-8-1.999h8\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconThreeAdultsComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconThreeAdultsModule = /** @class */ (function () {
        function IconThreeAdultsModule() {
        }
        return IconThreeAdultsModule;
    }());
    IconThreeAdultsModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconThreeAdultsComponent],
                    exports: [IconThreeAdultsComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTrainSkiComponent = /** @class */ (function (_super) {
        __extends(IconTrainSkiComponent, _super);
        function IconTrainSkiComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTrainSkiComponent;
    }(core.IconBase));
    IconTrainSkiComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-train-ski',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M18 32.5l2.5 6m-14 0l2.5-6m11.5 3h-14m15.5 3H5m5.5-11a1 1 0 110 2 1 1 0 010-2zm6 0a1 1 0 110 2 1 1 0 010-2zm.5-11h-7m-.265-3c-2.824 0-4.235 1.445-4.235 4.275V32.5h16V17.775c0-2.83-1.41-4.275-4.236-4.275H9.735zm11.765 11h-16M18 9.5H9m4.5 4l-2-4m16 5a1.5 1.5 0 10-3 0v24h3v-24zm6 0a1.5 1.5 0 10-3 0v24h3v-24zm4.827 23.117l-2.954-.52m6.037-23.93l-4.82 25.666m4.083-1.216l2.954-.52m-6.037-23.93l4.82 25.666m-5.038-21.502l-.563-3m5.382 0l-.563 3M15.5 9.5l-2 4\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTrainSkiComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTrainSkiModule = /** @class */ (function () {
        function IconTrainSkiModule() {
        }
        return IconTrainSkiModule;
    }());
    IconTrainSkiModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTrainSkiComponent],
                    exports: [IconTrainSkiComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoAdultsKidComponent = /** @class */ (function (_super) {
        __extends(IconTwoAdultsKidComponent, _super);
        function IconTwoAdultsKidComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTwoAdultsKidComponent;
    }(core.IconBase));
    IconTwoAdultsKidComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-two-adults-kid',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <path\n        fill=\"none\"\n        stroke=\"#000\"\n        d=\"M13.497 10.5a2 2 0 11-.001 4.001 2 2 0 01.001-4.001zm-2 27v2.499m4-2.499v2.499m-7-10.499l2-12h6l2 12m-1 8l-1-9.999h-6l-1 9.999h8zm8.001-27a2 2 0 11-.001 4.001 2 2 0 01.001-4.001zm-2 17.001v12.498m4-12.498v12.498m-6-10.499v-12h8v12m-8-1.999h8m7.001-9a2 2 0 11-.001 4.001 2 2 0 01.001-4.002zm-2 14v7.498m4-7.498v7.498m-6-5.499l1-9h5.999l1.001 9m-7.78-1.999h7.558\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTwoAdultsKidComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoAdultsKidModule = /** @class */ (function () {
        function IconTwoAdultsKidModule() {
        }
        return IconTwoAdultsKidModule;
    }());
    IconTwoAdultsKidModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTwoAdultsKidComponent],
                    exports: [IconTwoAdultsKidComponent],
                },] }
    ];

    var modules = [
        IconAdultKidsModule,
        IconBalloonsModule,
        IconChristmasTreeShoppingBagModule,
        IconElephantModule,
        IconFerrisWheelModule,
        IconHikingBootModule,
        IconLeafModule,
        IconLocomotiveViaductModule,
        IconLucerneChapelBridgeModule,
        IconMarketShoppingBagModule,
        IconMountainSunModule,
        IconMuseumModule,
        IconMusicRockHandGestureModule,
        IconRailwayShipModule,
        IconSledgeSnowshoeModule,
        IconSoccerBallModule,
        IconThreeAdultsModule,
        IconTrainSkiModule,
        IconTwoAdultsKidModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionLeisureModule = /** @class */ (function () {
        function IconCollectionLeisureModule() {
        }
        return IconCollectionLeisureModule;
    }());
    IconCollectionLeisureModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconAdultKidsComponent = IconAdultKidsComponent;
    exports.IconAdultKidsModule = IconAdultKidsModule;
    exports.IconBalloonsComponent = IconBalloonsComponent;
    exports.IconBalloonsModule = IconBalloonsModule;
    exports.IconChristmasTreeShoppingBagComponent = IconChristmasTreeShoppingBagComponent;
    exports.IconChristmasTreeShoppingBagModule = IconChristmasTreeShoppingBagModule;
    exports.IconCollectionLeisureModule = IconCollectionLeisureModule;
    exports.IconElephantComponent = IconElephantComponent;
    exports.IconElephantModule = IconElephantModule;
    exports.IconFerrisWheelComponent = IconFerrisWheelComponent;
    exports.IconFerrisWheelModule = IconFerrisWheelModule;
    exports.IconHikingBootComponent = IconHikingBootComponent;
    exports.IconHikingBootModule = IconHikingBootModule;
    exports.IconLeafComponent = IconLeafComponent;
    exports.IconLeafModule = IconLeafModule;
    exports.IconLocomotiveViaductComponent = IconLocomotiveViaductComponent;
    exports.IconLocomotiveViaductModule = IconLocomotiveViaductModule;
    exports.IconLucerneChapelBridgeComponent = IconLucerneChapelBridgeComponent;
    exports.IconLucerneChapelBridgeModule = IconLucerneChapelBridgeModule;
    exports.IconMarketShoppingBagComponent = IconMarketShoppingBagComponent;
    exports.IconMarketShoppingBagModule = IconMarketShoppingBagModule;
    exports.IconMountainSunComponent = IconMountainSunComponent;
    exports.IconMountainSunModule = IconMountainSunModule;
    exports.IconMuseumComponent = IconMuseumComponent;
    exports.IconMuseumModule = IconMuseumModule;
    exports.IconMusicRockHandGestureComponent = IconMusicRockHandGestureComponent;
    exports.IconMusicRockHandGestureModule = IconMusicRockHandGestureModule;
    exports.IconRailwayShipComponent = IconRailwayShipComponent;
    exports.IconRailwayShipModule = IconRailwayShipModule;
    exports.IconSledgeSnowshoeComponent = IconSledgeSnowshoeComponent;
    exports.IconSledgeSnowshoeModule = IconSledgeSnowshoeModule;
    exports.IconSoccerBallComponent = IconSoccerBallComponent;
    exports.IconSoccerBallModule = IconSoccerBallModule;
    exports.IconThreeAdultsComponent = IconThreeAdultsComponent;
    exports.IconThreeAdultsModule = IconThreeAdultsModule;
    exports.IconTrainSkiComponent = IconTrainSkiComponent;
    exports.IconTrainSkiModule = IconTrainSkiModule;
    exports.IconTwoAdultsKidComponent = IconTwoAdultsKidComponent;
    exports.IconTwoAdultsKidModule = IconTwoAdultsKidModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-leisure.umd.js.map
