(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/social-media', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.socialMedia = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwitterComponent = /** @class */ (function (_super) {
        __extends(IconTwitterComponent, _super);
        function IconTwitterComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTwitterComponent;
    }(core.IconBase));
    IconTwitterComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-twitter',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 24 24\"\n    >\n      <path\n        d=\"M18.9 7.4c.8-.5 1.3-1.2 1.6-2.1-.7.4-1.5.7-2.3.9-.7-.7-1.7-1.2-2.7-1.2-2 0-3.7 1.7-3.7 3.8 0 .3 0 .6.1.9-3.1-.2-5.8-1.7-7.6-4-.4.6-.5 1.2-.5 1.9 0 1.3.7 2.5 1.6 3.2-.6 0-1.2-.2-1.7-.5 0 1.8 1.3 3.4 3 3.7-.3.1-.6.1-1 .1-.2 0-.5 0-.7-.1.5 1.5 1.8 2.6 3.4 2.6-1.3 1-2.9 1.6-4.6 1.6-.3 0-.6 0-.9-.1C4.6 19.4 6.6 20 8.7 20c6.8 0 10.5-5.8 10.5-10.8v-.5c.7-.5 1.3-1.2 1.8-1.9-.7.3-1.4.5-2.1.6z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTwitterComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwitterModule = /** @class */ (function () {
        function IconTwitterModule() {
        }
        return IconTwitterModule;
    }());
    IconTwitterModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTwitterComponent],
                    exports: [IconTwitterComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFacebookComponent = /** @class */ (function (_super) {
        __extends(IconFacebookComponent, _super);
        function IconFacebookComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFacebookComponent;
    }(core.IconBase));
    IconFacebookComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-facebook',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 24 24\"\n    >\n      <path d=\"M17 6V3h-5.3c-.9 0-1.7.7-1.7 1.7V9H8v3h2v9h4v-9h2V9h-2V6h3z\" />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFacebookComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFacebookModule = /** @class */ (function () {
        function IconFacebookModule() {
        }
        return IconFacebookModule;
    }());
    IconFacebookModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFacebookComponent],
                    exports: [IconFacebookComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconInstagramComponent = /** @class */ (function (_super) {
        __extends(IconInstagramComponent, _super);
        function IconInstagramComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconInstagramComponent;
    }(core.IconBase));
    IconInstagramComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-instagram',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 24 24\"\n    >\n      <path\n        d=\"M18.9 3H5.1C3.9 3 3 3.9 3 5.1v13.8c0 1.2.9 2.1 2.1 2.1h13.8c1.1 0 2.1-.9 2.1-2.1V5.1c0-1.2-.9-2.1-2.1-2.1zM12 8.5c1.9 0 3.5 1.5 3.5 3.5 0 1.9-1.5 3.5-3.5 3.5-1.9 0-3.5-1.6-3.5-3.5s1.6-3.5 3.5-3.5zm6.9 9.7c0 .4-.3.7-.7.7H5.8c-.4 0-.7-.3-.7-.7v-7.6h1.6c-.1.4-.2.9-.2 1.4 0 3.1 2.5 5.5 5.5 5.5 3.1 0 5.5-2.5 5.5-5.5 0-.5-.1-.9-.2-1.4h1.6v7.6zM19 7.9c0 .4-.3.7-.7.7h-2.1c-.4 0-.7-.3-.7-.7V5.8c0-.4.3-.7.7-.7h2.1c.4 0 .7.3.7.7v2.1z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconInstagramComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconInstagramModule = /** @class */ (function () {
        function IconInstagramModule() {
        }
        return IconInstagramModule;
    }());
    IconInstagramModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconInstagramComponent],
                    exports: [IconInstagramComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconYoutubeComponent = /** @class */ (function (_super) {
        __extends(IconYoutubeComponent, _super);
        function IconYoutubeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconYoutubeComponent;
    }(core.IconBase));
    IconYoutubeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-youtube',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 24 24\"\n    >\n      <path\n        d=\"M19.8 9.4s-.2-1.1-.6-1.6c-.6-.6-1.3-.6-1.6-.7C15.4 7 12 7 12 7s-3.4 0-5.6.2c-.3 0-1 0-1.6.7-.5.5-.6 1.6-.6 1.6S4 10.6 4 11.9v1.2c0 1.3.2 2.5.2 2.5s.2 1.1.6 1.6c.6.6 1.4.6 1.8.7 1.2.1 5.4.1 5.4.1s3.4 0 5.6-.2c.3 0 1 0 1.6-.7.5-.5.6-1.6.6-1.6s.2-1.3.2-2.5v-1.2c0-1.2-.2-2.4-.2-2.4zm-9.5 5.1v-4.4l4.3 2.2-4.3 2.2z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconYoutubeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconYoutubeModule = /** @class */ (function () {
        function IconYoutubeModule() {
        }
        return IconYoutubeModule;
    }());
    IconYoutubeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconYoutubeComponent],
                    exports: [IconYoutubeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLinkedinComponent = /** @class */ (function (_super) {
        __extends(IconLinkedinComponent, _super);
        function IconLinkedinComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLinkedinComponent;
    }(core.IconBase));
    IconLinkedinComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-linkedin',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 24 24\"\n    >\n      <path\n        d=\"M7.5 5.1c0 1.2-.9 2.1-2.3 2.1C3.9 7.2 3 6.3 3 5.1S3.9 3 5.3 3s2.2.9 2.2 2.1zM3.2 21h4V8.9h-4V21zM17.4 8.6c-2.1 0-3.1 1.2-3.6 2V8.9h-4V21h4v-6.8c0-.4 0-.7.1-1 .3-.7 1-1.5 2.1-1.5 1.5 0 2 1.1 2 2.7V21h4v-7c.1-3.7-1.9-5.4-4.6-5.4z\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLinkedinComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLinkedinModule = /** @class */ (function () {
        function IconLinkedinModule() {
        }
        return IconLinkedinModule;
    }());
    IconLinkedinModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLinkedinComponent],
                    exports: [IconLinkedinComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPinterestComponent = /** @class */ (function (_super) {
        __extends(IconPinterestComponent, _super);
        function IconPinterestComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPinterestComponent;
    }(core.IconBase));
    IconPinterestComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-pinterest',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 24 24\"\n    >\n      <path\n        d=\"M19 8.9c0 4.1-2.3 7.1-5.6 7.1-1.1 0-2.2-.6-2.5-1.3l-.7 2.8c-.5 1.6-1.8 3.3-1.9 3.4-.1.1-.3.1-.3 0 0-.2-.4-2.3 0-3.9.2-.8 1.3-5.6 1.3-5.6S9 10.7 9 9.7C9 8.2 9.9 7 11 7c.9 0 1.4.7 1.4 1.6 0 .9-.6 2.4-.9 3.7-.3 1.1.6 2 1.6 2 2 0 3.3-2.5 3.3-5.5 0-2.3-1.5-4-4.3-4C9 4.8 7 7.1 7 9.7c0 .9.3 1.5.7 2 .2.2.2.3.1.6-.1.2-.2.6-.2.8-.1.3-.3.4-.5.3C5.7 12.8 5 11.2 5 9.5 5 6.5 7.5 3 12.4 3c4 0 6.6 2.9 6.6 5.9zm0 0\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPinterestComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPinterestModule = /** @class */ (function () {
        function IconPinterestModule() {
        }
        return IconPinterestModule;
    }());
    IconPinterestModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPinterestComponent],
                    exports: [IconPinterestComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconXingComponent = /** @class */ (function (_super) {
        __extends(IconXingComponent, _super);
        function IconXingComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconXingComponent;
    }(core.IconBase));
    IconXingComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-xing',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 24 24\"\n    >\n      <path\n        d=\"M14.6 21l-4-7.1L16.8 3H21l-6.2 10.9 4 7.1h-4.2zM8 15.6l3.1-5.1-2.4-4.2h-4L7 10.4l-3 5.2h4zm0 0\"\n      />\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconXingComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconXingModule = /** @class */ (function () {
        function IconXingModule() {
        }
        return IconXingModule;
    }());
    IconXingModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconXingComponent],
                    exports: [IconXingComponent],
                },] }
    ];

    var modules = [
        IconTwitterModule,
        IconFacebookModule,
        IconInstagramModule,
        IconYoutubeModule,
        IconLinkedinModule,
        IconPinterestModule,
        IconXingModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionSocialMediaModule = /** @class */ (function () {
        function IconCollectionSocialMediaModule() {
        }
        return IconCollectionSocialMediaModule;
    }());
    IconCollectionSocialMediaModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconCollectionSocialMediaModule = IconCollectionSocialMediaModule;
    exports.IconFacebookComponent = IconFacebookComponent;
    exports.IconFacebookModule = IconFacebookModule;
    exports.IconInstagramComponent = IconInstagramComponent;
    exports.IconInstagramModule = IconInstagramModule;
    exports.IconLinkedinComponent = IconLinkedinComponent;
    exports.IconLinkedinModule = IconLinkedinModule;
    exports.IconPinterestComponent = IconPinterestComponent;
    exports.IconPinterestModule = IconPinterestModule;
    exports.IconTwitterComponent = IconTwitterComponent;
    exports.IconTwitterModule = IconTwitterModule;
    exports.IconXingComponent = IconXingComponent;
    exports.IconXingModule = IconXingModule;
    exports.IconYoutubeComponent = IconYoutubeComponent;
    exports.IconYoutubeModule = IconYoutubeModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-social-media.umd.js.map
