(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/timetable', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.timetable = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPercentComponent = /** @class */ (function (_super) {
        __extends(IconPercentComponent, _super);
        function IconPercentComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPercentComponent;
    }(core.IconBase));
    IconPercentComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-percent',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11.498 9.997a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zM15.5 16a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm-8 1.5l9-9-9 9z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M17.246 14.996a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zM23.25 24a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm-12 2.25l13.5-13.5-13.5 13.5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M22.5 17.5a3 3 0 11-6 0 3 3 0 016 0zm9 13a3 3 0 11-6 0 3 3 0 016 0zM15 33l18-18-18 18z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPercentComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPercentModule = /** @class */ (function () {
        function IconPercentModule() {
        }
        return IconPercentModule;
    }());
    IconPercentModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPercentComponent],
                    exports: [IconPercentComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSwitzerlandRouteComponent = /** @class */ (function (_super) {
        __extends(IconSwitzerlandRouteComponent, _super);
        function IconSwitzerlandRouteComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSwitzerlandRouteComponent;
    }(core.IconBase));
    IconSwitzerlandRouteComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-switzerland-route',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M13.545 5.728l-1.013 1.307L8.768 8.06l-.74-.4-2.44 1.813 1.103.379-2.903 3.219-1.08 3.954 2.14-.544.945-.55 2.237 2.14 3.157-.353 1.82-1.97 2.152 2.979 1.574-3.338 3.664.957-.232-2.003 1.543.039-.158-3.27-1.343-1.025-.436.827-1.776-.536.663-1.976-3.717-1.443-1.396-1.232zm-4.337 9.024l5-5\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M9.21 15.75a1 1 0 110-2 1 1 0 010 2zm5-5.01a1 1 0 110-2 1 1 0 010 2z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M20.318 8.592l-1.52 1.96-5.646 1.54-1.11-.6-3.66 2.719 1.655.568-4.355 4.829-1.62 5.93 3.21-.815 1.418-.825 3.355 3.211 4.736-.53 2.728-2.954 3.23 4.467 2.36-5.007 5.497 1.435-.348-3.004 2.314.058-.237-4.903-2.014-1.54-.654 1.241-2.664-.804.994-2.964-5.575-2.164-2.094-1.848zm-6.505 13.536l7.5-7.5\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M13.815 23.625a1.5 1.5 0 110-3 1.5 1.5 0 010 3zm7.5-7.515a1.5 1.5 0 110-3 1.5 1.5 0 010 3z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20 29.5a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zm10-10.49a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zm-10.441 9.432l7.884-8.374m-.705-8.893l-2.044 2.638-7.595 2.07-1.492-.807-4.925 3.657 2.228.764-5.859 6.497-2.179 7.978 4.317-1.097 1.906-1.113 4.515 4.323 6.37-.717 3.67-3.971 4.346 6.008 3.173-6.736 7.392 1.932-.466-4.042 3.113.079-.319-6.596-2.709-2.069-.88 1.668-3.583-1.081 1.338-3.987-7.499-2.911-2.818-2.487z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSwitzerlandRouteComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSwitzerlandRouteModule = /** @class */ (function () {
        function IconSwitzerlandRouteModule() {
        }
        return IconSwitzerlandRouteModule;
    }());
    IconSwitzerlandRouteModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSwitzerlandRouteComponent],
                    exports: [IconSwitzerlandRouteComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowChangeComponent = /** @class */ (function (_super) {
        __extends(IconArrowChangeComponent, _super);
        function IconArrowChangeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowChangeComponent;
    }(core.IconBase));
    IconArrowChangeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrow-change',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10 8L6.49 4.5 3 8m12 8l3.51 3.5L22 16m-3.49 3.5s-.01-8.58-.01-12h0a3 3 0 10-6 0h0v9a3 3 0 11-6 0c0-3.42-.01-12-.01-12\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15 12L9.735 6.75 4.5 12m18 12l5.265 5.25L33 24m-5.235 5.25S27.75 16.38 27.75 11.25v-.001a4.5 4.5 0 10-8.999 0l-.001.001v13.5a4.5 4.5 0 11-9 0c0-5.13-.015-18.001-.015-18.001\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowChangeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowChangeModule = /** @class */ (function () {
        function IconArrowChangeModule() {
        }
        return IconArrowChangeModule;
    }());
    IconArrowChangeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowChangeComponent],
                    exports: [IconArrowChangeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAvatarTrainStaffComponent = /** @class */ (function (_super) {
        __extends(IconAvatarTrainStaffComponent, _super);
        function IconAvatarTrainStaffComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconAvatarTrainStaffComponent;
    }(core.IconBase));
    IconAvatarTrainStaffComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-avatar-train-staff',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M17.5 3.5c0 .552-2.687 1-6 1s-6-.448-6-1c0-.553 2.687-1 6-1s6 .447 6 1zM7.062 10.842c.303 1.217 2.164 2.159 4.438 2.159 2.274 0 4.135-.941 4.437-2.159M5.5 3.5v6c0 1.104 2.687 2 6 2s6-.896 6-2v-6m0 7.95L17.005 16s-.284 2.266-1.514 3.38c-1.387 1.258-2.463 2.087-3.991 2.087s-2.603-.83-3.991-2.086C6.279 18.266 5.995 16 5.995 16L5.5 11.45M14 17.5s-1.07 1-2.5 1-2.5-1-2.5-1\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M12.3 6h1.2l2 2-2 2h-1.2l1.6-1.5H12V10h-1V8.5H9.1l1.6 1.5H9.5l-2-2 2-2h1.2L9.1 7.5H11V6h1v1.5h1.9L12.3 6zm-2.1 9.2c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8zm4 0c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M26.25 5.25c0 .828-4.03 1.5-9 1.5s-9-.672-9-1.5c0-.83 4.03-1.5 9-1.5s9 .67 9 1.5zM10.593 16.264c.454 1.825 3.246 3.237 6.657 3.237s6.203-1.412 6.655-3.237M8.25 5.25v9c0 1.656 4.03 3 9 3s9-1.344 9-3v-9m0 11.925L25.508 24s-.427 3.399-2.271 5.071c-2.081 1.886-3.695 3.13-5.987 3.13-2.292 0-3.905-1.244-5.986-3.13C9.418 27.4 8.992 24 8.992 24l-.743-6.825M21 26.25s-1.605 1.5-3.75 1.5-3.75-1.5-3.75-1.5\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M18.45 9h1.8l3 3-3 3h-1.8l2.401-2.25H18V15h-1.5v-2.25h-2.85l2.4 2.25h-1.8l-3-3 3-3h1.8l-2.4 2.25h2.85V9H18v2.25h2.851L18.45 9zM14.9 22.8c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8zm6 0c0 .5-.3.8-.8.8s-.8-.4-.8-.8c0-.5.3-.8.8-.8s.8.4.8.8z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconAvatarTrainStaffComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAvatarTrainStaffModule = /** @class */ (function () {
        function IconAvatarTrainStaffModule() {
        }
        return IconAvatarTrainStaffModule;
    }());
    IconAvatarTrainStaffModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconAvatarTrainStaffComponent],
                    exports: [IconAvatarTrainStaffComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAvatarTrainStaffDisabledComponent = /** @class */ (function (_super) {
        __extends(IconAvatarTrainStaffDisabledComponent, _super);
        function IconAvatarTrainStaffDisabledComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconAvatarTrainStaffDisabledComponent;
    }(core.IconBase));
    IconAvatarTrainStaffDisabledComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-avatar-train-staff-disabled',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M14 17.5s-1.07 1-2.5 1-2.5-1-2.5-1M19 19L3 3m4.686 1.272c1.037.142 2.365.228 3.814.228 3.313 0 6-.448 6-1 0-.553-2.687-1-6-1-2.163 0-4.053.191-5.109.477M5.5 5.5v4c0 1.104 2.687 2 6 2m-4.438-.658c.303 1.217 2.164 2.159 4.438 2.159.481 0 .93-.06 1.361-.14M5.5 11.45L5.995 16s.284 2.266 1.514 3.38c1.388 1.258 2.463 2.087 3.991 2.087s2.604-.83 3.991-2.086c.753-.682 1.147-1.786 1.343-2.547m.407-3.007l.26-2.377m-2.243.394c.343-.298.589-.634.68-1.002m-1.318.364c1.725-.351 2.88-.983 2.88-1.706v-6\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M12.875 9.461l1.025-.96H12l-1-1V6h1v1.5h1.9L12.3 6h1.2l2 2-2.06 2.06-.565-.6zm-2.839-2.839L9.5 6h1.2l-.664.622zM9.5 14.5a.75.75 0 110 1.5.75.75 0 010-1.5zm4 0a.75.75 0 110 1.5.75.75 0 010-1.5z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M21 26.25s-1.605 1.5-3.75 1.5-3.75-1.5-3.75-1.5m15 2.25l-24-24m7.029 1.908c1.556.213 3.547.342 5.721.342 4.97 0 9-.672 9-1.5 0-.83-4.03-1.5-9-1.5-3.245 0-6.08.287-7.664.716M8.25 8.25v6c0 1.656 4.03 3 9 3m-6.657-.986c.454 1.825 3.246 3.237 6.657 3.237.721 0 1.395-.089 2.041-.209M8.25 17.175L8.992 24s.426 3.399 2.271 5.071c2.082 1.886 3.695 3.13 5.987 3.13 2.292 0 3.906-1.244 5.986-3.13 1.13-1.023 1.721-2.679 2.015-3.82m.61-4.51l.39-3.566m-3.364.59c.514-.447.883-.95 1.02-1.501m-1.977.545c2.588-.527 4.32-1.475 4.32-2.56v-9\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M19.313 14.192l1.537-1.442H18l-1.5-1.5V9H18v2.25h2.85L18.45 9h1.8l3 3-3.09 3.09-.848-.898zm-4.259-4.259L14.25 9h1.8l-.996.933zM14.25 21.75a1.125 1.125 0 110 2.25 1.125 1.125 0 010-2.25zm6 0a1.125 1.125 0 110 2.25 1.125 1.125 0 010-2.25z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconAvatarTrainStaffDisabledComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAvatarTrainStaffDisabledModule = /** @class */ (function () {
        function IconAvatarTrainStaffDisabledModule() {
        }
        return IconAvatarTrainStaffDisabledModule;
    }());
    IconAvatarTrainStaffDisabledModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconAvatarTrainStaffDisabledComponent],
                    exports: [IconAvatarTrainStaffDisabledComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconClockComponent = /** @class */ (function (_super) {
        __extends(IconClockComponent, _super);
        function IconClockComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconClockComponent;
    }(core.IconBase));
    IconClockComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-clock',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12 4.5a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zm5 8h-5.5V7\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18 6.75c6.215 0 11.25 5.037 11.25 11.25 0 6.214-5.035 11.25-11.25 11.25-6.213 0-11.25-5.036-11.25-11.25 0-6.213 5.037-11.25 11.25-11.25zm7.5 12h-8.25V10.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconClockComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconClockModule = /** @class */ (function () {
        function IconClockModule() {
        }
        return IconClockModule;
    }());
    IconClockModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconClockComponent],
                    exports: [IconClockComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHourglassComponent = /** @class */ (function (_super) {
        __extends(IconHourglassComponent, _super);
        function IconHourglassComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconHourglassComponent;
    }(core.IconBase));
    IconHourglassComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-hourglass',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.516 20.5c0-2.82-1.926-5.266-3.979-6.504-.624-.384-1.053-1.135-1.053-1.996s.43-1.612 1.053-1.995c2.053-1.238 3.98-3.686 3.98-6.505H5.483c0 2.819 1.925 5.267 3.978 6.505.624.383 1.054 1.134 1.054 1.995 0 .86-.43 1.612-1.054 1.996C7.41 15.234 5.484 17.68 5.484 20.5h13.032zm-9.052-13c.33.307.683.577 1.04.793l.003.002c.656.404 1.155 1.091 1.492 1.836.336-.743.832-1.429 1.485-1.83a6.594 6.594 0 001.052-.8H9.464z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27.774 30.75c0-4.229-2.889-7.9-5.968-9.756-.936-.576-1.58-1.703-1.58-2.994 0-1.292.644-2.418 1.58-2.993 3.08-1.857 5.968-5.529 5.968-9.757H8.226c0 4.228 2.888 7.9 5.967 9.757.936.575 1.581 1.701 1.581 2.993 0 1.291-.645 2.418-1.58 2.994-3.08 1.857-5.968 5.527-5.968 9.756h19.548zm-13.578-19.5a9.66 9.66 0 001.56 1.19l.004.003c.984.606 1.733 1.636 2.238 2.754.504-1.115 1.248-2.144 2.228-2.745a9.891 9.891 0 001.578-1.202h-7.608z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconHourglassComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconHourglassModule = /** @class */ (function () {
        function IconHourglassModule() {
        }
        return IconHourglassModule;
    }());
    IconHourglassModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconHourglassComponent],
                    exports: [IconHourglassComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocomotiveComponent = /** @class */ (function (_super) {
        __extends(IconLocomotiveComponent, _super);
        function IconLocomotiveComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocomotiveComponent;
    }(core.IconBase));
    IconLocomotiveComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-locomotive',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11.5 15.5H18l-3-6h-3.5v6zm-9.5 5h4.5v-15H2m0-2.001h10m-5.5 14.5h3M9.5 5.5v15l6 .001c4.582.002 6.936-.857 5.375-4.784L17.312 8.53C16.235 6.574 14.765 5.468 11.5 5.5h-2z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M17.25 23.25H27l-4.5-9h-5.25v9zM3 30.75h6.75V8.25H3m0-3.002h15M9.75 27h4.5m0-18.75v22.5l9 .002c6.873.003 10.404-1.286 8.063-7.176l-5.345-10.78c-1.616-2.935-3.82-4.594-8.718-4.546h-3z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocomotiveComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocomotiveModule = /** @class */ (function () {
        function IconLocomotiveModule() {
        }
        return IconLocomotiveModule;
    }());
    IconLocomotiveModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocomotiveComponent],
                    exports: [IconLocomotiveComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPercentTagComponent = /** @class */ (function (_super) {
        __extends(IconPercentTagComponent, _super);
        function IconPercentTagComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPercentTagComponent;
    }(core.IconBase));
    IconPercentTagComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-percent-tag',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9 7.5c.84 0 1.5.66 1.5 1.5s-.66 1.5-1.5 1.5S7.5 9.84 7.5 9 8.16 7.5 9 7.5m4 6c.84 0 1.5.66 1.5 1.5s-.66 1.5-1.5 1.5-1.5-.66-1.5-1.5.66-1.5 1.5-1.5M15 8l-8 8M3.5 5.5H17l3.5 6.5-3.5 6.5H3.5v-13z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.5 11.25c1.26 0 2.25.99 2.25 2.25s-.99 2.25-2.25 2.25-2.25-.99-2.25-2.25.99-2.25 2.25-2.25m6 9.001c1.26 0 2.25.989 2.25 2.25 0 1.26-.99 2.25-2.25 2.25s-2.25-.99-2.25-2.25c0-1.261.99-2.25 2.25-2.25m3-8.25l-12 12M5.25 8.25H25.5L30.75 18l-5.25 9.75H5.25V8.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPercentTagComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPercentTagModule = /** @class */ (function () {
        function IconPercentTagModule() {
        }
        return IconPercentTagModule;
    }());
    IconPercentTagModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPercentTagComponent],
                    exports: [IconPercentTagComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPunctualityComponent = /** @class */ (function (_super) {
        __extends(IconPunctualityComponent, _super);
        function IconPunctualityComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPunctualityComponent;
    }(core.IconBase));
    IconPunctualityComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-punctuality',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M3.5 13.5c0-.168.005-.334.015-.5M11 5.515c.166-.01.332-.015.5-.015m0 0a8 8 0 11-8 8m8-8V3m-1.5.5h3m-5 10l2.5 3 5.5-6\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M3.648 11.958a8.005 8.005 0 016.831-6.393\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M5.25 20.25c0-.252.008-.501.022-.75M16.5 8.273c.249-.015.498-.022.75-.022m0 0c6.627 0 12 5.372 12 12 0 6.626-5.373 12-12 12s-12-5.374-12-12m12-12.001V4.5M15 5.25h4.5m-7.5 15l3.75 4.5 8.25-9\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M5.473 17.937C6.455 12.906 10.58 9 15.719 8.347\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPunctualityComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPunctualityModule = /** @class */ (function () {
        function IconPunctualityModule() {
        }
        return IconPunctualityModule;
    }());
    IconPunctualityModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPunctualityComponent],
                    exports: [IconPunctualityComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRouteCircleEndComponent = /** @class */ (function (_super) {
        __extends(IconRouteCircleEndComponent, _super);
        function IconRouteCircleEndComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconRouteCircleEndComponent;
    }(core.IconBase));
    IconRouteCircleEndComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-route-circle-end',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M20.5 12.5a6 6 0 11-12 0 6 6 0 0112 0zm-12 0H3h5.5z\" />\n          <path fill=\"#000\" d=\"M18 12.5a3.5 3.5 0 11-7 0 3.5 3.5 0 017 0\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M30.75 18.75a9 9 0 11-18 0 9 9 0 0118 0zm-18 0H4.5h8.25z\" />\n          <path fill=\"#000\" d=\"M27 18.75a5.25 5.25 0 11-10.5 0 5.25 5.25 0 0110.5 0\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconRouteCircleEndComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRouteCircleEndModule = /** @class */ (function () {
        function IconRouteCircleEndModule() {
        }
        return IconRouteCircleEndModule;
    }());
    IconRouteCircleEndModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconRouteCircleEndComponent],
                    exports: [IconRouteCircleEndComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRouteCircleStartComponent = /** @class */ (function (_super) {
        __extends(IconRouteCircleStartComponent, _super);
        function IconRouteCircleStartComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconRouteCircleStartComponent;
    }(core.IconBase));
    IconRouteCircleStartComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-route-circle-start',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M3.5 12.5a6 6 0 1112.002.002A6 6 0 013.5 12.5zm3 0a3 3 0 116 0 3 3 0 01-6 0zm9 0H21\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.25 18.75a9 9 0 1118 0 9 9 0 01-18 0zm4.5.001a4.5 4.5 0 119 0 4.5 4.5 0 01-9 0zm13.5 0h8.25\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconRouteCircleStartComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconRouteCircleStartModule = /** @class */ (function () {
        function IconRouteCircleStartModule() {
        }
        return IconRouteCircleStartModule;
    }());
    IconRouteCircleStartModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconRouteCircleStartComponent],
                    exports: [IconRouteCircleStartComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSeatWindowComponent = /** @class */ (function (_super) {
        __extends(IconSeatWindowComponent, _super);
        function IconSeatWindowComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSeatWindowComponent;
    }(core.IconBase));
    IconSeatWindowComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-seat-window',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6 4.5a1.5 1.5 0 110 3 1.5 1.5 0 010-3zm8 14H6.5l-4-11m14.791 14.042L14.708 16.5h-6.5l-2.5-7h2l1.5 4.01h3.771m-1.481-3.01h9v-6h-9v6zm0-1l2.002-2 2 2 3-3 2 2\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9 6.75a2.25 2.25 0 110 4.5 2.25 2.25 0 010-4.5zm12 21H9.75l-6-16.5m22.186 21.063l-3.874-7.563h-9.75l-3.75-10.5h3l2.25 6.015h5.656m-2.221-4.515h13.5v-9h-13.5v9zm0-1.5l3.003-3 3 3 4.5-4.5 3 3\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSeatWindowComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSeatWindowModule = /** @class */ (function () {
        function IconSeatWindowModule() {
        }
        return IconSeatWindowModule;
    }());
    IconSeatWindowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSeatWindowComponent],
                    exports: [IconSeatWindowComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTimetableComponent = /** @class */ (function (_super) {
        __extends(IconTimetableComponent, _super);
        function IconTimetableComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTimetableComponent;
    }(core.IconBase));
    IconTimetableComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-timetable',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.5 10.5c2.757 0 5 2.243 5 5 0 2.756-2.243 5-5 5s-5-2.244-5-5c0-2.757 2.243-5 5-5zM2 3.5h7-7zm9 0h4-4zm0 3h4-4zm6 0h5-5zm0-3h5-5zm-15 3h7-7zm0 3h7-7zm0 3h5-5zm0 3h5-5zm0 3h5-5zM15.5 12v3.5H19\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M23.25 15.75c4.136 0 7.5 3.365 7.5 7.5 0 4.134-3.364 7.5-7.5 7.5s-7.5-3.366-7.5-7.5c0-4.135 3.364-7.5 7.5-7.5zM3 5.25h10.5H3zm13.5 0h6-6zm0 4.5h6-6zm9 0H33h-7.5zm0-4.5H33h-7.5zM3 9.75h10.5H3zm0 4.5h10.5H3zm0 4.5h7.5H3zm0 4.5h7.5H3zm0 4.5h7.5H3zM23.25 18v5.25h5.25\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTimetableComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTimetableModule = /** @class */ (function () {
        function IconTimetableModule() {
        }
        return IconTimetableModule;
    }());
    IconTimetableModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTimetableComponent],
                    exports: [IconTimetableComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkComponent = /** @class */ (function (_super) {
        __extends(IconWalkComponent, _super);
        function IconWalkComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWalkComponent;
    }(core.IconBase));
    IconWalkComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-walk',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14.5 20v-4.5l-2-2h-2v3l-2 3m4-11v5h-2v-5m1-2c-.533 0-1-.466-1-1 0-.533.467-1 1-1 .533 0 1 .467 1 1 0 .534-.467 1-1 1zm-4 7.5v-3.5l3-2h2l2 2H17\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M21.75 30v-6.75l-3-3h-3v4.5l-3 4.5m6-16.5v7.5h-3v-7.5m1.5-3c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5zm-6 11.25v-5.25l4.5-3h3l3 3h3.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWalkComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkModule = /** @class */ (function () {
        function IconWalkModule() {
        }
        return IconWalkModule;
    }());
    IconWalkModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWalkComponent],
                    exports: [IconWalkComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkFastComponent = /** @class */ (function (_super) {
        __extends(IconWalkFastComponent, _super);
        function IconWalkFastComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWalkFastComponent;
    }(core.IconBase));
    IconWalkFastComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-walk-fast',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.501 13.593V16.5l-3 3m6-11l-1.001 5 2.001 2L16.5 20m-2.999-3.5v-3l1-5m-4 5.5l1-3.5 3-2h2l2 2 2.5 1m-6.5-3l-1 5H15.5l1.001-5M9 9.5H5m3 4H3m7 3H5m7-10H7m8.491 0c-.533 0-1-.467-1-1 0-.533.467-1 1-1 .533 0 1 .467 1 1 0 .533-.467 1-1 1z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.252 20.39v4.36l-4.5 4.5m9-16.5l-1.502 7.5 3.002 3L24.75 30m-4.498-5.25v-4.5l1.5-7.5M15.75 21l1.5-5.25 4.5-3h3l3 3 3.75 1.5m-9.75-4.5l-1.5 7.5h2.999l1.502-7.5M13.5 14.25h-6m4.5 6H4.5m10.5 4.5H7.5m10.5-15h-7.5m12.737 0c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWalkFastComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkFastModule = /** @class */ (function () {
        function IconWalkFastModule() {
        }
        return IconWalkFastModule;
    }());
    IconWalkFastModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWalkFastComponent],
                    exports: [IconWalkFastComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkSlowComponent = /** @class */ (function (_super) {
        __extends(IconWalkSlowComponent, _super);
        function IconWalkSlowComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWalkSlowComponent;
    }(core.IconBase));
    IconWalkSlowComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-walk-slow',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M15.5 20v-4.5l-1-1.907h-2V16.5L12 20m2.5-11.5v5.093h-2V8.5m-1.964 5.035l-2.06 5.1-1.852-.756 1.124-2.782 1.845.752M10.5 13v-2.5l2-2h2l1 2 1.5 2m-3.501-6c-.533 0-1-.467-1-1 0-.533.467-1 1-1 .533 0 1 .467 1 1 0 .533-.467 1-1 1z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M6.24 18.309a.5.5 0 110 .999.5.5 0 010-1zm1.855.749a.5.5 0 11-.001 1 .5.5 0 010-1z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M23.25 30v-6.75l-1.5-2.86h-3v4.36L18 30m3.75-17.25v7.64h-3v-7.64m-2.947 7.553l-3.09 7.65-2.778-1.134 1.686-4.173 2.768 1.128M15.75 19.5v-3.75l3-3h3l1.5 3 2.25 3m-5.251-9c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M9.36 27.463a.75.75 0 110 1.498.75.75 0 010-1.498zm2.782 1.123a.75.75 0 11-.002 1.499.75.75 0 01.002-1.499z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWalkSlowComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkSlowModule = /** @class */ (function () {
        function IconWalkSlowModule() {
        }
        return IconWalkSlowModule;
    }());
    IconWalkSlowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWalkSlowComponent],
                    exports: [IconWalkSlowComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairComponent = /** @class */ (function (_super) {
        __extends(IconWheelchairComponent, _super);
        function IconWheelchairComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWheelchairComponent;
    }(core.IconBase));
    IconWheelchairComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-wheelchair',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.5 8v5.5h5V19M11 6a.5.5 0 11-1 0 .5.5 0 011 0zm-2.297 4.932A4.014 4.014 0 006.505 14.5c0 2.198 1.802 4 4 4a4.016 4.016 0 003.62-2.304\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.75 12v8.25h7.5v8.25M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0zm-3.445 7.398c-1.952.994-3.297 3.024-3.297 5.352 0 3.297 2.703 6 6 6 2.39 0 4.467-1.42 5.43-3.456\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWheelchairComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairModule = /** @class */ (function () {
        function IconWheelchairModule() {
        }
        return IconWheelchairModule;
    }());
    IconWheelchairModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWheelchairComponent],
                    exports: [IconWheelchairComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairInaccessibleComponent = /** @class */ (function (_super) {
        __extends(IconWheelchairInaccessibleComponent, _super);
        function IconWheelchairInaccessibleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWheelchairInaccessibleComponent;
    }(core.IconBase));
    IconWheelchairInaccessibleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-wheelchair-inaccessible',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5 8l12.5 12.5m-2-5v-2h-2m-3-3V8m-2.28 3.22A4.003 4.003 0 006.5 14.5c0 2.2 1.801 4 4 4a3.999 3.999 0 003.276-1.724M11 6a.5.5 0 11-1 0 .5.5 0 011 0zm4.5 12.5v.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.5 12l18.75 18.75m-3-7.5v-3h-3m-4.5-4.5V12m-3.42 4.83a6.005 6.005 0 00-2.581 4.92c0 3.3 2.703 6 6 6 2.03 0 3.828-1.028 4.915-2.585M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0zm6.75 18.75v.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWheelchairInaccessibleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairInaccessibleModule = /** @class */ (function () {
        function IconWheelchairInaccessibleModule() {
        }
        return IconWheelchairInaccessibleModule;
    }());
    IconWheelchairInaccessibleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWheelchairInaccessibleComponent],
                    exports: [IconWheelchairInaccessibleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairPartiallyComponent = /** @class */ (function (_super) {
        __extends(IconWheelchairPartiallyComponent, _super);
        function IconWheelchairPartiallyComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWheelchairPartiallyComponent;
    }(core.IconBase));
    IconWheelchairPartiallyComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-wheelchair-partially',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.7 10.93a4.012 4.012 0 00-2.198 3.567c0 2.2 1.802 4 4 4a4.015 4.015 0 003.62-2.303M4.7 4.5C3.4 6.3 2.4 8.7 2.4 12s1 5.6 2.3 7.5m14.4 0c1.3-1.8 2.3-4.2 2.3-7.5s-1-5.6-2.3-7.5M10.5 8v5.5h5V19M11 6a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.05 16.396c-1.951.993-3.297 3.024-3.297 5.35 0 3.3 2.703 6 6 6 2.39 0 4.467-1.417 5.43-3.454M7.05 6.75C5.1 9.45 3.6 13.05 3.6 18S5.1 26.4 7.05 29.25m21.6 0c1.95-2.7 3.45-6.3 3.45-11.25s-1.5-8.4-3.45-11.25M15.75 12v8.25h7.5v8.25M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWheelchairPartiallyComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairPartiallyModule = /** @class */ (function () {
        function IconWheelchairPartiallyModule() {
        }
        return IconWheelchairPartiallyModule;
    }());
    IconWheelchairPartiallyModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWheelchairPartiallyComponent],
                    exports: [IconWheelchairPartiallyComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairReservationComponent = /** @class */ (function (_super) {
        __extends(IconWheelchairReservationComponent, _super);
        function IconWheelchairReservationComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWheelchairReservationComponent;
    }(core.IconBase));
    IconWheelchairReservationComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-wheelchair-reservation',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.703 10.932A4.014 4.014 0 006.505 14.5c0 2.198 1.802 4 4 4a4.016 4.016 0 003.62-2.304M2.5 21.5h19v-19h-19v19zm8-13.5v5.5h5V19M11 6a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.055 16.398c-1.952.994-3.297 3.024-3.297 5.352 0 3.297 2.703 6 6 6 2.39 0 4.467-1.42 5.43-3.456M3.75 32.25h28.5V3.75H3.75v28.5zm12-20.25v8.25h7.5v8.25M16.5 9A.75.75 0 1115 9a.75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWheelchairReservationComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairReservationModule = /** @class */ (function () {
        function IconWheelchairReservationModule() {
        }
        return IconWheelchairReservationModule;
    }());
    IconWheelchairReservationModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWheelchairReservationComponent],
                    exports: [IconWheelchairReservationComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairUncertainComponent = /** @class */ (function (_super) {
        __extends(IconWheelchairUncertainComponent, _super);
        function IconWheelchairUncertainComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWheelchairUncertainComponent;
    }(core.IconBase));
    IconWheelchairUncertainComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-wheelchair-uncertain',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 8v5.5h5V19m-6.802-8.067A4.013 4.013 0 002.5 14.5c0 2.198 1.8 4 4 4a4.013 4.013 0 003.619-2.304m7.426.8v2M17.5 15c0-1.497.057-2.13 1-3.2l1.5-1.5c1.736-1.94.807-3.727-.475-4.411-2.063-1.006-5.025-.197-5.025 3.11M7 6a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 12v8.25h7.5v8.25M7.047 16.4c-1.952.992-3.297 3.023-3.297 5.351 0 3.297 2.701 6 6 6 2.39 0 4.467-1.419 5.428-3.456m11.14 1.202v3M26.25 22.5c0-2.246.085-3.195 1.5-4.8L30 15.45c2.604-2.91 1.21-5.59-.712-6.617-3.095-1.509-7.538-.295-7.538 4.667M10.5 9A.75.75 0 119 9a.75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWheelchairUncertainComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWheelchairUncertainModule = /** @class */ (function () {
        function IconWheelchairUncertainModule() {
        }
        return IconWheelchairUncertainModule;
    }());
    IconWheelchairUncertainModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWheelchairUncertainComponent],
                    exports: [IconWheelchairUncertainComponent],
                },] }
    ];

    var modules = [
        IconPercentModule,
        IconSwitzerlandRouteModule,
        IconArrowChangeModule,
        IconAvatarTrainStaffModule,
        IconAvatarTrainStaffDisabledModule,
        IconClockModule,
        IconHourglassModule,
        IconLocomotiveModule,
        IconPercentTagModule,
        IconPunctualityModule,
        IconRouteCircleEndModule,
        IconRouteCircleStartModule,
        IconSeatWindowModule,
        IconTimetableModule,
        IconWalkModule,
        IconWalkFastModule,
        IconWalkSlowModule,
        IconWheelchairModule,
        IconWheelchairInaccessibleModule,
        IconWheelchairPartiallyModule,
        IconWheelchairReservationModule,
        IconWheelchairUncertainModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionTimetableModule = /** @class */ (function () {
        function IconCollectionTimetableModule() {
        }
        return IconCollectionTimetableModule;
    }());
    IconCollectionTimetableModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconArrowChangeComponent = IconArrowChangeComponent;
    exports.IconArrowChangeModule = IconArrowChangeModule;
    exports.IconAvatarTrainStaffComponent = IconAvatarTrainStaffComponent;
    exports.IconAvatarTrainStaffDisabledComponent = IconAvatarTrainStaffDisabledComponent;
    exports.IconAvatarTrainStaffDisabledModule = IconAvatarTrainStaffDisabledModule;
    exports.IconAvatarTrainStaffModule = IconAvatarTrainStaffModule;
    exports.IconClockComponent = IconClockComponent;
    exports.IconClockModule = IconClockModule;
    exports.IconCollectionTimetableModule = IconCollectionTimetableModule;
    exports.IconHourglassComponent = IconHourglassComponent;
    exports.IconHourglassModule = IconHourglassModule;
    exports.IconLocomotiveComponent = IconLocomotiveComponent;
    exports.IconLocomotiveModule = IconLocomotiveModule;
    exports.IconPercentComponent = IconPercentComponent;
    exports.IconPercentModule = IconPercentModule;
    exports.IconPercentTagComponent = IconPercentTagComponent;
    exports.IconPercentTagModule = IconPercentTagModule;
    exports.IconPunctualityComponent = IconPunctualityComponent;
    exports.IconPunctualityModule = IconPunctualityModule;
    exports.IconRouteCircleEndComponent = IconRouteCircleEndComponent;
    exports.IconRouteCircleEndModule = IconRouteCircleEndModule;
    exports.IconRouteCircleStartComponent = IconRouteCircleStartComponent;
    exports.IconRouteCircleStartModule = IconRouteCircleStartModule;
    exports.IconSeatWindowComponent = IconSeatWindowComponent;
    exports.IconSeatWindowModule = IconSeatWindowModule;
    exports.IconSwitzerlandRouteComponent = IconSwitzerlandRouteComponent;
    exports.IconSwitzerlandRouteModule = IconSwitzerlandRouteModule;
    exports.IconTimetableComponent = IconTimetableComponent;
    exports.IconTimetableModule = IconTimetableModule;
    exports.IconWalkComponent = IconWalkComponent;
    exports.IconWalkFastComponent = IconWalkFastComponent;
    exports.IconWalkFastModule = IconWalkFastModule;
    exports.IconWalkModule = IconWalkModule;
    exports.IconWalkSlowComponent = IconWalkSlowComponent;
    exports.IconWalkSlowModule = IconWalkSlowModule;
    exports.IconWheelchairComponent = IconWheelchairComponent;
    exports.IconWheelchairInaccessibleComponent = IconWheelchairInaccessibleComponent;
    exports.IconWheelchairInaccessibleModule = IconWheelchairInaccessibleModule;
    exports.IconWheelchairModule = IconWheelchairModule;
    exports.IconWheelchairPartiallyComponent = IconWheelchairPartiallyComponent;
    exports.IconWheelchairPartiallyModule = IconWheelchairPartiallyModule;
    exports.IconWheelchairReservationComponent = IconWheelchairReservationComponent;
    exports.IconWheelchairReservationModule = IconWheelchairReservationModule;
    exports.IconWheelchairUncertainComponent = IconWheelchairUncertainComponent;
    exports.IconWheelchairUncertainModule = IconWheelchairUncertainModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-timetable.umd.js.map
