(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/transport', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.transport = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBicycleComponent = /** @class */ (function (_super) {
        __extends(IconBicycleComponent, _super);
        function IconBicycleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBicycleComponent;
    }(core.IconBase));
    IconBicycleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-bicycle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7 11.5c1.93 0 3.5 1.57 3.5 3.5S8.93 18.5 7 18.5 3.5 16.93 3.5 15s1.57-3.5 3.5-3.5m10.001 0c1.93 0 3.5 1.57 3.5 3.5s-1.57 3.5-3.5 3.5c-1.931 0-3.5-1.57-3.5-3.5s1.569-3.5 3.5-3.5M7 15l2-5.5h5.5l2-3H13m4.001 8.5L14.5 9.5m-7.292-2h2.793\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.5 17.25a5.256 5.256 0 015.25 5.25 5.256 5.256 0 01-5.25 5.25 5.256 5.256 0 01-5.25-5.25 5.256 5.256 0 015.25-5.25m15.002 0a5.256 5.256 0 015.25 5.25 5.256 5.256 0 01-5.25 5.25 5.255 5.255 0 01-5.25-5.25 5.255 5.255 0 015.25-5.25M10.5 22.5l3-8.25h8.25l3-4.5H19.5m6.002 12.75l-3.752-8.25m-10.937-3H15\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14 22.5a7.5 7.5 0 110 15 7.5 7.5 0 010-15zm20.001 0a7.5 7.5 0 017.5 7.5c0 4.143-3.357 7.5-7.5 7.5a7.5 7.5 0 010-15zM14 30l4.5-11.5h10l4.5-6h-7M34.001 30L28.5 18.5m-13.5-4h5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBicycleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBicycleModule = /** @class */ (function () {
        function IconBicycleModule() {
        }
        return IconBicycleModule;
    }());
    IconBicycleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBicycleComponent],
                    exports: [IconBicycleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTrainComponent = /** @class */ (function (_super) {
        __extends(IconTrainComponent, _super);
        function IconTrainComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTrainComponent;
    }(core.IconBase));
    IconTrainComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-train',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16 17.5l2 4m-12 0l2-4m10 2H6m13 2H5m9-14h-4m8.5 5h-13M16 2.5H8m10.5 15h-13V8A2.5 2.5 0 018 5.5h8A2.5 2.5 0 0118.5 8v9.5zM10 2.5l2 3m2-3l-2 3m3.5 9.5a.5.5 0 10-1.002.001A.5.5 0 0015.5 15zm-6 0A.5.5 0 108.498 15 .5.5 0 009.5 15z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24 26.25l3 6m-18 0l3-6m15 3H9m19.5 3h-21m13.5-21h-6m12.75 7.5H8.25M24 3.75H12m15.75 22.5H8.25V12A3.75 3.75 0 0112 8.25h12A3.75 3.75 0 0127.75 12v14.25zM15 3.75l3 4.5m3-4.5l-3 4.5m5.25 14.25a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-9 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M32 35.5l4 7m-24 0l4-7m20 3H12m26 4H10M17.5 30a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zm16 0a1.5 1.5 0 10-3.001 0 1.5 1.5 0 003.001 0zM28 14.5h-8m17.5 10h-27M32 5.5H16m21.5 30h-27v-19c0-2.761 2.325-5 5.192-5h16.616c2.868 0 5.192 2.239 5.192 5v19zM20 5.5l4 6m4-6l-4 6\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M24.722 28.001l1.444 1.5h-1.715v-1.5h-.902v1.5h-1.715l1.445-1.5h-1.083l-1.806 2 1.806 2h1.083l-1.445-1.5h1.715v1.5h.902v-1.5h1.715l-1.444 1.5h1.083l1.806-2-1.806-2z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTrainComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTrainModule = /** @class */ (function () {
        function IconTrainModule() {
        }
        return IconTrainModule;
    }());
    IconTrainModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTrainComponent],
                    exports: [IconTrainComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAirplaneComponent = /** @class */ (function (_super) {
        __extends(IconAirplaneComponent, _super);
        function IconAirplaneComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconAirplaneComponent;
    }(core.IconBase));
    IconAirplaneComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-airplane',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20 13.5l-6 .002-2.5 7.998H9l1-7.998H6l-1 2H3L4.5 12 3 8.5h2l1 2h4l-1.001-8H11.5l2.5 8h6a1.5 1.5 0 010 3z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M30 20.25l-9 .003-3.75 11.997H13.5L15 20.253H9l-1.5 3h-3L6.75 18 4.5 12.75h3l1.5 3h6l-1.502-12h3.752l3.75 12h9a2.25 2.25 0 010 4.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconAirplaneComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAirplaneModule = /** @class */ (function () {
        function IconAirplaneModule() {
        }
        return IconAirplaneModule;
    }());
    IconAirplaneModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconAirplaneComponent],
                    exports: [IconAirplaneComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusComponent = /** @class */ (function (_super) {
        __extends(IconBusComponent, _super);
        function IconBusComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBusComponent;
    }(core.IconBase));
    IconBusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-bus',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M4.5 18.5v2h3v-2m9.001 0v2H19.5v-2M17 5.5H7m12.5 6h-15m0-2h-1v1h1m12.5-7c1.706 0 2.5.794 2.5 2.5v12.5h-15V6c0-1.706.794-2.5 2.5-2.5h10zM7.5 16A.5.5 0 106.498 16 .5.5 0 007.5 16zm10 0a.5.5 0 10-1.002.001A.5.5 0 0017.5 16zm2-5.5h1v-1h-1\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.75 27.75v3h4.5v-3m13.502 0v3h4.498v-3M25.5 8.25h-15m18.75 9.001H6.75m0-3h-1.5v1.5h1.5M25.5 5.25c2.559 0 3.75 1.19 3.75 3.75v18.75H6.75V9c0-2.56 1.191-3.75 3.75-3.75h15zM11.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm15 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm3-8.25h1.5v-1.5h-1.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusModule = /** @class */ (function () {
        function IconBusModule() {
        }
        return IconBusModule;
    }());
    IconBusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBusComponent],
                    exports: [IconBusComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusCircleComponent = /** @class */ (function (_super) {
        __extends(IconBusCircleComponent, _super);
        function IconBusCircleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBusCircleComponent;
    }(core.IconBase));
    IconBusCircleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-bus-circle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.5 16.5v2h3v-2m7.001 0v2H18.5v-2m-13-8h-1v1h1m10.5-4H8m10.5 5h-13M4 16.888c-.947.468-1.5 1.021-1.5 1.612 0 1.645 4.232 3 9.5 3 5.269 0 9.5-1.355 9.5-3 0-.59-.553-1.144-1.5-1.61M16 3.5c1.706 0 2.5.794 2.5 2.5v10.5h-13V6c0-1.706.794-2.5 2.5-2.5h8M8.5 14A.5.5 0 107.498 14 .5.5 0 008.5 14zm8 0a.5.5 0 10-1.002.001A.5.5 0 0016.5 14zm2-4.5h1v-1h-1\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.25 24.75v3h4.5v-3m10.502 0v3h4.498v-3m-19.5-12h-1.5v1.5h1.5m15.75-6H12m15.75 7.501H8.25M6 25.331c-1.42.702-2.25 1.532-2.25 2.418 0 2.468 6.348 4.5 14.25 4.5 7.904 0 14.25-2.032 14.25-4.5 0-.886-.83-1.716-2.25-2.416M24 5.25c2.559 0 3.75 1.191 3.75 3.75v15.75H8.25V9c0-2.559 1.191-3.75 3.75-3.75h12M12.75 21a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm12 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm3-6.75h1.5v-1.5h-1.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBusCircleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusCircleModule = /** @class */ (function () {
        function IconBusCircleModule() {
        }
        return IconBusCircleModule;
    }());
    IconBusCircleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBusCircleComponent],
                    exports: [IconBusCircleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusSbbComponent = /** @class */ (function (_super) {
        __extends(IconBusSbbComponent, _super);
        function IconBusSbbComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBusSbbComponent;
    }(core.IconBase));
    IconBusSbbComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-bus-sbb',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M4.5 18.5v2h3v-2m9.001 0v2H19.5v-2M17 5.5H7m12.5 6h-15m3 4.5A.5.5 0 106.498 16 .5.5 0 007.5 16zm10 0a.5.5 0 10-1.002.001A.5.5 0 0017.5 16zM17 3.5c1.706 0 2.5.794 2.5 2.5v12.5h-15V6c0-1.706.794-2.5 2.5-2.5h10zm-12.5 6h-1v1h1m15 0h1v-1h-1\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M12.8 13l1.601 1.5H12.5V13h-1v1.5H9.6l1.6-1.5H10l-2 2 2 2h1.2l-1.6-1.5h1.9V17h1v-1.5h1.901L12.8 17H14l2-2-2-2z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M6.75 27.75v3h4.5v-3m13.502 0v3h4.498v-3M25.5 8.25h-15m18.75 9.001H6.75M11.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm15 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zM25.5 5.25c2.559 0 3.75 1.191 3.75 3.75v18.75H6.75V9c0-2.559 1.191-3.75 3.75-3.75h15zm-18.75 9h-1.5v1.5h1.5m22.5 0h1.5v-1.5h-1.5\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M19.2 19.5l2.401 2.25H18.75V19.5h-1.5v2.25H14.4l2.4-2.25H15l-3 3 3 3h1.8l-2.4-2.25h2.85v2.25h1.5v-2.25h2.851L19.2 25.5H21l3-3-3-3z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBusSbbComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusSbbModule = /** @class */ (function () {
        function IconBusSbbModule() {
        }
        return IconBusSbbModule;
    }());
    IconBusSbbModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBusSbbComponent],
                    exports: [IconBusSbbComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusStopComponent = /** @class */ (function (_super) {
        __extends(IconBusStopComponent, _super);
        function IconBusStopComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBusStopComponent;
    }(core.IconBase));
    IconBusStopComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-bus-stop',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.499 4.5h14v-2h-14v2zm1.001.001v17.5m12.001-17.5v17.5M2.5 12.5h4v-5h-4v5zm2 0V22m12-13.5a1 1 0 11-2 0 1 1 0 012 0zm1 8v-5h-4v5h1v5h2v-5h1z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11.248 6.75h21v-3h-21v3zm1.502.002v26.25m18.002-26.25v26.25M3.75 18.75h6v-7.5h-6v7.5zm3 0V33m18-20.25a1.5 1.5 0 11-3.001 0 1.5 1.5 0 013.001 0zm1.5 12v-7.5h-6v7.5h1.5v7.5h3v-7.5h1.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBusStopComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBusStopModule = /** @class */ (function () {
        function IconBusStopModule() {
        }
        return IconBusStopModule;
    }());
    IconBusStopModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBusStopComponent],
                    exports: [IconBusStopComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCarComponent = /** @class */ (function (_super) {
        __extends(IconCarComponent, _super);
        function IconCarComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCarComponent;
    }(core.IconBase));
    IconCarComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-car',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.5 14A.5.5 0 107.498 14 .5.5 0 008.5 14zm8 0a.5.5 0 10-1.002.001A.5.5 0 0016.5 14zm-11 2.5v2h3v-2m7.001 0v2H18.5v-2m-13-6H4m16 0h-1.5m0 1h-13m10.5-5c1.706 0 2.5.794 2.5 2.5v7.5h-13V9c0-1.706.794-2.5 2.5-2.5h8m.5 5a2 2 0 00-4 0\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12.75 21a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm12 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-16.5 3.75v3h4.5v-3m10.502 0v3h4.498v-3M8.25 15.75H6m24 0h-2.25m0 1.5H8.25M24 9.751c2.559 0 3.75 1.19 3.75 3.75v11.25H8.25V13.5c0-2.56 1.191-3.75 3.75-3.75h12m.75 7.5a3 3 0 00-6 0\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCarComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCarModule = /** @class */ (function () {
        function IconCarModule() {
        }
        return IconCarModule;
    }());
    IconCarModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCarComponent],
                    exports: [IconCarComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCarParkingComponent = /** @class */ (function (_super) {
        __extends(IconCarParkingComponent, _super);
        function IconCarParkingComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCarParkingComponent;
    }(core.IconBase));
    IconCarParkingComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-car-parking',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.5 18.5h-12V11A2.5 2.5 0 0111 8.5h7a2.5 2.5 0 012.5 2.5v7.5zm-18-9h4v-5h-4v5zm2 0V21m4-2.5v2h3v-2m6.001 0v2H20.5v-2m-12-6H7m15 0h-1.5m0 1h-12m10 0a2 2 0 00-4 0m-3 2.5a.5.5 0 10-1.002.001A.5.5 0 0011.5 16zm7 0a.5.5 0 10-1.002.001A.5.5 0 0018.5 16z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M30.75 27.75h-18V16.5a3.75 3.75 0 013.75-3.75H27a3.75 3.75 0 013.75 3.75v11.25zm-27-13.5h6v-7.5h-6v7.5zm3 0V31.5m6-3.75v3h4.5v-3m9.002 0v3h4.498v-3m-18-8.999H10.5m22.5 0h-2.25m0 1.5h-18m15-.001a3.001 3.001 0 00-6 0M17.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm10.5 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCarParkingComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCarParkingModule = /** @class */ (function () {
        function IconCarParkingModule() {
        }
        return IconCarParkingModule;
    }());
    IconCarParkingModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCarParkingComponent],
                    exports: [IconCarParkingComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChargingStationComponent = /** @class */ (function (_super) {
        __extends(IconChargingStationComponent, _super);
        function IconChargingStationComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconChargingStationComponent;
    }(core.IconBase));
    IconChargingStationComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-charging-station',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.5 9.5h6v-4h-6v4zm8-2h2v9a2 2 0 004 0v-3m2-2a2 2 0 01-4 0v-1h4v1zm-3-1V8m2 2.5V8m-17 12.5h10v-17h-10v17z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.25 14.25h9v-6h-9v6zm12-3h3v13.5a3.001 3.001 0 006 0v-4.5m3-3a3.001 3.001 0 01-6 0v-1.5h6v1.5zm-4.5-1.5V12m3 3.75V12M5.25 30.75h15V5.25h-15v25.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconChargingStationComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconChargingStationModule = /** @class */ (function () {
        function IconChargingStationModule() {
        }
        return IconChargingStationModule;
    }());
    IconChargingStationModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconChargingStationComponent],
                    exports: [IconChargingStationComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCombinedMobilityComponent = /** @class */ (function (_super) {
        __extends(IconCombinedMobilityComponent, _super);
        function IconCombinedMobilityComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCombinedMobilityComponent;
    }(core.IconBase));
    IconCombinedMobilityComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-combined-mobility',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.5 17a.5.5 0 10-1.002.001A.5.5 0 0018.5 17zm-11 2.5v2h3v-2m7.001 0v2H20.5v-2m1.5-6h-1.5m0 1H12m6.5 0a2 2 0 00-4 0m-4.5 2a.5.5 0 100 1 .5.5 0 000-1zM7.5 19v.5h13V12c0-1.705-.794-2.5-2.5-2.5h-1m-3.5-4l.937 2.063M19 5L4 20M6 6.5c1.93 0 3.5 1.57 3.5 3.5S7.93 13.5 6 13.5 2.5 11.93 2.5 10 4.07 6.5 6 6.5M6 10l2-4.5h5.5l2-3H12m-5.792 1h2.793\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27.75 25.5a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-16.5 3.75v3h4.5v-3m10.502 0v3h4.498v-3M33 20.25h-2.25m0 1.5H18m9.75-.001a3.001 3.001 0 00-6 0m-6.75 3a.75.75 0 100 1.5.75.75 0 000-1.5zm-3.75 3.75v.75h19.5V18c0-2.558-1.191-3.75-3.75-3.75h-1.5m-5.25-6l1.405 3.094M28.5 7.5L6 30M9 9.75A5.256 5.256 0 0114.25 15 5.255 5.255 0 019 20.25 5.255 5.255 0 013.75 15 5.256 5.256 0 019 9.75M9 15l3-6.75h8.25l3-4.5H18m-8.687 1.5H13.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCombinedMobilityComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCombinedMobilityModule = /** @class */ (function () {
        function IconCombinedMobilityModule() {
        }
        return IconCombinedMobilityModule;
    }());
    IconCombinedMobilityModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCombinedMobilityComponent],
                    exports: [IconCombinedMobilityComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconContainerComponent = /** @class */ (function (_super) {
        __extends(IconContainerComponent, _super);
        function IconContainerComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconContainerComponent;
    }(core.IconBase));
    IconContainerComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-container',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M3.5 20.5h18v-9h-18v9zm3-9v9m3-9v9m3-9v9m3-9v9m3-9v9M5 11.5l7.5-4 7.5 4M13.506 3L13.5 5.063A2.001 2.001 0 0113 9a2 2 0 01-2-2\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.25 30.75h27v-13.5h-27v13.5zm4.5-13.5v13.5m4.5-13.5v13.5m4.5-13.5v13.5m4.5-13.5v13.5m4.5-13.5v13.5M7.5 17.25l11.25-6 11.25 6M20.259 4.5l-.01 3.095A3 3 0 1116.5 10.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconContainerComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconContainerModule = /** @class */ (function () {
        function IconContainerModule() {
        }
        return IconContainerModule;
    }());
    IconContainerModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconContainerComponent],
                    exports: [IconContainerComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDriverlessBusComponent = /** @class */ (function (_super) {
        __extends(IconDriverlessBusComponent, _super);
        function IconDriverlessBusComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDriverlessBusComponent;
    }(core.IconBase));
    IconDriverlessBusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-driverless-bus',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 16.5v2h3v-2m-3-7h-1v1h1m11-1h1v1h-1m0 1h-11m3 2.5A.5.5 0 108.498 14 .5.5 0 009.5 14zm6 0a.5.5 0 10-1.002.001A.5.5 0 0015.5 14zm4 1v-2m2 3v-4m-17 1v2m-2-3v4m15 .5h-11V7A2.5 2.5 0 019 4.5h6A2.5 2.5 0 0117.5 7v9.5zm-2.999 0v2H17.5v-2M15 6.5H9\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 24.75v3h4.5v-3m-4.5-10.5h-1.5v1.5h1.5m16.5-1.5h1.5v1.5h-1.5m0 1.501l-16.5-.001m4.5 3.75a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm9 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm6 1.5v-3m3 4.5v-6m-25.5 1.5v3m-3-4.5v6m22.5.75H9.75V10.5a3.75 3.75 0 013.75-3.75h9a3.75 3.75 0 013.75 3.75v14.25zm-4.498 0v3h4.498v-3M22.5 9.75l-9-.001\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDriverlessBusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDriverlessBusModule = /** @class */ (function () {
        function IconDriverlessBusModule() {
        }
        return IconDriverlessBusModule;
    }());
    IconDriverlessBusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDriverlessBusComponent],
                    exports: [IconDriverlessBusComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFreightWagonComponent = /** @class */ (function (_super) {
        __extends(IconFreightWagonComponent, _super);
        function IconFreightWagonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFreightWagonComponent;
    }(core.IconBase));
    IconFreightWagonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-freight-wagon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M3.5 15.5h17v-7h-17v7zm12-7v7m-7-7v7m-2 .503a.5.5 0 11-1 0 .5.5 0 011 0zm-4.502-1.497H3.5m16.999 0h1.502M18.5 16.003a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.25 23.25h25.5v-10.5H5.25v10.5zm18-10.5v10.5m-10.5-10.5v10.5m-3 .754a.75.75 0 11-1.5 0 .75.75 0 011.5 0zM2.997 21.76H5.25m25.498 0h2.253m-5.251 2.245a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFreightWagonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFreightWagonModule = /** @class */ (function () {
        function IconFreightWagonModule() {
        }
        return IconFreightWagonModule;
    }());
    IconFreightWagonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFreightWagonComponent],
                    exports: [IconFreightWagonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconKRComponent = /** @class */ (function (_super) {
        __extends(IconKRComponent, _super);
        function IconKRComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconKRComponent;
    }(core.IconBase));
    IconKRComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-k-r',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M3.002 18.5h18-18zm0-13h18-18z\" />\n          <path\n            fill=\"#000\"\n            d=\"M10.094 7.998l-3.136 3.164 3.43 4.837H8.185l-2.43-3.59-1.007 1.007v2.583H3V7.998h1.746v3.31l3.136-3.31h2.21zm-.747 4.107h1.542v-1.542h.884v1.542h1.547v.883h-1.547v1.542h-.884v-1.542H9.347v-.883zm4.6-4.107h3.874c.766 0 1.353.12 1.762.36.34.198.598.46.777.789.18.329.27.699.27 1.11 0 .469-.114.875-.338 1.222a1.858 1.858 0 01-.939.744c.354.087.631.285.832.59.128.195.213.397.257.609.044.21.101.694.17 1.45.051.554.13.899.235 1.034l.076.093h-1.822a1.366 1.366 0 01-.134-.433c-.027-.174-.063-.58-.106-1.215-.044-.565-.182-.957-.414-1.173-.232-.217-.626-.326-1.185-.326h-1.57v3.147h-1.746V7.998zm1.745 1.374v2.2h1.67c.535 0 .913-.077 1.132-.23.277-.193.416-.485.416-.876 0-.38-.118-.657-.356-.831-.237-.176-.61-.263-1.122-.263h-1.74z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M4.502 27.751h27.002H4.502zm0-19.5h27.002H4.502z\" />\n          <path\n            fill=\"#000\"\n            d=\"M15.14 11.997l-4.703 4.746 5.146 7.255h-3.307L8.63 18.613l-1.511 1.51v3.875H4.501V11.997H7.12v4.966l4.704-4.966h3.317zm-1.12 6.16h2.314v-2.313h1.326v2.313h2.32v1.325h-2.32v2.313h-1.326v-2.313H14.02v-1.325zm6.9-6.16h5.812c1.15 0 2.03.181 2.643.541.509.296.897.69 1.166 1.182.268.494.403 1.049.403 1.667 0 .702-.17 1.31-.505 1.831-.338.52-.807.893-1.409 1.116.531.13.947.428 1.248.887.192.29.32.594.386.912.066.316.151 1.04.255 2.175.076.83.195 1.348.352 1.55l.114.14h-2.733a2.048 2.048 0 01-.2-.65c-.041-.26-.095-.87-.16-1.822-.066-.847-.273-1.435-.62-1.76-.349-.325-.94-.488-1.778-.488h-2.355v4.72h-2.62V11.997zm2.619 2.06v3.3h2.503c.804 0 1.371-.115 1.7-.344.415-.29.624-.728.624-1.314 0-.569-.177-.986-.534-1.247-.356-.264-.917-.394-1.683-.394h-2.61z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconKRComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconKRModule = /** @class */ (function () {
        function IconKRModule() {
        }
        return IconKRModule;
    }());
    IconKRModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconKRComponent],
                    exports: [IconKRComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconParkAndRailComponent = /** @class */ (function (_super) {
        __extends(IconParkAndRailComponent, _super);
        function IconParkAndRailComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconParkAndRailComponent;
    }(core.IconBase));
    IconParkAndRailComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-park-and-rail',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M3.002 18.5h18-18zm0-13h18-18z\" />\n          <path\n            fill=\"#000\"\n            d=\"M2.99 7.997h3.228c.544 0 .972.034 1.284.102.312.067.593.187.845.358.697.467 1.046 1.171 1.046 2.113 0 .835-.288 1.492-.865 1.97a2.239 2.239 0 01-.837.441c-.314.09-.7.134-1.16.134H4.734v2.883H2.99v-8zm1.745 1.478v2.266h1.56c.463 0 .797-.082 1.002-.246.251-.205.377-.505.377-.903 0-.402-.146-.7-.438-.898-.21-.146-.556-.219-1.034-.219H4.735zm4.678 2.63h1.542v-1.542h.884v1.542h1.548v.883h-1.548v1.542h-.884v-1.542H9.413v-.883zm4.608-4.107h3.875c.766 0 1.353.12 1.762.36.339.198.598.46.777.789.179.329.269.699.269 1.11 0 .469-.113.875-.337 1.222a1.858 1.858 0 01-.94.744c.355.087.632.285.833.59.128.195.213.397.257.609.044.21.1.694.17 1.45.05.554.13.899.235 1.034l.076.093h-1.822a1.366 1.366 0 01-.134-.433c-.027-.174-.063-.58-.106-1.215-.044-.565-.182-.957-.414-1.173-.232-.217-.626-.326-1.185-.326h-1.57v3.147H14.02V7.998zm1.746 1.374v2.2h1.669c.536 0 .914-.077 1.133-.23.277-.193.416-.485.416-.876 0-.38-.118-.657-.356-.831-.237-.176-.611-.263-1.122-.263h-1.74z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M4.502 27.751h27.002H4.502zm0-19.5h27.002H4.502z\" />\n          <path\n            fill=\"#000\"\n            d=\"M4.484 11.996h4.844c.816 0 1.458.051 1.926.153.468.1.89.28 1.267.537 1.046.7 1.57 1.756 1.57 3.17 0 1.252-.433 2.237-1.298 2.954a3.358 3.358 0 01-1.256.662c-.47.133-1.051.2-1.741.2H7.103v4.325H4.484V11.996zm2.62 2.217v3.399h2.34c.694 0 1.195-.123 1.502-.369.377-.308.566-.758.566-1.355 0-.603-.22-1.051-.657-1.347-.317-.219-.834-.328-1.551-.328h-2.2zm7.015 3.944h2.313v-2.313h1.326v2.313h2.322v1.325h-2.322v2.313h-1.326v-2.313h-2.313v-1.325zm6.912-6.16h5.812c1.15 0 2.03.181 2.643.541.509.296.897.69 1.166 1.182.268.494.403 1.049.403 1.667 0 .702-.17 1.31-.505 1.831-.338.52-.807.893-1.409 1.116.531.13.947.428 1.248.887.192.29.32.594.386.912.066.316.151 1.04.255 2.175.076.83.195 1.348.352 1.55l.114.14h-2.733a2.048 2.048 0 01-.2-.65c-.041-.26-.095-.87-.16-1.822-.066-.847-.273-1.435-.62-1.76-.349-.325-.94-.488-1.778-.488H23.65v4.72h-2.62V11.997zm2.619 2.06v3.3h2.503c.804 0 1.371-.115 1.7-.344.415-.29.624-.728.624-1.314 0-.569-.177-.986-.534-1.247-.356-.264-.917-.394-1.683-.394h-2.61z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconParkAndRailComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconParkAndRailModule = /** @class */ (function () {
        function IconParkAndRailModule() {
        }
        return IconParkAndRailModule;
    }());
    IconParkAndRailModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconParkAndRailComponent],
                    exports: [IconParkAndRailComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPetrolStationComponent = /** @class */ (function (_super) {
        __extends(IconPetrolStationComponent, _super);
        function IconPetrolStationComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPetrolStationComponent;
    }(core.IconBase));
    IconPetrolStationComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-petrol-station',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M9.5 18.5h8v-13h-8v13zm2-8h4v-3h-4v3zm-4 6h2v-9h-2v9z\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14.25 27.75h12V8.25h-12v19.5zm3-12h6v-4.5h-6v4.5zm-6 9h3v-13.5h-3v13.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPetrolStationComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPetrolStationModule = /** @class */ (function () {
        function IconPetrolStationModule() {
        }
        return IconPetrolStationModule;
    }());
    IconPetrolStationModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPetrolStationComponent],
                    exports: [IconPetrolStationComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconShuttleComponent = /** @class */ (function (_super) {
        __extends(IconShuttleComponent, _super);
        function IconShuttleComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconShuttleComponent;
    }(core.IconBase));
    IconShuttleComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-shuttle',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M4.5 14.5v2h3v-2m9 0v2h3v-2M17 4.5H7m12.5 5h-15m0-2h-1v1h1m12.5-6c1.706 0 2.5.794 2.5 2.5v9.5h-15V5c0-1.706.794-2.5 2.5-2.5h10zM7.5 12a.5.5 0 10-1 0 .5.5 0 001 0zm10 0a.5.5 0 10-1 0 .5.5 0 001 0zm2-3.5h1v-1h-1m-14.75 13H10m-3.356-1.852L4.75 20.5l1.896 1.842m12.604-1.851H14m3.356 1.852l1.894-1.852-1.897-1.843\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.75 21.75v3h4.5v-3m13.501 0v3h4.499v-3m-3.75-15h-15m18.75 7.501H6.75m0-3h-1.5v1.5h1.5m18.75-9c2.559 0 3.75 1.19 3.75 3.75v14.25H6.75V7.5c0-2.56 1.19-3.75 3.75-3.75h15zM11.25 18a.75.75 0 10-1.5 0 .75.75 0 001.5 0zm15 0a.75.75 0 10-1.5 0 .75.75 0 001.5 0zm3-5.25h1.5v-1.5h-1.5M7.125 30.75H15m-5.034-2.778L7.125 30.75l2.844 2.763m18.906-2.777H21m5.035 2.778l2.84-2.778-2.845-2.763\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconShuttleComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconShuttleModule = /** @class */ (function () {
        function IconShuttleModule() {
        }
        return IconShuttleModule;
    }());
    IconShuttleModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconShuttleComponent],
                    exports: [IconShuttleComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTaxiComponent = /** @class */ (function (_super) {
        __extends(IconTaxiComponent, _super);
        function IconTaxiComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTaxiComponent;
    }(core.IconBase));
    IconTaxiComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-taxi',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.5 16.5v2h3v-2m7 0l.001 2H18.5v-2m-13-6H4m16 0h-1.5m0 1h-13m11 0a2 2 0 00-4 0m3.5-5c1.706 0 2.5.794 2.5 2.5v7.5h-13V9c0-1.706.794-2.5 2.5-2.5h8m-2.5 0V5h-3v1.5m-2 7.5A.5.5 0 107.498 14 .5.5 0 008.5 14zm8 0a.5.5 0 10-1.002.001A.5.5 0 0016.5 14z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.25 24.75v3h4.5v-3m10.5 0l.002 3h4.498v-3M8.25 15.75H6m24 0h-2.25m0 1.5H8.25m16.5 0a3 3 0 00-6 0M24 9.75c2.559 0 3.75 1.19 3.75 3.75v11.25H8.25V13.5c0-2.56 1.191-3.75 3.75-3.75h12m-3.75 0V7.5h-4.5v2.25M12.75 21a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm12 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTaxiComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTaxiModule = /** @class */ (function () {
        function IconTaxiModule() {
        }
        return IconTaxiModule;
    }());
    IconTaxiModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTaxiComponent],
                    exports: [IconTaxiComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTramComponent = /** @class */ (function (_super) {
        __extends(IconTramComponent, _super);
        function IconTramComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTramComponent;
    }(core.IconBase));
    IconTramComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-tram',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14 7.5h-4m.5-2v-1h3v1m2.5 13l2 3m-12 0l2-3m10.5-5h-13m13 5h-13V8A2.5 2.5 0 018 5.5h8A2.5 2.5 0 0118.5 8v10.5zm-3-2.5a.5.5 0 10-1.002.001A.5.5 0 0015.5 16zm-6 0A.5.5 0 108.498 16 .5.5 0 009.5 16z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M21 11.25h-6m.75-3v-1.5h4.5v1.5M24 27.75l3 4.5m-18 0l3-4.5m15.75-7.5H8.25m19.5 7.5H8.25V12A3.75 3.75 0 0112 8.25h12A3.75 3.75 0 0127.75 12v15.75zM23.25 24a.751.751 0 00-1.5 0 .75.75 0 001.5 0zm-9 0a.751.751 0 00-1.5 0 .75.75 0 001.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTramComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTramModule = /** @class */ (function () {
        function IconTramModule() {
        }
        return IconTramModule;
    }());
    IconTramModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTramComponent],
                    exports: [IconTramComponent],
                },] }
    ];

    var modules = [
        IconBicycleModule,
        IconTrainModule,
        IconAirplaneModule,
        IconBusModule,
        IconBusCircleModule,
        IconBusSbbModule,
        IconBusStopModule,
        IconCarModule,
        IconCarParkingModule,
        IconChargingStationModule,
        IconCombinedMobilityModule,
        IconContainerModule,
        IconDriverlessBusModule,
        IconFreightWagonModule,
        IconKRModule,
        IconParkAndRailModule,
        IconPetrolStationModule,
        IconShuttleModule,
        IconTaxiModule,
        IconTramModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionTransportModule = /** @class */ (function () {
        function IconCollectionTransportModule() {
        }
        return IconCollectionTransportModule;
    }());
    IconCollectionTransportModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconAirplaneComponent = IconAirplaneComponent;
    exports.IconAirplaneModule = IconAirplaneModule;
    exports.IconBicycleComponent = IconBicycleComponent;
    exports.IconBicycleModule = IconBicycleModule;
    exports.IconBusCircleComponent = IconBusCircleComponent;
    exports.IconBusCircleModule = IconBusCircleModule;
    exports.IconBusComponent = IconBusComponent;
    exports.IconBusModule = IconBusModule;
    exports.IconBusSbbComponent = IconBusSbbComponent;
    exports.IconBusSbbModule = IconBusSbbModule;
    exports.IconBusStopComponent = IconBusStopComponent;
    exports.IconBusStopModule = IconBusStopModule;
    exports.IconCarComponent = IconCarComponent;
    exports.IconCarModule = IconCarModule;
    exports.IconCarParkingComponent = IconCarParkingComponent;
    exports.IconCarParkingModule = IconCarParkingModule;
    exports.IconChargingStationComponent = IconChargingStationComponent;
    exports.IconChargingStationModule = IconChargingStationModule;
    exports.IconCollectionTransportModule = IconCollectionTransportModule;
    exports.IconCombinedMobilityComponent = IconCombinedMobilityComponent;
    exports.IconCombinedMobilityModule = IconCombinedMobilityModule;
    exports.IconContainerComponent = IconContainerComponent;
    exports.IconContainerModule = IconContainerModule;
    exports.IconDriverlessBusComponent = IconDriverlessBusComponent;
    exports.IconDriverlessBusModule = IconDriverlessBusModule;
    exports.IconFreightWagonComponent = IconFreightWagonComponent;
    exports.IconFreightWagonModule = IconFreightWagonModule;
    exports.IconKRComponent = IconKRComponent;
    exports.IconKRModule = IconKRModule;
    exports.IconParkAndRailComponent = IconParkAndRailComponent;
    exports.IconParkAndRailModule = IconParkAndRailModule;
    exports.IconPetrolStationComponent = IconPetrolStationComponent;
    exports.IconPetrolStationModule = IconPetrolStationModule;
    exports.IconShuttleComponent = IconShuttleComponent;
    exports.IconShuttleModule = IconShuttleModule;
    exports.IconTaxiComponent = IconTaxiComponent;
    exports.IconTaxiModule = IconTaxiModule;
    exports.IconTrainComponent = IconTrainComponent;
    exports.IconTrainModule = IconTrainModule;
    exports.IconTramComponent = IconTramComponent;
    exports.IconTramModule = IconTramModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-transport.umd.js.map
