/// <amd-module name="@sbb-esta/angular-icons/schematics/ng-generate/svg-icons/icon-module-factory" />
import { FileEntry, Tree } from '@angular-devkit/schematics';
import { IconModule } from './icon-module';
export declare class IconModuleFactory {
    private readonly _tree;
    private readonly _registryFileEntry;
    private readonly _registry;
    private readonly _svgOptimizer;
    constructor(_tree: Tree, _registryFileEntry: FileEntry);
    createIconModules(): Promise<IconModule[]>;
    private _readSvgContent;
    private _determineWidth;
    private _determineHeight;
    private _determineDimension;
}
