/// <amd-module name="@sbb-esta/angular-icons/schematics/ng-generate/svg-icons/library-icon-module-generator" />
import { Path } from '@angular-devkit/core';
import { ProjectDefinition } from '@angular-devkit/core/src/workspace';
import { Rule, Tree } from '@angular-devkit/schematics';
import { ApplicationIconModuleGenerator } from './application-icon-module-generator';
import { IconModuleCollection } from './icon-module-collection';
export declare class LibraryIconModuleGenerator extends ApplicationIconModuleGenerator {
    private readonly _packageName;
    constructor(rootCollection: IconModuleCollection, tree: Tree, project: ProjectDefinition, targetDir: string);
    generate(): Rule[];
    protected _generateCollection(collection: IconModuleCollection, targetDir: Path): Rule[];
    private _recursiveIcons;
}
