(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/hardware', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.hardware = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLaptopSmartphoneComponent = /** @class */ (function (_super) {
        __extends(IconLaptopSmartphoneComponent, _super);
        function IconLaptopSmartphoneComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLaptopSmartphoneComponent;
    }(core.IconBase));
    IconLaptopSmartphoneComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-laptop-smartphone',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.5 11V4.5h-13v9l-4 3v2H14m-.008-5H6.5m7.5 3H2.5m14-4h4a1 1 0 011 1v7a1 1 0 01-1 1h-4a1 1 0 01-1-1v-7a1 1 0 011-1zm.5 1h3\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M29.25 16.5V6.75H9.75v13.5l-6 4.5v3H21m-.012-7.5H9.75M21 24.75H3.75m21-6h6c.83 0 1.5.672 1.5 1.5v10.5c0 .83-.67 1.5-1.5 1.5h-6c-.83 0-1.5-.67-1.5-1.5v-10.5c0-.828.67-1.5 1.5-1.5zm.75 1.5H30\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M30.5 20.41c0-1.05.836-1.91 1.857-1.91h9.286c1.021 0 1.857.86 1.857 1.91V37.59c0 1.05-.836 1.91-1.857 1.91h-9.286c-1.021 0-1.857-.86-1.857-1.91V20.41zM36 37.5h2m-7.5-2h13m-8.5-15h4m-10 14H6.493A1.993 1.993 0 014.5 32.508V31.5H29m0 0H7.5l-.062-20.997c0-1.106.896-2.003 2.003-2.003h29.055c1.108 0 2.004.897 2.004 2.003V17m-31 14.5v-21h29V17\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLaptopSmartphoneComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLaptopSmartphoneModule = /** @class */ (function () {
        function IconLaptopSmartphoneModule() {
        }
        return IconLaptopSmartphoneModule;
    }());
    IconLaptopSmartphoneModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLaptopSmartphoneComponent],
                    exports: [IconLaptopSmartphoneComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArchiveBoxComponent = /** @class */ (function (_super) {
        __extends(IconArchiveBoxComponent, _super);
        function IconArchiveBoxComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArchiveBoxComponent;
    }(core.IconBase));
    IconArchiveBoxComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-archive-box',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8 11.8h5m4.5-3h-14m7.2-4H6.5l-3 4v12h14l3-4v-12h-4.4m-8.6 4l4-5 4 5m-2.9-3.625L14.5 2.8l3.87 4.84M17.5 20.8v-12l3-4\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12 17.7h7.5m6.75-4.5h-21m10.8-6h-6.3l-4.5 6v18h21l4.5-6v-18H24.15m-12.899 6l6-7.5 6 7.5M18.9 7.764l2.85-3.562 5.806 7.258M26.25 31.201v-18l4.5-6\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArchiveBoxComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArchiveBoxModule = /** @class */ (function () {
        function IconArchiveBoxModule() {
        }
        return IconArchiveBoxModule;
    }());
    IconArchiveBoxModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArchiveBoxComponent],
                    exports: [IconArchiveBoxComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBriefcaseComponent = /** @class */ (function (_super) {
        __extends(IconBriefcaseComponent, _super);
        function IconBriefcaseComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBriefcaseComponent;
    }(core.IconBase));
    IconBriefcaseComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-briefcase',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.97 20.25H4.03a1.53 1.53 0 01-1.53-1.53V8.03c0-.845.685-1.53 1.53-1.53h14.94a1.53 1.53 0 011.53 1.53v10.69c0 .845-.684 1.53-1.53 1.53zM8.5 6.5v-.47c0-.845.688-1.53 1.537-1.53h2.926c.849 0 1.537.685 1.537 1.53v.47m-12 5h18m-7.766 2h-2.468a.766.766 0 01-.766-.766v-2.467c0-.424.343-.767.766-.767h2.468c.423 0 .766.343.766.767v2.467a.766.766 0 01-.766.766z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M28.456 30.375H6.045A2.295 2.295 0 013.75 28.08V12.045A2.295 2.295 0 016.045 9.75h22.411a2.294 2.294 0 012.294 2.295V28.08a2.293 2.293 0 01-2.294 2.294zM12.75 9.75v-.706a2.3 2.3 0 012.306-2.294h4.389a2.3 2.3 0 012.305 2.294v.706m-18 7.5h27m-11.65 3H15.4a1.15 1.15 0 01-1.15-1.15v-3.7c0-.636.515-1.15 1.15-1.15H19.1a1.15 1.15 0 011.149 1.15v3.7a1.15 1.15 0 01-1.15 1.15z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBriefcaseComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBriefcaseModule = /** @class */ (function () {
        function IconBriefcaseModule() {
        }
        return IconBriefcaseModule;
    }());
    IconBriefcaseModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBriefcaseComponent],
                    exports: [IconBriefcaseComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBrochureComponent = /** @class */ (function (_super) {
        __extends(IconBrochureComponent, _super);
        function IconBrochureComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconBrochureComponent;
    }(core.IconBase));
    IconBrochureComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-brochure',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13 9l6-2m-6 5l6-2m-6 5l6-2m-6 5l6-2M4 7l6 2m-6 1l6 2m-6 1l6 2m-6 1l6 2m1.5-11.5l9-3v15l-9 3-9-3v-15l9 3zm0 15v-15\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.5 13.5l9-3m-9 7.5l9-3m-9 7.5l9-3m-9 7.5l9-3M6 10.5l9 3M6 15l9 3m-9 1.5l9 3M6 24l9 3m2.25-17.25l13.5-4.5v22.5l-13.5 4.5-13.5-4.5V5.25l13.5 4.5zm0 22.5V9.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconBrochureComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconBrochureModule = /** @class */ (function () {
        function IconBrochureModule() {
        }
        return IconBrochureModule;
    }());
    IconBrochureModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconBrochureComponent],
                    exports: [IconBrochureComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDeskComponent = /** @class */ (function (_super) {
        __extends(IconDeskComponent, _super);
        function IconDeskComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDeskComponent;
    }(core.IconBase));
    IconDeskComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-desk',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M3.5 21V10.5h17V21m0-8.5h-17\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M5.25 31.5V15.75h25.5V31.5m0-12.75H5.25\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDeskComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDeskModule = /** @class */ (function () {
        function IconDeskModule() {
        }
        return IconDeskModule;
    }());
    IconDeskModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDeskComponent],
                    exports: [IconDeskComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDeskAdjustableComponent = /** @class */ (function (_super) {
        __extends(IconDeskAdjustableComponent, _super);
        function IconDeskAdjustableComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDeskAdjustableComponent;
    }(core.IconBase));
    IconDeskAdjustableComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-desk-adjustable',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.5 5.7l2-2 2 2m-5 .6l-2 2-2-2m9 14.7V10.5h-17V21m17-8.5h-17m10-9.5v5.3m5-4.6V9\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24.75 8.55l3-3 3 3m-7.5.9l-3 3-3-3m13.5 22.05V15.75H5.25V31.5m25.5-12.75H5.25m15-14.25v7.95m7.5-6.9v7.95\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDeskAdjustableComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDeskAdjustableModule = /** @class */ (function () {
        function IconDeskAdjustableModule() {
        }
        return IconDeskAdjustableModule;
    }());
    IconDeskAdjustableModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDeskAdjustableComponent],
                    exports: [IconDeskAdjustableComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDisplayComponent = /** @class */ (function (_super) {
        __extends(IconDisplayComponent, _super);
        function IconDisplayComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconDisplayComponent;
    }(core.IconBase));
    IconDisplayComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-display',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M3.5 16.5h17v-12h-17v12zm8 3h1v-3h-1v3zm-4.5 0h10\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.25 24.75h25.5v-18H5.25v18zm12 4.5h1.5v-4.5h-1.5v4.5zm-6.75 0h15\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconDisplayComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconDisplayModule = /** @class */ (function () {
        function IconDisplayModule() {
        }
        return IconDisplayModule;
    }());
    IconDisplayModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconDisplayComponent],
                    exports: [IconDisplayComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconKeyboardComponent = /** @class */ (function (_super) {
        __extends(IconKeyboardComponent, _super);
        function IconKeyboardComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconKeyboardComponent;
    }(core.IconBase));
    IconKeyboardComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-keyboard',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5 14.5h2m-2-2h1m1 0h1m0 2h1m-2 2h1m-3 0h1m10 0h1m1 0h1m-9-2h1m1 0h1m1 0h1m1 0h1m-8-2h1m1 0h1m1 0h1m1 0h1m-7 4h6m2-4h1.5V15m-15 3.5h17v-8h-17v8zm7-8v-4H15\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.5 21.75h3m-3-3H9m1.5 0H12m0 3h1.5m-3 3H12m-4.5 0H9m15 0h1.5m1.5 0h1.5m-13.5-3h1.5m1.5 0h1.5m1.5 0h1.5m1.5 0h1.5m-12-3H15m1.5 0H18m1.5 0H21m1.5 0H24m-10.5 6h9m3-6h2.25v3.75m-22.5 5.25h25.5v-12H5.25v12zm10.5-12v-6h6.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconKeyboardComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconKeyboardModule = /** @class */ (function () {
        function IconKeyboardModule() {
        }
        return IconKeyboardModule;
    }());
    IconKeyboardModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconKeyboardComponent],
                    exports: [IconKeyboardComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLaptopComponent = /** @class */ (function (_super) {
        __extends(IconLaptopComponent, _super);
        function IconLaptopComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLaptopComponent;
    }(core.IconBase));
    IconLaptopComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-laptop',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M4.5 4.5h15v9l2 3v2h-19v-2l2-3v-9zm0 9h15m-17 3h19\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.75 6.75h22.5v13.5l3 4.5v3H3.75v-3l3-4.5V6.75zm0 13.5h22.5m-25.5 4.5h28.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLaptopComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLaptopModule = /** @class */ (function () {
        function IconLaptopModule() {
        }
        return IconLaptopModule;
    }());
    IconLaptopModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLaptopComponent],
                    exports: [IconLaptopComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMegaphoneComponent = /** @class */ (function (_super) {
        __extends(IconMegaphoneComponent, _super);
        function IconMegaphoneComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMegaphoneComponent;
    }(core.IconBase));
    IconMegaphoneComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-megaphone',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.707 13.5l6 6-2 2-3-3-1 1-3-3 3-3zm4.5 1.5c1.415-1.414 1.763-2.17 7.5-1.5l1-1-9-9-1 1c.669 5.737-.085 6.086-1.5 7.5l3 3zm8-11l-3 3m-1.5-5v3m6.5 3.5h-3\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.06 20.25l9 9-3 3-4.5-4.5-1.5 1.5-4.5-4.5 4.5-4.5zm6.75 2.25c2.123-2.121 2.645-3.254 11.25-2.25l1.5-1.5-13.5-13.5-1.5 1.5c1.004 8.605-.127 9.129-2.25 11.25l4.5 4.5zm12-16.5l-4.5 4.5M22.06 3v4.5m9.75 5.25h-4.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMegaphoneComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMegaphoneModule = /** @class */ (function () {
        function IconMegaphoneModule() {
        }
        return IconMegaphoneModule;
    }());
    IconMegaphoneModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMegaphoneComponent],
                    exports: [IconMegaphoneComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconOfficeChairComponent = /** @class */ (function (_super) {
        __extends(IconOfficeChairComponent, _super);
        function IconOfficeChairComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconOfficeChairComponent;
    }(core.IconBase));
    IconOfficeChairComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-office-chair',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.5 16.5h9v-2h-9v2zm4-2h1v-2h-1v2zm0 6h1v-4h-1v4zm-3.5 0h8m-7.5-8h7v-8h-7v8zm9 1.5v-3m-11 3v-3\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11.25 24.75h13.5v-3h-13.5v3zm6-3h1.5v-3h-1.5v3zm0 9h1.5v-6h-1.5v6zm-5.25 0h12m-11.25-12h10.5v-12h-10.5v12zM26.25 21v-4.5M9.75 21v-4.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconOfficeChairComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconOfficeChairModule = /** @class */ (function () {
        function IconOfficeChairModule() {
        }
        return IconOfficeChairModule;
    }());
    IconOfficeChairModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconOfficeChairComponent],
                    exports: [IconOfficeChairComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPowerPlugComponent = /** @class */ (function (_super) {
        __extends(IconPowerPlugComponent, _super);
        function IconPowerPlugComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPowerPlugComponent;
    }(core.IconBase));
    IconPowerPlugComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-power-plug',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 7.5h12V12c0 2.027-1.659 3.5-3.5 3.5h-5c-2.078 0-3.5-1.748-3.5-3.5V7.5zm2-4.5v4.5m8-4.5v4.5m-6 8v3h4v-3m-2 5.5v-2.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 11.25h18V18c0 3.04-2.488 5.25-5.25 5.25H15c-3.117 0-5.25-2.622-5.25-5.25v-6.75zm3-6.75v6.75m12-6.75v6.75m-9 12v4.5h6v-4.5m-3 8.25v-3.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPowerPlugComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPowerPlugModule = /** @class */ (function () {
        function IconPowerPlugModule() {
        }
        return IconPowerPlugModule;
    }());
    IconPowerPlugModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPowerPlugComponent],
                    exports: [IconPowerPlugComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPrinterComponent = /** @class */ (function (_super) {
        __extends(IconPrinterComponent, _super);
        function IconPrinterComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPrinterComponent;
    }(core.IconBase));
    IconPrinterComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-printer',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8 19.5h8m-8-2h8m-8-2h8m-9.5 6h11v-8h-11v8zm0-5h-4v-9h19v9h-4m-11-9v-4h11v4\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12 29.25h12m-12-3h12m-12-3h12m-14.25 9h16.5v-12H9.75v12zm0-7.5h-6v-13.5h28.5v13.5h-6m-16.5-13.5v-6h16.5v6\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPrinterComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPrinterModule = /** @class */ (function () {
        function IconPrinterModule() {
        }
        return IconPrinterModule;
    }());
    IconPrinterModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPrinterComponent],
                    exports: [IconPrinterComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconScannerComponent = /** @class */ (function (_super) {
        __extends(IconScannerComponent, _super);
        function IconScannerComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconScannerComponent;
    }(core.IconBase));
    IconScannerComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-scanner',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M3.5 6.5V5.2c0-.844.91-1.7 1.7-1.7h13.6c.764 0 1.7 1.053 1.7 1.7v1.3l-2 4 2 6v2.2c0 .785-.826 1.8-1.7 1.8H5.2c-.874 0-1.7-.838-1.7-1.7v-2.3l2-6-2-4zm0 0h17m-15 4h13m-15 6h17m-4.5 2h2\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.25 9.75V7.8c0-1.266 1.365-2.55 2.55-2.55h20.4c1.146 0 2.55 1.58 2.55 2.55v1.95l-3 6 3 9v3.3c0 1.177-1.239 2.7-2.55 2.7H7.8c-1.311 0-2.55-1.257-2.55-2.55v-3.45l3-9-3-6zm0 0h25.5m-22.5 6h19.5m-22.5 9h25.5m-6.75 3h3\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconScannerComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconScannerModule = /** @class */ (function () {
        function IconScannerModule() {
        }
        return IconScannerModule;
    }());
    IconScannerModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconScannerComponent],
                    exports: [IconScannerComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSmartphoneComponent = /** @class */ (function (_super) {
        __extends(IconSmartphoneComponent, _super);
        function IconSmartphoneComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSmartphoneComponent;
    }(core.IconBase));
    IconSmartphoneComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-smartphone',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10 5.5h4m-6.5-.001v14a1 1 0 001 1h7a1 1 0 001-1v-14a1 1 0 00-1-1h-7a1 1 0 00-1 1z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15 8.25h6m-9.75-.002V29.25c0 .829.672 1.5 1.5 1.5h10.5c.83 0 1.5-.671 1.5-1.5v-21a1.5 1.5 0 00-1.5-1.5l-10.5-.002a1.5 1.5 0 00-1.5 1.5z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSmartphoneComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSmartphoneModule = /** @class */ (function () {
        function IconSmartphoneModule() {
        }
        return IconSmartphoneModule;
    }());
    IconSmartphoneModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSmartphoneComponent],
                    exports: [IconSmartphoneComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSpeakerComponent = /** @class */ (function (_super) {
        __extends(IconSpeakerComponent, _super);
        function IconSpeakerComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSpeakerComponent;
    }(core.IconBase));
    IconSpeakerComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-speaker',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.5 6.067v11.865l-5.319-4.438H4.5v-3h3.681L13.5 6.068zM18.273 17.9l-2.267-1.4m2.267-10.402L16.006 7.5m3.598 1.609L16.006 10m0 3.999l3.597.893M20 12h-3.993\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.25 9.1v17.797l-7.979-6.657H6.75v-4.498h5.521L20.25 9.1zm7.159 17.752l-3.4-2.102m3.4-15.601l-3.4 2.101m5.396 2.413L24.01 15m0 5.999l5.394 1.34M30 18h-5.99\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSpeakerComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSpeakerModule = /** @class */ (function () {
        function IconSpeakerModule() {
        }
        return IconSpeakerModule;
    }());
    IconSpeakerModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSpeakerComponent],
                    exports: [IconSpeakerComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSuitcaseComponent = /** @class */ (function (_super) {
        __extends(IconSuitcaseComponent, _super);
        function IconSuitcaseComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSuitcaseComponent;
    }(core.IconBase));
    IconSuitcaseComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-suitcase',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M3.5 7.509V20.5h17V7.509h-17zm6 0v-3h5v3\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M5.25 11.264V30.75h25.5V11.264H5.25zm9 0v-4.5h7.5v4.5\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSuitcaseComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSuitcaseModule = /** @class */ (function () {
        function IconSuitcaseModule() {
        }
        return IconSuitcaseModule;
    }());
    IconSuitcaseModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSuitcaseComponent],
                    exports: [IconSuitcaseComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSuitcaseDisabledComponent = /** @class */ (function (_super) {
        __extends(IconSuitcaseDisabledComponent, _super);
        function IconSuitcaseDisabledComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSuitcaseDisabledComponent;
    }(core.IconBase));
    IconSuitcaseDisabledComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-suitcase-disabled',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.5 20V6.509h-11L7 6.5m-2.836.01H3.5V19.5h13.699M9.5 6.51v-3h5v3M2.343 4.655L19.348 21.65\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M30.75 30V9.764h-16.5L10.5 9.75m-4.255.014H5.25V29.25h20.549M14.25 9.764v-4.5h7.5v4.5M3.515 6.984l25.507 25.49\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSuitcaseDisabledComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSuitcaseDisabledModule = /** @class */ (function () {
        function IconSuitcaseDisabledModule() {
        }
        return IconSuitcaseDisabledModule;
    }());
    IconSuitcaseDisabledModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSuitcaseDisabledComponent],
                    exports: [IconSuitcaseDisabledComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTelephoneGsmComponent = /** @class */ (function (_super) {
        __extends(IconTelephoneGsmComponent, _super);
        function IconTelephoneGsmComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTelephoneGsmComponent;
    }(core.IconBase));
    IconTelephoneGsmComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-telephone-gsm',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 20.5h11v-16h-11v16zm6-16v-1h2v1m-.5 10h2m-5 0h2m-5 0h2m-2 2h2m-2 2h2m1 0h2m-2-2h2m1 0h2m-2 2h2m-7.5-6h7v-6h-7v6z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 30.75h16.5v-24H9.75v24zm9-24v-1.5h3v1.5m-.75 15h3m-7.5 0h3m-7.5 0h3m-3 3h3m-3 3h3m1.5 0h3m-3-3h3m1.5 0h3m-3 3h3m-11.25-9h10.5v-9h-10.5v9z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTelephoneGsmComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTelephoneGsmModule = /** @class */ (function () {
        function IconTelephoneGsmModule() {
        }
        return IconTelephoneGsmModule;
    }());
    IconTelephoneGsmModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTelephoneGsmComponent],
                    exports: [IconTelephoneGsmComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTelephoneReceiverComponent = /** @class */ (function (_super) {
        __extends(IconTelephoneReceiverComponent, _super);
        function IconTelephoneReceiverComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTelephoneReceiverComponent;
    }(core.IconBase));
    IconTelephoneReceiverComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-telephone-receiver',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.31 14.99c2.572 4.455 6.334 7.167 8.685 6.372a.736.736 0 00.242-.085l1.702-.982c.521-.3.664-1.035.32-1.633l-1.757-3.042c-.345-.598-1.053-.84-1.573-.54l-1.974 1.14c-.198.114-.463.057-.632-.142a19.45 19.45 0 01-1.988-2.837 19.44 19.44 0 01-1.463-3.14c-.088-.245-.004-.504.193-.617l1.974-1.14c.521-.3.665-1.036.32-1.633L9.602 3.67c-.345-.597-1.053-.84-1.573-.54l-1.703.983a.762.762 0 00-.194.167C4.268 5.92 4.736 10.531 7.31 14.99z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.964 22.484c3.86 6.684 9.502 10.752 13.029 9.56.126-.025.249-.06.363-.128l2.553-1.473c.781-.45.996-1.553.478-2.45l-2.634-4.563c-.517-.897-1.58-1.26-2.36-.81l-2.96 1.709c-.297.172-.695.087-.948-.212a29.175 29.175 0 01-2.982-4.255 29.161 29.161 0 01-2.195-4.71c-.132-.368-.006-.756.29-.926l2.96-1.711c.782-.45.998-1.553.48-2.448l-2.635-4.563c-.517-.896-1.58-1.262-2.36-.81L9.49 6.168a1.143 1.143 0 00-.29.25c-2.797 2.46-2.095 9.379 1.765 16.066z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTelephoneReceiverComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTelephoneReceiverModule = /** @class */ (function () {
        function IconTelephoneReceiverModule() {
        }
        return IconTelephoneReceiverModule;
    }());
    IconTelephoneReceiverModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTelephoneReceiverComponent],
                    exports: [IconTelephoneReceiverComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkieTalkieComponent = /** @class */ (function (_super) {
        __extends(IconWalkieTalkieComponent, _super);
        function IconWalkieTalkieComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWalkieTalkieComponent;
    }(core.IconBase));
    IconWalkieTalkieComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-walkie-talkie',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.5 20.5h9v-14h-9v14zm0-13h-1v4h1m7-8.5v3.5m-5.5 8h6m-6 2h6m-6 2h6M13.5 10c0 .771-.727 1.5-1.498 1.5S10.5 10.771 10.5 10s.729-1.5 1.5-1.5 1.5.729 1.5 1.5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11.25 30.75h13.5v-21h-13.5v21zm0-19.5h-1.5v6h1.5M21.75 4.5v5.25m-8.25 12h9m-9 3h9m-9 3h9M20.25 15c0 1.157-1.09 2.25-2.247 2.25-1.157 0-2.253-1.093-2.253-2.25 0-1.156 1.093-2.25 2.25-2.25s2.25 1.094 2.25 2.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWalkieTalkieComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWalkieTalkieModule = /** @class */ (function () {
        function IconWalkieTalkieModule() {
        }
        return IconWalkieTalkieModule;
    }());
    IconWalkieTalkieModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWalkieTalkieComponent],
                    exports: [IconWalkieTalkieComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWeightComponent = /** @class */ (function (_super) {
        __extends(IconWeightComponent, _super);
        function IconWeightComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWeightComponent;
    }(core.IconBase));
    IconWeightComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-weight',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M5.5 7.5h13l2 13h-17l2-13zm8.5-2A2 2 0 119.999 5.5 2 2 0 0114 5.5z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M11.834 12.01l-2.238 2.258 2.449 3.453h-1.574l-1.734-2.563-.719.72v1.843H6.772v-5.71h1.246v2.363l2.238-2.364h1.578zm5.46 2.633v3.078h-.796l-.125-.652c-.422.525-.991.79-1.707.79-.872 0-1.561-.323-2.066-.97-.42-.539-.63-1.205-.63-1.996 0-.898.274-1.634.82-2.207.514-.542 1.177-.813 1.989-.813.75 0 1.36.243 1.832.727.352.365.554.794.606 1.29H16.01c-.063-.309-.202-.548-.42-.72-.218-.172-.493-.257-.826-.257-.505 0-.896.195-1.172.585-.242.341-.363.802-.363 1.383 0 .568.113 1.018.339 1.352.279.408.69.613 1.235.613.393 0 .716-.119.967-.355.25-.238.383-.549.396-.934h-1.27v-.914h2.399z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M8.25 11.25h19.5l3 19.5H5.25l3-19.5zm12.75-3a3.001 3.001 0 01-6 0 3 3 0 016 0z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M17.751 18.016l-3.357 3.387 3.673 5.18h-2.36l-2.602-3.845-1.078 1.078v2.766h-1.869v-8.566h1.869v3.544l3.357-3.544h2.367zm8.191 3.949v4.617h-1.195l-.188-.978c-.633.787-1.486 1.183-2.56 1.183-1.308 0-2.342-.483-3.1-1.453-.628-.809-.943-1.808-.943-2.994 0-1.347.41-2.451 1.23-3.31.77-.814 1.764-1.22 2.982-1.22 1.125 0 2.042.364 2.748 1.09.528.548.831 1.191.91 1.934h-1.811c-.095-.462-.303-.82-.63-1.079-.327-.258-.74-.385-1.24-.385-.757 0-1.343.292-1.757.877-.363.512-.545 1.203-.545 2.075 0 .852.17 1.527.509 2.028.418.612 1.036.92 1.852.92.59 0 1.074-.18 1.45-.533.377-.357.575-.824.595-1.401h-1.904v-1.371h3.597z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWeightComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWeightModule = /** @class */ (function () {
        function IconWeightModule() {
        }
        return IconWeightModule;
    }());
    IconWeightModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWeightComponent],
                    exports: [IconWeightComponent],
                },] }
    ];

    var modules = [
        IconLaptopSmartphoneModule,
        IconArchiveBoxModule,
        IconBriefcaseModule,
        IconBrochureModule,
        IconDeskModule,
        IconDeskAdjustableModule,
        IconDisplayModule,
        IconKeyboardModule,
        IconLaptopModule,
        IconMegaphoneModule,
        IconOfficeChairModule,
        IconPowerPlugModule,
        IconPrinterModule,
        IconScannerModule,
        IconSmartphoneModule,
        IconSpeakerModule,
        IconSuitcaseModule,
        IconSuitcaseDisabledModule,
        IconTelephoneGsmModule,
        IconTelephoneReceiverModule,
        IconWalkieTalkieModule,
        IconWeightModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionHardwareModule = /** @class */ (function () {
        function IconCollectionHardwareModule() {
        }
        return IconCollectionHardwareModule;
    }());
    IconCollectionHardwareModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconArchiveBoxComponent = IconArchiveBoxComponent;
    exports.IconArchiveBoxModule = IconArchiveBoxModule;
    exports.IconBriefcaseComponent = IconBriefcaseComponent;
    exports.IconBriefcaseModule = IconBriefcaseModule;
    exports.IconBrochureComponent = IconBrochureComponent;
    exports.IconBrochureModule = IconBrochureModule;
    exports.IconCollectionHardwareModule = IconCollectionHardwareModule;
    exports.IconDeskAdjustableComponent = IconDeskAdjustableComponent;
    exports.IconDeskAdjustableModule = IconDeskAdjustableModule;
    exports.IconDeskComponent = IconDeskComponent;
    exports.IconDeskModule = IconDeskModule;
    exports.IconDisplayComponent = IconDisplayComponent;
    exports.IconDisplayModule = IconDisplayModule;
    exports.IconKeyboardComponent = IconKeyboardComponent;
    exports.IconKeyboardModule = IconKeyboardModule;
    exports.IconLaptopComponent = IconLaptopComponent;
    exports.IconLaptopModule = IconLaptopModule;
    exports.IconLaptopSmartphoneComponent = IconLaptopSmartphoneComponent;
    exports.IconLaptopSmartphoneModule = IconLaptopSmartphoneModule;
    exports.IconMegaphoneComponent = IconMegaphoneComponent;
    exports.IconMegaphoneModule = IconMegaphoneModule;
    exports.IconOfficeChairComponent = IconOfficeChairComponent;
    exports.IconOfficeChairModule = IconOfficeChairModule;
    exports.IconPowerPlugComponent = IconPowerPlugComponent;
    exports.IconPowerPlugModule = IconPowerPlugModule;
    exports.IconPrinterComponent = IconPrinterComponent;
    exports.IconPrinterModule = IconPrinterModule;
    exports.IconScannerComponent = IconScannerComponent;
    exports.IconScannerModule = IconScannerModule;
    exports.IconSmartphoneComponent = IconSmartphoneComponent;
    exports.IconSmartphoneModule = IconSmartphoneModule;
    exports.IconSpeakerComponent = IconSpeakerComponent;
    exports.IconSpeakerModule = IconSpeakerModule;
    exports.IconSuitcaseComponent = IconSuitcaseComponent;
    exports.IconSuitcaseDisabledComponent = IconSuitcaseDisabledComponent;
    exports.IconSuitcaseDisabledModule = IconSuitcaseDisabledModule;
    exports.IconSuitcaseModule = IconSuitcaseModule;
    exports.IconTelephoneGsmComponent = IconTelephoneGsmComponent;
    exports.IconTelephoneGsmModule = IconTelephoneGsmModule;
    exports.IconTelephoneReceiverComponent = IconTelephoneReceiverComponent;
    exports.IconTelephoneReceiverModule = IconTelephoneReceiverModule;
    exports.IconWalkieTalkieComponent = IconWalkieTalkieComponent;
    exports.IconWalkieTalkieModule = IconWalkieTalkieModule;
    exports.IconWeightComponent = IconWeightComponent;
    exports.IconWeightModule = IconWeightModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-hardware.umd.js.map
