(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/location', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.location = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowCompassComponent = /** @class */ (function (_super) {
        __extends(IconArrowCompassComponent, _super);
        function IconArrowCompassComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconArrowCompassComponent;
    }(core.IconBase));
    IconArrowCompassComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-arrow-compass',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M12.5 18.5v-7h-7l14.44-7.441z\" />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path fill=\"none\" stroke=\"#000\" d=\"M18.75 27.75v-10.5H8.25L29.91 6.088z\" />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconArrowCompassComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconArrowCompassModule = /** @class */ (function () {
        function IconArrowCompassModule() {
        }
        return IconArrowCompassModule;
    }());
    IconArrowCompassModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconArrowCompassComponent],
                    exports: [IconArrowCompassComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconGpsComponent = /** @class */ (function (_super) {
        __extends(IconGpsComponent, _super);
        function IconGpsComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconGpsComponent;
    }(core.IconBase));
    IconGpsComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-gps',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.5 12.5c0 3.876-3.123 7-7 7s-7-3.124-7-7c0-3.877 3.123-7 7-7s7 3.123 7 7zm-3 0a4 4 0 11-8.002-.001 4 4 0 018.002.001zm-10.996 0H3m16.504-.004h2.495M12.504 19.5V22m0-16.5V3\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M29.25 18.75a10.48 10.48 0 01-10.5 10.5 10.48 10.48 0 01-10.5-10.5c0-5.815 4.684-10.5 10.5-10.5s10.5 4.685 10.5 10.5zm-4.5 0a6.001 6.001 0 01-12 0 6 6 0 0112 0zm-16.494 0H4.5m24.756-.006h3.742M18.756 29.25V33m0-24.75V4.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconGpsComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconGpsModule = /** @class */ (function () {
        function IconGpsModule() {
        }
        return IconGpsModule;
    }());
    IconGpsModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconGpsComponent],
                    exports: [IconGpsComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconGpsDisabledComponent = /** @class */ (function (_super) {
        __extends(IconGpsDisabledComponent, _super);
        function IconGpsDisabledComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconGpsDisabledComponent;
    }(core.IconBase));
    IconGpsDisabledComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-gps-disabled',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M5.504 12.5H3m16.504-.004h2.495M12.504 19.5V22m0-16.5V3M9.67 9.672a4 4 0 005.657 5.657m0 0a4 4 0 01-5.657-5.657M7.546 7.546A6.977 6.977 0 005.5 12.5c0 3.877 3.123 7 7 7a6.982 6.982 0 004.954-2.046m-1.313-3.314a3.963 3.963 0 00.359-1.64 4 4 0 00-4-4 3.98 3.98 0 00-1.64.36m7.49 7.49a6.978 6.978 0 001.15-3.85c0-3.877-3.123-7-7-7a6.978 6.978 0 00-3.85 1.15m2.21 2.21a3.968 3.968 0 011.64-.36 4 4 0 014 4c0 .587-.133 1.139-.36 1.64M5.075 5.076l14.85 14.85\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.256 18.75H4.5m24.756-.006h3.742M18.756 29.25V33m0-24.75V4.5m-4.249 10.007a6 6 0 008.486 8.485m0 .001a6 6 0 01-8.485-8.486m-3.188-3.188a10.466 10.466 0 00-3.07 7.431c0 5.816 4.685 10.5 10.5 10.5 2.908 0 5.533-1.171 7.432-3.069m-1.971-4.97c.34-.753.538-1.581.538-2.46a6 6 0 00-6-6c-.879 0-1.707.2-2.46.538m11.235 11.235a10.468 10.468 0 001.725-5.774c0-5.815-4.684-10.5-10.5-10.5-2.136 0-4.117.636-5.773 1.725m3.313 3.314a5.952 5.952 0 012.462-.538 6 6 0 016 6c0 .879-.2 1.707-.54 2.46M7.613 7.613l22.275 22.274\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconGpsDisabledComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconGpsDisabledModule = /** @class */ (function () {
        function IconGpsDisabledModule() {
        }
        return IconGpsDisabledModule;
    }());
    IconGpsDisabledModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconGpsDisabledComponent],
                    exports: [IconGpsDisabledComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinComponent = /** @class */ (function (_super) {
        __extends(IconLocationPinComponent, _super);
        function IconLocationPinComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocationPinComponent;
    }(core.IconBase));
    IconLocationPinComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-location-pin',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.492 9.007a3.5 3.5 0 11-7 0 3.5 3.5 0 017 0zm1.992.007a5.5 5.5 0 00-11 0c.037.943.316 1.736.766 2.486L12 18.998l4.75-7.498c.443-.777.726-1.585.734-2.486z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M23.238 13.51a5.25 5.25 0 11-10.5 0 5.25 5.25 0 0110.5 0zm2.989.012a8.25 8.25 0 00-16.5 0c.055 1.414.474 2.604 1.149 3.729L18 28.498l7.125-11.247c.664-1.166 1.089-2.378 1.1-3.73z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocationPinComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinModule = /** @class */ (function () {
        function IconLocationPinModule() {
        }
        return IconLocationPinModule;
    }());
    IconLocationPinModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocationPinComponent],
                    exports: [IconLocationPinComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinAComponent = /** @class */ (function (_super) {
        __extends(IconLocationPinAComponent, _super);
        function IconLocationPinAComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocationPinAComponent;
    }(core.IconBase));
    IconLocationPinAComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-location-pin-a',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M17.5 10.002a5.5 5.5 0 00-11 0c.037.943.316 1.736.765 2.485l4.75 7.5 4.751-7.5c.443-.777.725-1.585.734-2.485z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M13.176 10.117L11.983 6.9l-1.198 3.217h2.39zm-.653-4.119l2.728 7.007h-1.025l-.778-2.143h-2.93l-.797 2.143h-.974l2.74-7.007h1.036z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M26.25 15.003a8.25 8.25 0 00-16.5 0c.056 1.415.474 2.604 1.148 3.728l7.125 11.248 7.126-11.248c.665-1.166 1.087-2.378 1.101-3.728z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M19.764 15.176l-1.79-4.825-1.797 4.825h3.587zm-.98-6.178l4.092 10.51H21.34l-1.167-3.214h-4.395l-1.196 3.214h-1.46l4.11-10.51h1.553z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocationPinAComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinAModule = /** @class */ (function () {
        function IconLocationPinAModule() {
        }
        return IconLocationPinAModule;
    }());
    IconLocationPinAModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocationPinAComponent],
                    exports: [IconLocationPinAComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinBComponent = /** @class */ (function (_super) {
        __extends(IconLocationPinBComponent, _super);
        function IconLocationPinBComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocationPinBComponent;
    }(core.IconBase));
    IconLocationPinBComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-location-pin-b',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            fill=\"#000\"\n            d=\"M10.832 10.737v2.466h1.665c.575 0 .962-.056 1.161-.168.339-.191.509-.539.509-1.044 0-.568-.229-.948-.686-1.139-.178-.077-.552-.115-1.122-.115h-1.527zm0-2.926V9.99h1.501c.412 0 .715-.03.911-.091a.863.863 0 00.468-.369 1.16 1.16 0 00.175-.637c0-.242-.051-.45-.152-.622a.837.837 0 00-.423-.369c-.152-.061-.451-.091-.897-.091h-1.583zm-.833-.804h2.537c.615 0 1.065.078 1.346.234.259.144.464.352.615.625.151.273.227.571.227.893 0 .342-.083.645-.248.91-.166.265-.394.46-.684.584.235.07.418.155.548.254.442.332.664.816.664 1.451 0 .833-.31 1.431-.928 1.796-.29.169-.673.254-1.147.254h-2.93V7.007z\"\n          />\n          <path\n            stroke=\"#000\"\n            d=\"M17.5 10.008a5.5 5.5 0 00-11 0c.037.943.316 1.736.766 2.485l4.75 7.499 4.75-7.499c.443-.777.726-1.585.734-2.485z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            fill=\"#000\"\n            d=\"M16.248 16.105v3.7h2.497c.863 0 1.444-.084 1.742-.253.509-.286.764-.808.764-1.566 0-.852-.344-1.422-1.03-1.708-.267-.115-.828-.172-1.683-.172h-2.29zm0-4.389v3.269H18.5c.617 0 1.072-.045 1.366-.136.293-.097.528-.281.702-.554.174-.273.262-.591.262-.956 0-.363-.076-.675-.227-.933a1.255 1.255 0 00-.635-.553c-.228-.091-.677-.136-1.346-.136h-2.374zm-1.25-1.205h3.806c.923 0 1.598.117 2.019.35.389.216.696.528.922.938.227.41.341.857.341 1.34 0 .513-.124.967-.372 1.365-.249.397-.591.69-1.026.876.353.104.627.232.822.38.663.499.996 1.225.996 2.177 0 1.25-.465 2.146-1.392 2.694-.435.253-1.01.381-1.72.381h-4.395V10.51z\"\n          />\n          <path\n            stroke=\"#000\"\n            d=\"M26.25 15.012a8.25 8.25 0 00-16.5 0c.056 1.415.474 2.604 1.149 3.727l7.125 11.249 7.125-11.248c.665-1.166 1.089-2.378 1.101-3.728z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocationPinBComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinBModule = /** @class */ (function () {
        function IconLocationPinBModule() {
        }
        return IconLocationPinBModule;
    }());
    IconLocationPinBModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocationPinBComponent],
                    exports: [IconLocationPinBComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinMapComponent = /** @class */ (function (_super) {
        __extends(IconLocationPinMapComponent, _super);
        function IconLocationPinMapComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocationPinMapComponent;
    }(core.IconBase));
    IconLocationPinMapComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-location-pin-map',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.5 9V7.3l-5-2.7-5 4-5-3.6v8.75l5 3.65 5-4 .8.9M8.5 8.6v8.8m5-12.8v8.8m6.997-.212c0-1.485-1.118-2.688-2.497-2.688-1.378 0-2.496 1.204-2.496 2.688.016.461.143.85.347 1.215l2.157 3.665 2.155-3.665c.201-.38.33-.774.334-1.215zM18.5 13a.5.5 0 01-.495.5.508.508 0 01-.505-.5c0-.273.227-.5.5-.5s.5.227.5.5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27.75 13.5v-2.55l-7.5-4.05-7.5 6-7.5-5.4v13.125l7.5 5.475 7.5-6 1.2 1.35m-8.7-8.55v13.2m7.5-19.2v13.2m10.496-.317c0-2.228-1.677-4.032-3.746-4.032-2.067 0-3.744 1.804-3.744 4.032.024.691.215 1.273.52 1.822l3.236 5.498 3.233-5.498c.301-.57.495-1.162.5-1.822zM27.75 19.5a.75.75 0 01-.742.75.763.763 0 01-.758-.75c0-.41.34-.75.75-.75s.75.34.75.75z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocationPinMapComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinMapModule = /** @class */ (function () {
        function IconLocationPinMapModule() {
        }
        return IconLocationPinMapModule;
    }());
    IconLocationPinMapModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocationPinMapComponent],
                    exports: [IconLocationPinMapComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinPulseSurroundingAreaComponent = /** @class */ (function (_super) {
        __extends(IconLocationPinPulseSurroundingAreaComponent, _super);
        function IconLocationPinPulseSurroundingAreaComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocationPinPulseSurroundingAreaComponent;
    }(core.IconBase));
    IconLocationPinPulseSurroundingAreaComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-location-pin-pulse-surrounding-area',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M17.5 8.015a5.5 5.5 0 00-11 0c.037.943.316 1.736.766 2.485l4.75 7.499 4.75-7.5c.443-.775.726-1.584.734-2.484zm-8.698 7.66C5.119 16.09 2.5 17.206 2.5 18.5c0 1.645 4.232 3 9.5 3 5.269 0 9.5-1.355 9.5-3 0-1.284-2.58-2.392-6.218-2.816M6.787 9.5H9l1.5-4 1.5 6 1.5-4 1 1.99h2.734\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M26.25 12.022a8.25 8.25 0 00-16.5 0c.056 1.415.474 2.604 1.149 3.728l7.125 11.248 7.125-11.248c.665-1.164 1.089-2.378 1.101-3.728zm-13.047 11.49c-5.525.625-9.453 2.298-9.453 4.237 0 2.468 6.348 4.5 14.25 4.5 7.903 0 14.25-2.032 14.25-4.5 0-1.924-3.87-3.586-9.327-4.222M10.18 14.25h3.32l2.25-6 2.25 9 2.25-6 1.5 2.985h4.1\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocationPinPulseSurroundingAreaComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinPulseSurroundingAreaModule = /** @class */ (function () {
        function IconLocationPinPulseSurroundingAreaModule() {
        }
        return IconLocationPinPulseSurroundingAreaModule;
    }());
    IconLocationPinPulseSurroundingAreaModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocationPinPulseSurroundingAreaComponent],
                    exports: [IconLocationPinPulseSurroundingAreaComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinSurroundingAreaComponent = /** @class */ (function (_super) {
        __extends(IconLocationPinSurroundingAreaComponent, _super);
        function IconLocationPinSurroundingAreaComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconLocationPinSurroundingAreaComponent;
    }(core.IconBase));
    IconLocationPinSurroundingAreaComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-location-pin-surrounding-area',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.508 8.007a3.5 3.5 0 11-7 0 3.5 3.5 0 017 0zm1.992.008a5.5 5.5 0 00-11 0c.037.943.316 1.737.766 2.486l4.75 7.498 4.75-7.498c.443-.777.726-1.585.734-2.486zm-8.698 7.66C5.119 16.092 2.5 17.207 2.5 18.5c0 1.644 4.232 3 9.5 3 5.269 0 9.5-1.356 9.5-3 0-1.283-2.58-2.391-6.218-2.815\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M23.262 12.01a5.25 5.25 0 11-10.5 0 5.25 5.25 0 0110.5 0zm2.988.012a8.25 8.25 0 00-16.5 0c.056 1.414.474 2.605 1.149 3.729l7.125 11.247 7.125-11.247c.665-1.166 1.089-2.378 1.101-3.73zm-13.047 11.49c-5.525.626-9.453 2.298-9.453 4.238 0 2.466 6.348 4.5 14.25 4.5 7.903 0 14.25-2.034 14.25-4.5 0-1.925-3.87-3.587-9.327-4.223\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconLocationPinSurroundingAreaComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconLocationPinSurroundingAreaModule = /** @class */ (function () {
        function IconLocationPinSurroundingAreaModule() {
        }
        return IconLocationPinSurroundingAreaModule;
    }());
    IconLocationPinSurroundingAreaModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconLocationPinSurroundingAreaComponent],
                    exports: [IconLocationPinSurroundingAreaComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMountainMinusComponent = /** @class */ (function (_super) {
        __extends(IconMountainMinusComponent, _super);
        function IconMountainMinusComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMountainMinusComponent;
    }(core.IconBase));
    IconMountainMinusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-mountain-minus',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.94 6.502h5.065M11.5 5l7.903 14.048.847 1.452H2.75l2.538-4.35L11.5 5zM5.288 16.15l6.727-4.105 7.389 7.002\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M23.91 9.753h7.597M17.25 7.5l11.855 21.072 1.27 2.178H4.125l3.807-6.525L17.25 7.5zM7.931 24.226l10.09-6.158 11.084 10.503\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMountainMinusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMountainMinusModule = /** @class */ (function () {
        function IconMountainMinusModule() {
        }
        return IconMountainMinusModule;
    }());
    IconMountainMinusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMountainMinusComponent],
                    exports: [IconMountainMinusComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMountainPlusComponent = /** @class */ (function (_super) {
        __extends(IconMountainPlusComponent, _super);
        function IconMountainPlusComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMountainPlusComponent;
    }(core.IconBase));
    IconMountainPlusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-mountain-plus',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.94 6.502h5.065M11.5 5l7.903 14.048.847 1.452H2.75l2.538-4.35L11.5 5zM5.288 16.15l6.727-4.105 7.389 7.002M18.5 4v5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M23.91 9.753h7.597M17.25 7.5l11.855 21.072 1.27 2.178H4.125l3.807-6.525L17.25 7.5zM7.931 24.226l10.09-6.158 11.084 10.503M27.75 6v7.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMountainPlusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMountainPlusModule = /** @class */ (function () {
        function IconMountainPlusModule() {
        }
        return IconMountainPlusModule;
    }());
    IconMountainPlusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMountainPlusComponent],
                    exports: [IconMountainPlusComponent],
                },] }
    ];

    var modules = [
        IconArrowCompassModule,
        IconGpsModule,
        IconGpsDisabledModule,
        IconLocationPinModule,
        IconLocationPinAModule,
        IconLocationPinBModule,
        IconLocationPinMapModule,
        IconLocationPinPulseSurroundingAreaModule,
        IconLocationPinSurroundingAreaModule,
        IconMountainMinusModule,
        IconMountainPlusModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionLocationModule = /** @class */ (function () {
        function IconCollectionLocationModule() {
        }
        return IconCollectionLocationModule;
    }());
    IconCollectionLocationModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconArrowCompassComponent = IconArrowCompassComponent;
    exports.IconArrowCompassModule = IconArrowCompassModule;
    exports.IconCollectionLocationModule = IconCollectionLocationModule;
    exports.IconGpsComponent = IconGpsComponent;
    exports.IconGpsDisabledComponent = IconGpsDisabledComponent;
    exports.IconGpsDisabledModule = IconGpsDisabledModule;
    exports.IconGpsModule = IconGpsModule;
    exports.IconLocationPinAComponent = IconLocationPinAComponent;
    exports.IconLocationPinAModule = IconLocationPinAModule;
    exports.IconLocationPinBComponent = IconLocationPinBComponent;
    exports.IconLocationPinBModule = IconLocationPinBModule;
    exports.IconLocationPinComponent = IconLocationPinComponent;
    exports.IconLocationPinMapComponent = IconLocationPinMapComponent;
    exports.IconLocationPinMapModule = IconLocationPinMapModule;
    exports.IconLocationPinModule = IconLocationPinModule;
    exports.IconLocationPinPulseSurroundingAreaComponent = IconLocationPinPulseSurroundingAreaComponent;
    exports.IconLocationPinPulseSurroundingAreaModule = IconLocationPinPulseSurroundingAreaModule;
    exports.IconLocationPinSurroundingAreaComponent = IconLocationPinSurroundingAreaComponent;
    exports.IconLocationPinSurroundingAreaModule = IconLocationPinSurroundingAreaModule;
    exports.IconMountainMinusComponent = IconMountainMinusComponent;
    exports.IconMountainMinusModule = IconMountainMinusModule;
    exports.IconMountainPlusComponent = IconMountainPlusComponent;
    exports.IconMountainPlusModule = IconMountainPlusModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-location.umd.js.map
