(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/ticket', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.ticket = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconQrcodeComponent = /** @class */ (function (_super) {
        __extends(IconQrcodeComponent, _super);
        function IconQrcodeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconQrcodeComponent;
    }(core.IconBase));
    IconQrcodeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-qrcode',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill-rule=\"evenodd\"\n          d=\"M17 16.004h-1v1.998h1v1h-2v-2h-1v1.002h-1v1h-1v-2h1v-1l3-.002v-1.998h1v1.998h1v1h-1v-.998zM5.999 12v-.997h2v1H6v.997H4.999v-1h1zm-2 2h1v2.003h-2v-1l1-.002v-1h-1v-2.001h1v2zm3-6h1v1h-1V10h-2V9H4V8H3V6h1v1h1v2h1.999v-.997h-1v-2l-1-.003V5h2v1.003h1v-1h1V5h2v1h-2v1.002h-2V8zM20 10.003h-1V8.001h2v1l-1 .002v1h1v2.001h-1v-2zM10 14h4v-4h-4v4zm-1 1V9h6v6H9zm2-2v-2h2v2h-2zM6.999 3.996V2.995H10v1.001H6.999zm5 1.007v-.002h-1v-1h1v-.998h1v2h-1zm8.001 2V6.002h1v1.001h-1zm-2 5v.999h-2v-1h2v-.998h1v1h-1zm-14.001-8v1h-1V2.995h3v1l-2 .008zm14.001 9h3v2h-1v-1h-1v1h-1v-2zm-5-8h1v-1h1v.998h1V3.003h1v.998h1v1h-1v1l-3 .002v1h-1v-2zm3 2h1v.999h1v1h-1v.002h-1v-2zm1 14.002v-2h1v2h-1zm3-1.003v-.997h1v2h-1v-.003h-1v-1h1zm0-14.999V4.001h-2v-1h2v.002h1v2h-1zm0 10v1.999h1v1h-1v1h-2v-1h1v-2.998h1zm-3-8.002v-1h2v1h-2zm-6 14.001v-1.001h2v1.001h-2zm-1-13v-1h1v-.999h1v2h-1v-.002h-1zm0 11v-.997h1V20.005h-1v-.003H9v-1h1zm5 .003v.997h1v1h-1v.003h-1v-2h1zm-7.001-4.003v1h1v1h-2v-.998h-1v-1l2-.002zm2.001 2v-1h2v1h-2zm6-6.001v-1h2v1h-2zm-13.001 7v-1h1v1h-1zM14 8.002V7.001h1v1.001h-1zM3.999 12.001v-1h1v1h-1zm-1-1v-2h1v2h-1zm2 7.002v-1H7v1H4.999zm2 .999v-.998h2v1h-1v1.998h-1v-.997h-1v-1h1v-.003zm-3 0v1.003h2v1h-2v-.003h-1v-2h1zm2-4.998v-1h2v1h-2z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill-rule=\"evenodd\"\n          d=\"M25.5 24.006H24v2.997h1.5v1.5h-3v-3H21v1.503h-1.5v1.5H18v-3h1.5v-1.5l4.5-.003v-2.997h1.5v2.997H27v1.5h-1.5v-1.497zM8.998 18v-1.495h3v1.5H9v1.495H7.498v-1.5h1.5zm-3 3.002h1.5v3.003h-3v-1.5l1.5-.003v-1.5h-1.5v-3.002h1.5v3.002zm4.5-9.002h1.5v1.5h-1.5V15h-3v-1.5H6V12H4.5V9H6v1.5h1.5v3h2.998v-1.496h-1.5v-3L7.498 9V7.5h3v1.504h1.5v-1.5h1.5v-.003h3v1.5h-3v1.503h-3v1.498zM30 15.005h-1.5v-3.003h3v1.5l-1.5.003v1.5h1.5v3.001H30v-3.001zM15 21h6v-6h-6v6zm-1.5 1.5v-9h9v9h-9zm3-3v-3h3v3h-3zM10.498 5.994V4.492H15v1.502h-4.502zM18 7.504v-.002h-1.5v-1.5H18V4.505h1.5v3H18zm12.001 3V9.004h1.5v1.502H30zm-3 7.501v1.497h-3v-1.5h3v-1.497h1.5v1.5H27zm-21.002-12v1.5h-1.5V4.493h4.5v1.5l-3 .012zM27 19.505h4.5v3H30v-1.5h-1.5v1.5H27v-3zm-7.5-12H21v-1.5h1.5v1.497H24V4.505h1.5v1.497H27v1.5h-1.5v1.5l-4.5.003v1.5h-1.5v-3zm4.5 3h1.5v1.497H27v1.5h-1.5v.003H24v-3zm1.5 21.002v-3H27v3h-1.5zm4.5-1.504v-1.496h1.5v3H30v-.004h-1.5v-1.5H30zm0-22.498V6.002h-3v-1.5h3v.003h1.5v3H30zm0 15v2.997h1.5v1.5H30v1.5h-3v-1.5h1.5v-4.497H30zm-4.5-12.003v-1.5h3v1.5h-3zm-9 21.001v-1.502h3v1.502h-3zM15 12.002v-1.5h1.5V9.005H18v3h-1.5v-.003H15zm0 16.5v-1.495h1.5v3H15v-.004h-1.5v-1.5H15zm7.5.005v1.495H24v1.5h-1.5v.005H21v-3h1.5zm-10.502-6.004v1.5h1.5v1.5h-3v-1.497h-1.5v-1.5l3-.003zm3.002 3v-1.5h3v1.5h-3zm9-9.002v-1.5h3v1.5h-3zm-19.502 10.5v-1.5h1.5v1.5h-1.5zM21 12.004v-1.502h1.5v1.502H21zM5.998 18.001v-1.5h1.5v1.5h-1.5zm-1.5-1.5v-3h1.5v3h-1.5zm3 10.503v-1.5H10.5v1.5H7.498zm3 1.499v-1.497h3v1.5h-1.5v2.997h-1.5v-1.496h-1.5v-1.5h1.5v-.004zm-4.5 0v1.504h3v1.5h-3v-.004h-1.5v-3h1.5zm3-7.497v-1.5h3v1.5h-3z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconQrcodeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconQrcodeModule = /** @class */ (function () {
        function IconQrcodeModule() {
        }
        return IconQrcodeModule;
    }());
    IconQrcodeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconQrcodeComponent],
                    exports: [IconQrcodeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconQrcodeDisabledComponent = /** @class */ (function (_super) {
        __extends(IconQrcodeDisabledComponent, _super);
        function IconQrcodeDisabledComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconQrcodeDisabledComponent;
    }(core.IconBase));
    IconQrcodeDisabledComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-qrcode-disabled',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M3.1 3L21 20.9\" />\n          <path\n            fill=\"#000\"\n            d=\"M5.999 12.001v-.997h2v1H6v.997H4.999v-1h1zm-2 2h1v2.003h-2v-1l1-.002v-1h-1v-2.001h1v2zm3-6h1v1h-1v1h-2V9H4V8H3V6h1v1h1v2h1.999v-.998h-1v-2l-1-.003V5h.586l2.004 2.003h-.59V8zM20 10.003h-1V8.001h2v1l-1 .002v1h1v2.001h-1v-2zm-1 5v.583l1 1v-1.582H18.418L18 14.586v-1.582h3v2h-1v-1h-1v1zM11 5.002v-1h1v-.998h1v2h-1v-.002h-1v1H9.415l-.998-.998H9v-.002H11zm3 5h-.586l-1-1H15v2.585l-1-1V10zM14 14v-.586l1 1V15H9V9h.586l1 1H10v4h4zm-3-1v-2h.585L13 12.414V13h-2zM7 2.995h3v1H7.41L7 3.586v-.59zm13 4.008V6.002h1v1.001h-1zm-2 5.998h-1.585L16 12.586v-.585h2v-.998h1v1h-1v.998zM2.999 2.995h.582l1.005 1.006-.587.002v1h-1V2.995zm10 4.008v-2h1v-1h1v.998h1V3.003h1v.998h1v1h-1v1l-3 .002v1h-1zM18 8.001v1h-1v.002h-1v-2h1v.998h1zm-1 13.004v-2h1v2h-1zm3-1.003v-.588l1 1v.59h-1v-.002h-1v-1h1zm0-14.999V4.001h-2v-1h2v.002h1v2h-1zm-2 12.998h.588l1 1H18v-1zm2.416-1H21v.585l-.584-.584zM17 7.002v-1h2v1h-2zm-6 14.001v-1.001h2v1.001h-2zm1-12.999h-.584l-1.002-1.002H11v-.998h1v2zm-2 10.999v-.997h1V20.005h-1v-.003H9v-1h1zm5 .003v.997h1v1h-1v.003h-1v-2h1zm-7.001-4.003v1h1v1h-2v-.998h-1v-1l2-.002zm2.001 2v-1h2v1h-2zm6-6.001v-1h2v1h-2zm-13.001 7v-1h1v1h-1zM14 8.002V7.001h1v1.001h-1zM3.999 12.001v-1h1v1h-1zm-1-1v-2h1v2h-1zm2 7.002v-1H7v1H4.999zm2 .999v-.998h2v1h-1v1.998h-1v-.997h-1v-1h1v-.003zm-3 0v1.003h2v1h-2v-.003h-1v-2h1zm2-4.998v-1h2v1h-2zM17 17.002v-.588l.588.588H17zm-1-1v-.588l.59.59H16v1.998h1v1h-2v-2h-1v1.002h-1v1h-1v-2h1v-1l3-.002z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path stroke=\"#000\" d=\"M4.65 4.5L31.5 31.35\" />\n          <path\n            fill=\"#000\"\n            d=\"M8.998 18.002v-1.496h3v1.5H9v1.495H7.498v-1.5h1.5zm-3 3h1.5v3.004h-3v-1.5l1.5-.003v-1.5h-1.5v-3.002h1.5v3.002zm4.5-9h1.5v1.5h-1.5V15h-3v-1.5H6V12H4.5V9H6v1.5h1.5v3h2.998v-1.496h-1.5v-3L7.498 9V7.5h.88l3.005 3.004H10.5v1.498zM30 15.005h-1.5v-3.003h3v1.5l-1.5.003v1.5h1.5v3.001H30v-3.001zm-1.5 7.5H30v2.373l-1.5-1.5v-.873h-.873L27 21.878v-2.373h4.5v3H30v-1.5h-1.5v1.5zm-12-15.003v-1.5H18V4.505h1.5v3H18v-.003h-1.5v1.5h-2.377l-1.497-1.498h.873v-.002H16.5zM21 15h-.879l-1.5-1.5H22.5v3.88l-1.5-1.5V15zm0 6v-.88l1.5 1.5v.88h-9v-9h.879l1.5 1.5H15v6h6zm-4.5-1.5v-3h.878l2.122 2.121v.88h-3zM10.499 4.492H15v1.502h-3.886l-.615-.615v-.887zM30 10.505V9.002h1.5v1.502H30zm-3 8.997h-2.378L24 18.879v-.877h3v-1.497h1.5v1.5H27v1.497zM4.498 4.493h.873L6.88 6.002l-.88.003v1.5h-1.5V4.493zM19.5 10.505v-3H21v-1.5h1.5v1.497H24V4.505h1.5v1.497H27v1.5h-1.5v1.5l-4.5.003v1.5h-1.5zM27 12.002v1.5h-1.5v.003H24v-3h1.5v1.497H27zm-1.5 19.505v-3H27v3h-1.5zm4.5-1.504v-.882l1.5 1.5v.886H30v-.004h-1.5v-1.5H30zm0-22.498V6.002h-3v-1.5h3v.003h1.5v3H30zm-3 19.497h.882l1.5 1.5H27v-1.5zm3.623-1.5h.876v.876l-.876-.876zm-5.123-15v-1.5h3v1.5h-3zm-9 21.001v-1.502h3v1.502h-3zM18 12.005h-.875l-1.503-1.503h.877V9.005H18v3zm-3 16.498v-1.496h1.5v3H15v-.004h-1.5v-1.5H15zm7.5.004v1.495H24v1.5h-1.5v.005H21v-3h1.5zm-10.502-6.004v1.5h1.5v1.5h-3v-1.497h-1.5v-1.5l3-.003zm3.002 3v-1.5h3v1.5h-3zm9-9.002v-1.5h3v1.5h-3zm-19.502 10.5v-1.5h1.5v1.5h-1.5zM21 12.004v-1.502h1.5v1.502H21zM5.998 18.001v-1.5h1.5v1.5h-1.5zm-1.5-1.5v-3h1.5v3h-1.5zm3 10.503v-1.5H10.5v1.5H7.498zm3 1.499v-1.497h3v1.5h-1.5v2.997h-1.5v-1.496h-1.5v-1.5h1.5v-.004zm-4.5 0v1.504h3v1.5h-3v-.004h-1.5v-3h1.5zm3-7.497v-1.5h3v1.5h-3zM25.5 25.502v-.882l.882.882H25.5zm-1.5-1.5v-.881l.885.885H24v2.997h1.5v1.5h-3v-3H21v1.503h-1.5v1.5H18v-3h1.5v-1.5l4.5-.003z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconQrcodeDisabledComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconQrcodeDisabledModule = /** @class */ (function () {
        function IconQrcodeDisabledModule() {
        }
        return IconQrcodeDisabledModule;
    }());
    IconQrcodeDisabledModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconQrcodeDisabledComponent],
                    exports: [IconQrcodeDisabledComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSwisspassComponent = /** @class */ (function (_super) {
        __extends(IconSwisspassComponent, _super);
        function IconSwisspassComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSwisspassComponent;
    }(core.IconBase));
    IconSwisspassComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-swisspass',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18 10.5h-3m1.5 1.5V9m2 8.5h-13a2 2 0 01-2-2v-7a2 2 0 012-2h13a2 2 0 012 2v7a2 2 0 01-2 2zm-11-5c-1.357.53-2 1.5-2 3h6c0-1.5-.643-2.475-2-3h-2zm1-4a2 2 0 110 4 2 2 0 010-4z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27 15.751h-4.5m2.25 2.25v-4.5m3 12.749H8.25c-1.656 0-3-1.344-3-3v-10.5c0-1.656 1.344-3 3-3h19.5c1.656 0 3 1.344 3 3v10.5c0 1.656-1.344 3-3 3zm-16.5-7.5c-2.036.795-3 2.25-3 4.5h9c0-2.25-.965-3.712-3-4.5h-3zm1.5-6a3 3 0 110 6 3 3 0 010-6z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSwisspassComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSwisspassModule = /** @class */ (function () {
        function IconSwisspassModule() {
        }
        return IconSwisspassModule;
    }());
    IconSwisspassModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSwisspassComponent],
                    exports: [IconSwisspassComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSwisspassTemporaryComponent = /** @class */ (function (_super) {
        __extends(IconSwisspassTemporaryComponent, _super);
        function IconSwisspassTemporaryComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSwisspassTemporaryComponent;
    }(core.IconBase));
    IconSwisspassTemporaryComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-swisspass-temporary',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path d=\"M16.5 10.5H18h-1.5V12v-1.5zm0 0H15h1.5V9v1.5zM6 10.5h4-4zm0 2h6-6zm0 2h5-5z\" />\n          <path\n            stroke-dasharray=\"1 1\"\n            d=\"M18.5 17.5h-13a2 2 0 01-2-2v-7a2 2 0 012-2h13a2 2 0 012 2v7a2 2 0 01-2 2z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M24.75 15.751H27h-2.25v2.25-2.25zm0 0H22.5h2.25v-2.25 2.25zM9 15.75h6-6zm0 3h9-9zm0 3h7.5H9z\"\n          />\n          <path\n            stroke-dasharray=\"1 1\"\n            d=\"M27.75 26.25H8.25c-1.656 0-3-1.344-3-3v-10.5c0-1.656 1.344-3 3-3h19.5c1.656 0 3 1.344 3 3v10.5c0 1.656-1.344 3-3 3z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSwisspassTemporaryComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSwisspassTemporaryModule = /** @class */ (function () {
        function IconSwisspassTemporaryModule() {
        }
        return IconSwisspassTemporaryModule;
    }());
    IconSwisspassTemporaryModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSwisspassTemporaryComponent],
                    exports: [IconSwisspassTemporaryComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketsClassComponent = /** @class */ (function (_super) {
        __extends(IconTicketsClassComponent, _super);
        function IconTicketsClassComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketsClassComponent;
    }(core.IconBase));
    IconTicketsClassComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-tickets-class',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            fill=\"#000\"\n            d=\"M17.975 4.931v4.07h-.812V6.335h-.959v-.59c.2-.005.36-.025.487-.06a1.03 1.03 0 00.344-.173c.15-.116.25-.31.302-.582h.638zm-5.985 5.345V11H9.059c0-.22.036-.432.108-.632.07-.2.172-.373.302-.518.1-.11.217-.22.352-.325.134-.106.402-.3.802-.582.195-.136.332-.262.409-.379a.707.707 0 00.118-.406.604.604 0 00-.158-.433.544.544 0 00-.413-.165c-.42 0-.635.301-.65.904h-.78v-.089c0-.494.138-.876.414-1.146.269-.264.617-.396 1.044-.396.379 0 .695.108.949.323.276.234.414.548.414.944 0 .344-.11.641-.331.89-.072.082-.14.147-.203.196-.063.05-.23.168-.498.355a7.922 7.922 0 00-.55.41c-.11.094-.212.202-.307.325h1.909z\"\n          />\n          <path\n            stroke=\"#000\"\n            d=\"M10.5 5.5v-2h9v15h-6v-13h-9v15h9v-2m-7.5-5h6m-6 2h6m1.5-2H18m-4.5-2H18\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            fill=\"#000\"\n            d=\"M26.962 7.397v6.104h-1.218V9.505h-1.439V8.62c.3-.008.542-.038.73-.092.188-.052.36-.14.517-.258.225-.174.376-.465.453-.873h.957zm-8.977 8.017V16.5h-4.397c0-.331.054-.648.162-.948.107-.3.258-.56.453-.777.15-.166.326-.33.528-.487.201-.16.603-.45 1.203-.873.293-.204.498-.393.614-.569a1.06 1.06 0 00.177-.609c0-.267-.08-.483-.237-.65a.816.816 0 00-.62-.247c-.63 0-.952.452-.973 1.356h-1.172v-.133c0-.741.207-1.314.621-1.72.404-.395.926-.593 1.566-.593.569 0 1.043.162 1.424.484.414.351.62.822.62 1.416 0 .516-.164.962-.496 1.335-.108.123-.21.22-.304.294-.095.074-.344.252-.747.533-.384.267-.659.472-.825.613a3.337 3.337 0 00-.461.49h2.864z\"\n          />\n          <path\n            stroke=\"#000\"\n            d=\"M15.75 8.25v-3h13.5v22.5h-9V8.25H6.75v22.5h13.5v-3M9 20.25h9m-9 3h9m2.25-3H27m-6.75-3H27\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketsClassComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketsClassModule = /** @class */ (function () {
        function IconTicketsClassModule() {
        }
        return IconTicketsClassModule;
    }());
    IconTicketsClassModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketsClassComponent],
                    exports: [IconTicketsClassComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketDayComponent = /** @class */ (function (_super) {
        __extends(IconTicketDayComponent, _super);
        function IconTicketDayComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketDayComponent;
    }(core.IconBase));
    IconTicketDayComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-day',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M18.5 11.5c0-1.7 1.3-3 3-3v-4h-19v14h19v-4c-1.7 0-3-1.3-3-3zm-14-4h10v9l-10-.024V7.5zm0 2h10m-8-2V6M8 12.5h1.5m0 2.5v-4 4zm3-7.5V6v1.5z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M16.5 18V5\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M27.75 17.25c0-2.55 1.95-4.5 4.5-4.5v-6H3.75v21h28.5v-6c-2.55 0-4.5-1.95-4.5-4.5zm-21-6h15v13.5l-15-.036V11.25zm0 3h15m-12-3V9M12 18.75h2.25m0 3.75v-6 6zm4.5-11.25V9v2.25z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M24.75 27V7.5\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketDayComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketDayModule = /** @class */ (function () {
        function IconTicketDayModule() {
        }
        return IconTicketDayModule;
    }());
    IconTicketDayModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketDayComponent],
                    exports: [IconTicketDayComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketDisabledComponent = /** @class */ (function (_super) {
        __extends(IconTicketDisabledComponent, _super);
        function IconTicketDisabledComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketDisabledComponent;
    }(core.IconBase));
    IconTicketDisabledComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-disabled',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M3 3l18 18m-1.5-1.5h-17v-14h3m16 12.5v-2.5c-1.683 0-3-1.317-3-3 0-1.682 1.317-3 3-3v-4H9\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M16.5 13V6.017M16.5 19v-2\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M4.5 4.5l27 27m-2.25-2.25H3.75v-21h4.5m24 18.75v-3.75c-2.524 0-4.5-1.976-4.5-4.5 0-2.523 1.976-4.5 4.5-4.5v-6H13.5\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M24.75 19.5V9.026m0 19.474v-3\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketDisabledComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketDisabledModule = /** @class */ (function () {
        function IconTicketDisabledModule() {
        }
        return IconTicketDisabledModule;
    }());
    IconTicketDisabledModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketDisabledComponent],
                    exports: [IconTicketDisabledComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketHeartComponent = /** @class */ (function (_super) {
        __extends(IconTicketHeartComponent, _super);
        function IconTicketHeartComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketHeartComponent;
    }(core.IconBase));
    IconTicketHeartComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-heart',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M18.5 11.5c0-1.7 1.3-3 3-3v-4h-19v14h19v-4c-1.7 0-3-1.3-3-3zm-5.133-2.411c-.31-.93-1.127-1.588-2.094-1.588-.736 0-1.378.386-1.782.978-.405-.592-1.048-.978-1.784-.978-1.237 0-2.23 1.077-2.23 2.423a2.602 2.602 0 00.621 1.694l3.392 3.69 3.387-3.685c.08-.106.27-.373.333-.492.185-.355.291-.767.291-1.207 0-.294-.047-.575-.134-.835z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M16.5 18V5\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M27.75 17.25c0-2.55 1.95-4.5 4.5-4.5v-6H3.75v21h28.5v-6c-2.55 0-4.5-1.95-4.5-4.5zm-7.7-3.617c-.466-1.395-1.69-2.382-3.14-2.382-1.104 0-2.067.579-2.673 1.467-.608-.888-1.572-1.467-2.676-1.467-1.856 0-3.347 1.615-3.347 3.634 0 .633.147 1.227.405 1.745.146.29.32.56.528.796l5.088 5.537 5.08-5.53c.12-.158.406-.559.5-.737.278-.533.437-1.15.437-1.81 0-.442-.07-.863-.201-1.253z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M24.75 27V7.5\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketHeartComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketHeartModule = /** @class */ (function () {
        function IconTicketHeartModule() {
        }
        return IconTicketHeartModule;
    }());
    IconTicketHeartModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketHeartComponent],
                    exports: [IconTicketHeartComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketJourneyComponent = /** @class */ (function (_super) {
        __extends(IconTicketJourneyComponent, _super);
        function IconTicketJourneyComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketJourneyComponent;
    }(core.IconBase));
    IconTicketJourneyComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-journey',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            fill=\"#000\"\n            d=\"M10.992 16.001v1.991h-5v-1.991h-1v.992H5v1h1.992v1h-2v-.992h-1v-1.008h-1v-1h2v-1h1v-1.497.497H4v1.008H2.992v-1.008h1v-1h1v-1.001h1v-.999h2v.999H9v1h.993v-.999h.999v-1.001h1v-1H13l1.001.001v2h-1.008V11H12v1h-.007v.993H13v1.001h.993v1H12v.999h1.993v1h-.999v1h-2.001v-1h.999v-.992h-1zm0-1.008h1v-2h-1v2zM6 12.992h1.992v-.999H6v.999zm-2.008-3H5V11H4v.993H2.992v-2h1zM4 19.993h1v1.008H3.992v-.007h-1v-2H4v.999zm7.992.008h-1v-1.008H8.993v-1h2v1H12v1h.993v-.999h1.008v2H13v.007h-1.008v-1zm-5-.008v-1H8v1h1.993v1h-2v-.992H7v1H5.992v-1.008h1zm1.001-9v-1h2v1h-2zm-.001 5.008v-1.008H9v1.008H7.992zm-1 .991h3v-3h-3v3z\"\n          />\n          <path\n            stroke=\"#000\"\n            d=\"M17.5 8a1.5 1.5 0 11-3 .001 1.5 1.5 0 013 0zm-2.52 6.558l1.025 1.618 3.887-6.135c.362-.636.594-1.297.6-2.034a4.5 4.5 0 00-9 0c.014.347.068.669.156.974\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            fill=\"#000\"\n            d=\"M16.488 24.002v2.986h-7.5v-2.986h-1.5v1.488H7.5v1.5h2.988v1.5h-3v-1.488h-1.5V25.49h-1.5v-1.5h3v-1.5h1.5v-1.5H6v1.512H4.488V20.99h1.5v-1.5h1.5v-1.502h1.5V16.49h3v1.498H13.5v1.5h1.49V17.99h1.498v-1.502h1.5v-1.5H19.5v.002h1.502v3H19.49V16.5H18V18h-.01v1.49h1.51v1.501h1.49v1.5H18v1.498h2.99v1.5H19.49v1.5h-3.002v-1.5h1.499v-1.488h-1.5zm0-1.512h1.5V19.488h-1.5v3zM9 19.488h2.988V17.99H9v1.498zM5.988 14.99v-.002H7.5V16.5H6v1.49H4.488v-3h1.5zm.012 15h1.5v1.512H5.988v-.011h-1.5v-3H6v1.498zm11.988.012h-1.5V28.49H13.49v-1.5h3v1.5H18v1.5h1.49V28.49h1.512v3H19.5v.01h-1.512v-1.5zm-7.5-.012v-1.5H12v1.5h2.99v1.5h-3v-1.488H10.5v1.5H8.988V29.99h1.5zm1.502-13.5v-1.5h3v1.5h-3zm-.002 7.512V22.49H13.5v1.512h-1.512zm-1.5 1.486h4.5v-4.5h-4.5v4.5z\"\n          />\n          <path\n            stroke=\"#000\"\n            d=\"M26.249 12.001a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm-3.78 9.836l1.538 2.427 5.83-9.202c.543-.954.891-1.946.902-3.051a6.75 6.75 0 00-13.5 0c.02.52.1 1.003.232 1.46\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketJourneyComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketJourneyModule = /** @class */ (function () {
        function IconTicketJourneyModule() {
        }
        return IconTicketJourneyModule;
    }());
    IconTicketJourneyModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketJourneyComponent],
                    exports: [IconTicketJourneyComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketParkingComponent = /** @class */ (function (_super) {
        __extends(IconTicketParkingComponent, _super);
        function IconTicketParkingComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketParkingComponent;
    }(core.IconBase));
    IconTicketParkingComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-parking',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M2.5 7.5h5.509L10 10.508h2a1.5 1.5 0 011.5 1.5V12v2.5h-2m-3 0h-4m7-.5A1.5 1.5 0 118.501 14 1.5 1.5 0 0111.5 14zM6 9.495h1.004L8 11m-5.5 1.592c.157-.056.324-.092.5-.092a1.5 1.5 0 110 3c-.176 0-.343-.036-.5-.092m16-3.908c0-1.7 1.3-3 3-3v-4h-19v14h19v-4c-1.7 0-3-1.3-3-3z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M16.5 18V5\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M3.75 11.25h8.264L15 15.762h3a2.249 2.249 0 012.25 2.25V18v3.75h-3m-4.5 0h-6m10.5-.75A2.249 2.249 0 0115 23.25a2.249 2.249 0 110-4.5A2.25 2.25 0 0117.25 21zM9 14.243h1.506L12 16.5m-8.25 2.388c.236-.084.486-.138.75-.138a2.25 2.25 0 110 4.5c-.264 0-.514-.054-.75-.138m24-5.862c0-2.55 1.95-4.5 4.5-4.5v-6H3.75v21h28.5v-6c-2.55 0-4.5-1.95-4.5-4.5z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M24.75 27V7.5\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketParkingComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketParkingModule = /** @class */ (function () {
        function IconTicketParkingModule() {
        }
        return IconTicketParkingModule;
    }());
    IconTicketParkingModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketParkingComponent],
                    exports: [IconTicketParkingComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketPercentComponent = /** @class */ (function (_super) {
        __extends(IconTicketPercentComponent, _super);
        function IconTicketPercentComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketPercentComponent;
    }(core.IconBase));
    IconTicketPercentComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-percent',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M18.5 11.5c0-1.7 1.3-3 3-3v-4h-19v14h19v-4c-1.7 0-3-1.3-3-3zM8.497 7.997A1.5 1.5 0 115.5 8a1.5 1.5 0 012.998-.002zM12.5 15a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zm-8 1l9-9\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M16.5 18V5\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M27.75 17.25c0-2.55 1.95-4.5 4.5-4.5v-6H3.75v21h28.5v-6c-2.55 0-4.5-1.95-4.5-4.5zm-15.004-5.254a2.249 2.249 0 11-4.5 0 2.25 2.25 0 114.5 0zM18.75 22.5a2.25 2.25 0 11-4.5 0 2.25 2.25 0 014.5 0zm-12 1.5l13.5-13.5\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M24.75 27V7.5\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketPercentComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketPercentModule = /** @class */ (function () {
        function IconTicketPercentModule() {
        }
        return IconTicketPercentModule;
    }());
    IconTicketPercentModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketPercentComponent],
                    exports: [IconTicketPercentComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketRouteComponent = /** @class */ (function (_super) {
        __extends(IconTicketRouteComponent, _super);
        function IconTicketRouteComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketRouteComponent;
    }(core.IconBase));
    IconTicketRouteComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-route',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M18.5 11.5c0-1.7 1.3-3 3-3v-4h-19v14h19v-4c-1.7 0-3-1.3-3-3zm-8.433-1.334l-2.134 2.668M11 7.5a1.5 1.5 0 110 3 1.5 1.5 0 010-3zm-4 5a1.5 1.5 0 11-.001 3 1.5 1.5 0 01.001-3z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M16.5 18V5\" />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path\n            d=\"M27.75 17.25c0-2.55 1.95-4.5 4.5-4.5v-6H3.75v21h28.5v-6c-2.55 0-4.5-1.95-4.5-4.5zM15.1 15.249l-3.2 4.002m4.6-8a2.25 2.25 0 110 4.499 2.25 2.25 0 010-4.5zm-6 7.499a2.25 2.25 0 11-.002 4.501 2.25 2.25 0 01.002-4.501z\"\n          />\n          <path stroke-dasharray=\"1 1\" d=\"M24.75 27V7.5\" />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketRouteComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketRouteModule = /** @class */ (function () {
        function IconTicketRouteModule() {
        }
        return IconTicketRouteModule;
    }());
    IconTicketRouteModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketRouteComponent],
                    exports: [IconTicketRouteComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketStarComponent = /** @class */ (function (_super) {
        __extends(IconTicketStarComponent, _super);
        function IconTicketStarComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTicketStarComponent;
    }(core.IconBase));
    IconTicketStarComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-ticket-star',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path stroke-dasharray=\"1 1\" d=\"M16.5 18V5\" />\n          <path\n            d=\"M18.5 11.5c0-1.7 1.3-3 3-3v-4h-19v14h19v-4c-1.7 0-3-1.3-3-3zM13 10h-2.9L9 7l-1.1 3H5l2.2 1.8L6 15l3-2 3 2-1.2-3.3L13 10z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\" stroke=\"#000\">\n          <path stroke-dasharray=\"1 1\" d=\"M24.75 27V7.5\" />\n          <path\n            d=\"M27.75 17.25c0-2.55 1.95-4.5 4.5-4.5v-6H3.75v21h28.5v-6c-2.55 0-4.5-1.95-4.5-4.5zM19.5 15h-4.35l-1.65-4.5-1.65 4.5H7.5l3.3 2.7L9 22.5l4.5-3 4.5 3-1.8-4.95L19.5 15z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTicketStarComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTicketStarModule = /** @class */ (function () {
        function IconTicketStarModule() {
        }
        return IconTicketStarModule;
    }());
    IconTicketStarModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTicketStarComponent],
                    exports: [IconTicketStarComponent],
                },] }
    ];

    var modules = [
        IconQrcodeModule,
        IconQrcodeDisabledModule,
        IconSwisspassModule,
        IconSwisspassTemporaryModule,
        IconTicketsClassModule,
        IconTicketDayModule,
        IconTicketDisabledModule,
        IconTicketHeartModule,
        IconTicketJourneyModule,
        IconTicketParkingModule,
        IconTicketPercentModule,
        IconTicketRouteModule,
        IconTicketStarModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionTicketModule = /** @class */ (function () {
        function IconCollectionTicketModule() {
        }
        return IconCollectionTicketModule;
    }());
    IconCollectionTicketModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconCollectionTicketModule = IconCollectionTicketModule;
    exports.IconQrcodeComponent = IconQrcodeComponent;
    exports.IconQrcodeDisabledComponent = IconQrcodeDisabledComponent;
    exports.IconQrcodeDisabledModule = IconQrcodeDisabledModule;
    exports.IconQrcodeModule = IconQrcodeModule;
    exports.IconSwisspassComponent = IconSwisspassComponent;
    exports.IconSwisspassModule = IconSwisspassModule;
    exports.IconSwisspassTemporaryComponent = IconSwisspassTemporaryComponent;
    exports.IconSwisspassTemporaryModule = IconSwisspassTemporaryModule;
    exports.IconTicketDayComponent = IconTicketDayComponent;
    exports.IconTicketDayModule = IconTicketDayModule;
    exports.IconTicketDisabledComponent = IconTicketDisabledComponent;
    exports.IconTicketDisabledModule = IconTicketDisabledModule;
    exports.IconTicketHeartComponent = IconTicketHeartComponent;
    exports.IconTicketHeartModule = IconTicketHeartModule;
    exports.IconTicketJourneyComponent = IconTicketJourneyComponent;
    exports.IconTicketJourneyModule = IconTicketJourneyModule;
    exports.IconTicketParkingComponent = IconTicketParkingComponent;
    exports.IconTicketParkingModule = IconTicketParkingModule;
    exports.IconTicketPercentComponent = IconTicketPercentComponent;
    exports.IconTicketPercentModule = IconTicketPercentModule;
    exports.IconTicketRouteComponent = IconTicketRouteComponent;
    exports.IconTicketRouteModule = IconTicketRouteModule;
    exports.IconTicketStarComponent = IconTicketStarComponent;
    exports.IconTicketStarModule = IconTicketStarModule;
    exports.IconTicketsClassComponent = IconTicketsClassComponent;
    exports.IconTicketsClassModule = IconTicketsClassModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-ticket.umd.js.map
