(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/user', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.user = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconEmployeesSbbComponent = /** @class */ (function (_super) {
        __extends(IconEmployeesSbbComponent, _super);
        function IconEmployeesSbbComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconEmployeesSbbComponent;
    }(core.IconBase));
    IconEmployeesSbbComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-employees-sbb',
                    // tslint:disable:max-line-length
                    template: "\n    <svg\n      focusable=\"false\"\n      [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n      xmlns=\"http://www.w3.org/2000/svg\"\n      viewBox=\"0 0 48 48\"\n    >\n      <g fill=\"none\" fill-rule=\"evenodd\">\n        <path\n          stroke=\"#000\"\n          d=\"M18.828 25.524c5.04 2.893 7.251 8.074 7.672 13.976h-22c.1-6.054 2.798-11.216 7.634-14M31.5 6.998c-2.627 0-4.639 2.278-4.939 5.246 1.186 1.094 1.939 2.802 1.939 4.758 0 .259-.035.505-.061.755.836.77 1.882 1.245 3.061 1.245 2.849 0 5-2.665 5-6 0-3.336-2.151-6.004-5-6.004zm-11.726 5.983c.202-.269.425-.515.665-.737.836-.771 1.882-1.246 3.061-1.246 1.178 0 2.224.475 3.06 1.246 1.187 1.094 1.94 2.802 1.94 4.758 0 .259-.036.505-.06.755-.302 2.969-2.312 5.245-4.94 5.245a4.39 4.39 0 01-3.043-1.194m6.375-.304c5.039 2.893 7.247 8.095 7.668 13.996h-8.647m8.987-17.988c5.039 2.894 7.239 8.087 7.66 13.988h-8.622m-13.421-9.692L22.503 24l-.966 1.79 2.039 3.746 1.961-3.745L24.503 24l1.977-2.152m.197-10.357s1.688-.292 3.17-1.646a1.306 1.306 0 011.85.083c1.13 1.238 2.999 2.964 4.802 2.964m2.483 8.235l1.663-.599c.496-.164.606-.697.231-.994-1.448-1.148-3.988-3.392-4.377-6.642M20.5 13.5c0 .553-2.238 1-5 1-2.761 0-5-.447-5-1 0-.552 2.239-1 5-1 2.762 0 5 .448 5 1zm-10 0v6c0 .553 2.239 1 5 1 2.762 0 5-.447 5-1v-6m0 6V21c0 3.335-2.151 6-5 6s-5-2.665-5-6v-1.5m1 .6s.5 1.396 4 1.4c3.5.004 4-1.4 4-1.4\"\n        />\n        <path\n          fill=\"#000\"\n          d=\"M17 16h-.9l1.2 1.125h-1.425V16h-.75v1.125H13.7L14.9 16H14l-1.5 1.5L14 19h.9l-1.2-1.125h1.425V19h.75l.056-1.181 1.369.056L16.1 19h.9l1.5-1.5z\"\n        />\n      </g>\n    </svg>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconEmployeesSbbComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconEmployeesSbbModule = /** @class */ (function () {
        function IconEmployeesSbbModule() {
        }
        return IconEmployeesSbbModule;
    }());
    IconEmployeesSbbModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconEmployeesSbbComponent],
                    exports: [IconEmployeesSbbComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserGroupComponent = /** @class */ (function (_super) {
        __extends(IconUserGroupComponent, _super);
        function IconUserGroupComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserGroupComponent;
    }(core.IconBase));
    IconUserGroupComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-group',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.65 11.746c2.52 1.447 3.64 3.804 3.85 6.755h-11c.05-3.026 1.382-5.358 3.8-6.75m-.77-1.873c.15 1.485 1.156 2.623 2.47 2.623 1.313 0 2.32-1.138 2.47-2.623m-.94-2.756c-.418-.386-.94-.623-1.53-.623-.59 0-1.113.237-1.53.623M16 4.5c-1.313 0-2.319 1.139-2.47 2.623.594.547.97 1.401.97 2.379 0 .129-.018.252-.03.377.418.386.941.623 1.53.623 1.425 0 2.5-1.333 2.5-3 0-1.668-1.075-3.002-2.5-3.002zm-1.53 5.38c.013-.126.03-.249.03-.378 0-.978-.376-1.832-.97-2.379m-3.06 0C10.32 5.638 9.314 4.5 8 4.5c-1.424 0-2.5 1.334-2.5 3.002 0 1.667 1.076 3 2.5 3 .59 0 1.113-.237 1.53-.623-.012-.125-.03-.248-.03-.377 0-.978.377-1.832.97-2.379zm0 0c-.593.547-.97 1.401-.97 2.38 0 .128.018.251.03.376m8.12-.134c2.52 1.447 3.64 3.805 3.85 6.756h-4.312m-10.446-.003H2.5c.05-3.026 1.382-5.358 3.8-6.75\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.476 17.618c3.78 2.17 5.46 5.706 5.775 10.133H9.75c.073-4.54 2.073-8.037 5.698-10.125m-1.154-2.808c.225 2.227 1.734 3.934 3.705 3.934 1.97 0 3.479-1.707 3.704-3.934m-1.409-4.135c-.627-.579-1.411-.934-2.295-.934-.885 0-1.669.355-2.296.934M24 6.75c-1.97 0-3.479 1.708-3.705 3.934.891.82 1.455 2.101 1.455 3.569 0 .193-.027.377-.045.565.627.579 1.412.934 2.295.934 2.137 0 3.75-1.999 3.75-4.5 0-2.502-1.613-4.502-3.75-4.502zm-2.295 8.069c.02-.188.045-.372.045-.566 0-1.467-.564-2.748-1.454-3.568m-4.591 0C15.48 8.456 13.97 6.748 12 6.748c-2.136 0-3.75 2-3.75 4.503 0 2.5 1.614 4.5 3.75 4.5.885 0 1.67-.356 2.296-.935-.02-.187-.046-.372-.046-.565 0-1.467.565-2.748 1.455-3.569zm0 0c-.89.82-1.455 2.1-1.455 3.568 0 .193.027.378.046.565m12.18-.2c3.78 2.17 5.46 5.707 5.775 10.133h-6.468m-15.67-.004H3.75c.075-4.54 2.073-8.037 5.7-10.125\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('large') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 48 48\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M19.06 19.757C19.36 22.64 21.373 25 24 25c2.628 0 4.625-2.375 4.94-5.243m-1.88-5.513c-.835-.77-1.881-1.246-3.06-1.246-1.178 0-2.224.475-3.06 1.246M32 8.998c-2.627 0-4.639 2.278-4.939 5.246C28.247 15.338 29 17.046 29 19.002c0 .259-.035.505-.061.755.836.77 1.882 1.245 3.061 1.245 2.849 0 5-2.665 5-6 0-3.336-2.151-6.004-5-6.004zm-11.06 5.246c-.17-1.669-.527-3.724-1.648-4.598C18.433 8.976 17.15 8.5 16 8.5c-1.117 0-2.444.451-3.313 1.166-1.335 1.102-1.686 3.307-1.686 5.336 0 3.335 2.15 6 5 6 1.177 0 2.223-.475 3.06-1.245-.026-.25-.06-.496-.06-.755 0-1.956.752-3.664 1.938-4.758zm6.12 0s1.803-.17 3.285-1.524a1.306 1.306 0 011.85.082c1.13 1.238 2.965 2.944 4.769 2.944M20.91 14.051c-.839 0-2.48-2.355-2.48-2.355a.935.935 0 00-.943-.236c-1.226.402-2.395.178-3.037-.015a.941.941 0 00-.936.239s-1.356 2.359-2.487 2.359m27.9 8.599l2.189-.48a.563.563 0 00.229-.993c-1.447-1.148-3.985-3.59-4.375-6.84m-17.764 2.944l2.45-1.287a.665.665 0 01.702.05c.901.646 3.601 2.166 6.166.386M13.33 35.5H4.5c.1-6.054 3.151-13.397 7.987-16.182m22.846.201C40.372 22.413 43.5 29.625 43.5 35.5h-8.823M9 28.5h4m-2.5 0V27m17.1-3.8L25 27.04l1 2-2 4-2-4 1-2-2.6-3.84C15.566 26.087 13 33.25 13 39.5h22c0-6.125-2.361-13.3-7.4-16.3z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserGroupComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserGroupModule = /** @class */ (function () {
        function IconUserGroupModule() {
        }
        return IconUserGroupModule;
    }());
    IconUserGroupModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserGroupComponent],
                    exports: [IconUserGroupComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAvatarPoliceComponent = /** @class */ (function (_super) {
        __extends(IconAvatarPoliceComponent, _super);
        function IconAvatarPoliceComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconAvatarPoliceComponent;
    }(core.IconBase));
    IconAvatarPoliceComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-avatar-police',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M17.5 9.5h-12l-1-3 7-2 7 2-1 3zm-6 2.5c1.892 0 3.575-.976 4.75-2.5h-9.5C7.925 11.024 9.608 12 11.5 12zm-1.7 2a.3.3 0 11-.6 0 .3.3 0 01.6 0zm4 0a.3.3 0 11-.6 0 .3.3 0 01.6 0zM12 7a.5.5 0 11-1 0 .5.5 0 011 0zm2.052 9.552c-.528.569-1.474.948-2.552.948-1.013 0-1.91-.335-2.452-.848M5.48 11s.298 4.908 1 6c1.873 2.911 3.961 3.5 5.01 3.5 1.048 0 3.136-.589 5.01-3.5.701-1.092 1-6 1-6\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M26.25 14.25h-18l-1.5-4.5 10.5-3 10.5 3-1.5 4.5zm-9 3.75c2.838 0 5.363-1.464 7.125-3.75h-14.25C11.887 16.536 14.412 18 17.25 18zm-2.55 3a.45.45 0 11-.9 0 .45.45 0 01.9 0zm6 0a.45.45 0 11-.9 0 .45.45 0 01.9 0zM18 10.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm3.078 14.327c-.792.854-2.211 1.422-3.828 1.422-1.52 0-2.864-.502-3.678-1.27M8.222 16.5s.447 7.362 1.5 9c2.81 4.367 5.942 5.25 7.514 5.25 1.573 0 4.705-.883 7.515-5.25 1.053-1.638 1.5-9 1.5-9\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconAvatarPoliceComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconAvatarPoliceModule = /** @class */ (function () {
        function IconAvatarPoliceModule() {
        }
        return IconAvatarPoliceModule;
    }());
    IconAvatarPoliceModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconAvatarPoliceComponent],
                    exports: [IconAvatarPoliceComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconKeyComponent = /** @class */ (function (_super) {
        __extends(IconKeyComponent, _super);
        function IconKeyComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconKeyComponent;
    }(core.IconBase));
    IconKeyComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-key',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.5 8c0 2.507-1.993 4.5-4.5 4.5A4.472 4.472 0 017.5 8c0-2.507 1.993-4.5 4.5-4.5 2.507 0 4.5 1.993 4.5 4.5zm-3-.023c0 .841-.639 1.523-1.495 1.523-.856 0-1.505-.682-1.505-1.523 0-.84.649-1.477 1.505-1.477.856 0 1.495.636 1.495 1.477zm-4 3.777V18.8l2.5 2.5 2.5-2.5v-7.046M12 14.5h2.5m-2.507 2H14.5\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24.75 12c0 3.76-2.99 6.75-6.75 6.75s-6.75-2.99-6.75-6.75S14.24 5.25 18 5.25s6.75 2.99 6.75 6.75zm-4.5-.034c0 1.261-.959 2.284-2.242 2.284-1.284 0-2.258-1.023-2.258-2.284 0-1.262.974-2.216 2.258-2.216s2.242.954 2.242 2.216zm-6 5.665V28.2L18 31.95l3.75-3.75V17.63M18 21.75h3.75m-3.76 3h3.76\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconKeyComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconKeyModule = /** @class */ (function () {
        function IconKeyModule() {
        }
        return IconKeyModule;
    }());
    IconKeyModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconKeyComponent],
                    exports: [IconKeyComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPieComponent = /** @class */ (function (_super) {
        __extends(IconPieComponent, _super);
        function IconPieComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconPieComponent;
    }(core.IconBase));
    IconPieComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-pie',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.5 12.588V19.5l-13-.02v-7.04m0 3.05h13m-13 2h13M16.47 11a1.51 1.51 0 103 0V7.51H4.5V11a1.41 1.41 0 001.45 1.5c.775.024 1.432-.696 1.49-1.47A1.46 1.46 0 019 9.51c.806-.006 1.465.684 1.47 1.49 0 .014 0-.013 0 0a1.51 1.51 0 103 0c-.096-.828.498-1.498 1.327-1.593a1.51 1.51 0 011.673 1.326V11zM7.5 7.51V4m9 3.51V4m-3 3.51V4m-3 3.51V4\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M27.75 18.881V29.25l-19.5-.028V18.66m0 4.574h19.5m-19.5 3h19.5M24.705 16.5a2.265 2.265 0 104.5 0v-5.235H6.75V16.5a2.116 2.116 0 002.175 2.25c1.162.036 2.148-1.044 2.235-2.205a2.19 2.19 0 012.34-2.28c1.209-.01 2.197 1.026 2.205 2.235 0 .02 0-.02 0 0a2.266 2.266 0 004.5.52 2.158 2.158 0 000-.52c-.144-1.242.747-2.247 1.99-2.39a2.265 2.265 0 012.51 1.989v.4zM11.25 11.265V6m13.5 5.265V6m-4.5 5.265V6m-4.5 5.265V6\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconPieComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconPieModule = /** @class */ (function () {
        function IconPieModule() {
        }
        return IconPieModule;
    }());
    IconPieModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconPieComponent],
                    exports: [IconPieComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoUsersComponent = /** @class */ (function (_super) {
        __extends(IconTwoUsersComponent, _super);
        function IconTwoUsersComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconTwoUsersComponent;
    }(core.IconBase));
    IconTwoUsersComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-two-users',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.07 12.68c-2.9 1.1-4.57 4.52-4.57 7.82h13c0-3.3-1.692-6.7-4.592-7.8M11 6.5c1.657 0 3 1.567 3 3.5s-1.343 3.5-3 3.5-3-1.567-3-3.5 1.343-3.5 3-3.5zm0 0c1.657 0 3 1.567 3 3.5s-1.343 3.5-3 3.5-3-1.567-3-3.5 1.343-3.5 3-3.5zm0 0c0-1.9 1.3-3 3-3s3 1.6 3 3.5-1.3 3.5-3 3.5m3 7h3.5c0-3.3-1.731-6.655-4.631-7.755\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.605 19.02C9.255 20.67 6.75 25.8 6.75 30.75h19.5c0-4.95-2.538-10.05-6.888-11.7M16.5 9.75c2.485 0 4.5 2.35 4.5 5.25 0 2.899-2.015 5.25-4.5 5.25-2.486 0-4.5-2.351-4.5-5.25 0-2.9 2.014-5.25 4.5-5.25zm0 0c2.485 0 4.5 2.35 4.5 5.25 0 2.899-2.015 5.25-4.5 5.25-2.486 0-4.5-2.351-4.5-5.25 0-2.9 2.014-5.25 4.5-5.25zm0 0c0-2.85 1.95-4.5 4.5-4.5s4.5 2.4 4.5 5.25-1.95 5.25-4.5 5.25m4.5 10.5h5.25c0-4.95-2.596-9.983-6.947-11.633\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconTwoUsersComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconTwoUsersModule = /** @class */ (function () {
        function IconTwoUsersModule() {
        }
        return IconTwoUsersModule;
    }());
    IconTwoUsersModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconTwoUsersComponent],
                    exports: [IconTwoUsersComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserComponent = /** @class */ (function (_super) {
        __extends(IconUserComponent, _super);
        function IconUserComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserComponent;
    }(core.IconBase));
    IconUserComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.084 11.697C7.144 12.757 5.5 16.25 5.5 19.5h13c0-3.27-1.648-6.753-4.588-7.803M12 5.5c1.657 0 3 1.567 3 3.5s-1.343 3.5-3 3.5S9 10.933 9 9s1.343-3.5 3-3.5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.126 17.546c-4.41 1.59-6.876 6.829-6.876 11.704h19.5c0-4.905-2.472-10.13-6.882-11.704M18 8.25c2.485 0 4.5 2.35 4.5 5.25 0 2.899-2.015 5.25-4.5 5.25-2.486 0-4.5-2.351-4.5-5.25 0-2.9 2.014-5.25 4.5-5.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserModule = /** @class */ (function () {
        function IconUserModule() {
        }
        return IconUserModule;
    }());
    IconUserModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserComponent],
                    exports: [IconUserComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserChangeComponent = /** @class */ (function (_super) {
        __extends(IconUserChangeComponent, _super);
        function IconUserChangeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserChangeComponent;
    }(core.IconBase));
    IconUserChangeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-change',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M4.918 6.535c-1.849.84-2.416 2.828-2.416 4.969h8.002c0-2.15-.577-4.136-2.418-4.976m7.825 9.994c-1.606.953-2.409 2.988-2.409 4.981h8.002c0-2.003-.81-4.032-2.415-4.98M17.5 12.5c1.147 0 2 1.162 2 2.5 0 .563-.151 1.095-.411 1.522-.359.588-.925.978-1.589.978-.664 0-1.23-.39-1.589-.978A2.943 2.943 0 0115.5 15c0-1.338.853-2.5 2-2.5zM4 16.138l2.5-2.47L9 16.132m11-8.297l-2.506 2.471L15 7.841m2.494 2.465c.39-4.894-2.114-7.802-5.502-7.791M6.5 2.5c1.147 0 2 1.162 2 2.5 0 .478-.108.933-.3 1.321-.346.7-.962 1.18-1.7 1.18-.737 0-1.354-.48-1.7-1.178A2.982 2.982 0 014.5 5c0-1.338.853-2.5 2-2.5zm0 11.169c-.388 4.894 2.114 7.845 5.502 7.833\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.376 9.802c-2.772 1.262-3.622 4.242-3.622 7.454h12.001c0-3.225-.865-6.204-3.627-7.464m11.739 14.991c-2.41 1.43-3.614 4.482-3.614 7.472h12.003c0-3.005-1.215-6.048-3.622-7.472M26.25 18.75c1.72 0 3 1.743 3 3.75 0 .845-.227 1.643-.616 2.283-.539.882-1.388 1.467-2.384 1.467s-1.845-.585-2.384-1.467a4.415 4.415 0 01-.616-2.283c0-2.007 1.28-3.75 3-3.75zM6 24.208l3.75-3.705 3.75 3.696M30 11.753l-3.759 3.706-3.741-3.697m3.741 3.697c.584-7.341-3.17-11.703-8.253-11.687M9.75 3.75c1.72 0 3 1.743 3 3.75 0 .717-.162 1.4-.45 1.982-.519 1.048-1.443 1.768-2.55 1.768-1.105 0-2.031-.718-2.55-1.765A4.472 4.472 0 016.75 7.5c0-2.007 1.28-3.75 3-3.75zm0 16.753c-.582 7.341 3.171 11.768 8.253 11.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserChangeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserChangeModule = /** @class */ (function () {
        function IconUserChangeModule() {
        }
        return IconUserChangeModule;
    }());
    IconUserChangeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserChangeComponent],
                    exports: [IconUserChangeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserGroupRoundTableComponent = /** @class */ (function (_super) {
        __extends(IconUserGroupRoundTableComponent, _super);
        function IconUserGroupRoundTableComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserGroupRoundTableComponent;
    }(core.IconBase));
    IconUserGroupRoundTableComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-group-round-table',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M20.5 16.5c0 1.657-4.029 3-9 3s-9-1.343-9-3 4.029-3 9-3 9 1.343 9 3zm-7-8.5c0 1.381-.896 2.5-2 2.5s-2-1.119-2-2.5.896-2.5 2-2.5 2 1.119 2 2.5zm0 0c0 1.381-.896 2.5-2 2.5s-2-1.119-2-2.5.896-2.5 2-2.5 2 1.119 2 2.5zm5 1c0 1.381-.896 2.5-2 2.5s-2-1.119-2-2.5.896-2.5 2-2.5 2 1.119 2 2.5zm-10 0c0 1.381-.896 2.5-2 2.5s-2-1.119-2-2.5.896-2.5 2-2.5 2 1.119 2 2.5zm5.963 4.67c-.13-1.663-.8-3.05-1.722-3.724m-2.482 0c-.922.675-1.592 2.061-1.722 3.724m1.722-3.724c-.922.675-1.592 2.061-1.722 3.724m.264-1.443c-.285-.543-.646-.985-1.056-1.286m-2.49.002c-1.007.734-1.716 2.32-1.748 4.18m15.987.003c-.03-1.862-.738-3.451-1.748-4.185m-2.492 0c-.412.299-.771.74-1.056 1.285\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M30.75 24.75c0 2.485-6.044 4.5-13.5 4.5-7.457 0-13.5-2.015-13.5-4.5s6.043-4.5 13.5-4.5c7.456 0 13.5 2.015 13.5 4.5zM20.25 12c0 2.072-1.344 3.75-3 3.75s-3-1.678-3-3.75 1.344-3.75 3-3.75 3 1.678 3 3.75zm0 0c0 2.072-1.344 3.75-3 3.75s-3-1.678-3-3.75 1.344-3.75 3-3.75 3 1.678 3 3.75zm7.5 1.5c0 2.072-1.344 3.75-3 3.75s-3-1.678-3-3.75 1.344-3.75 3-3.75 3 1.678 3 3.75zm-15 0c0 2.072-1.344 3.75-3 3.75s-3-1.678-3-3.75 1.344-3.75 3-3.75 3 1.678 3 3.75zm8.944 7.005c-.193-2.495-1.2-4.574-2.583-5.586m-3.723 0c-1.383 1.013-2.388 3.092-2.583 5.586m2.583-5.586c-1.383 1.013-2.388 3.092-2.583 5.586m.397-2.164c-.428-.816-.969-1.477-1.584-1.929m-3.735.002c-1.51 1.101-2.574 3.48-2.622 6.272m23.98.003c-.046-2.793-1.107-5.177-2.622-6.277m-3.738 0c-.618.448-1.157 1.11-1.584 1.927\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserGroupRoundTableComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserGroupRoundTableModule = /** @class */ (function () {
        function IconUserGroupRoundTableModule() {
        }
        return IconUserGroupRoundTableModule;
    }());
    IconUserGroupRoundTableModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserGroupRoundTableComponent],
                    exports: [IconUserGroupRoundTableComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserGroupRowComponent = /** @class */ (function (_super) {
        __extends(IconUserGroupRowComponent, _super);
        function IconUserGroupRowComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserGroupRowComponent;
    }(core.IconBase));
    IconUserGroupRowComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-group-row',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.53 8.121c-.417-.386-.94-.623-1.53-.623-1.424 0-2.5 1.334-2.5 3.002 0 1.667 1.076 3 2.5 3 1.314 0 2.32-1.138 2.47-2.622m0 0c.013-.125.03-.249.03-.378 0-.978-.376-1.832-.97-2.379m.134 4.632c2.52 1.446 3.626 3.796 3.836 6.747h-11c.05-3.026 1.4-5.367 3.817-6.76m7.213-6.618c-.418-.386-.94-.623-1.53-.623-1.314 0-2.319 1.138-2.47 2.622.593.547.97 1.401.97 2.38 0 .13-.018.252-.03.377.417.386.94.623 1.53.623 1.313 0 2.32-1.138 2.47-2.623M16 3.5c-1.313 0-2.319 1.139-2.47 2.623.594.547.97 1.401.97 2.379 0 .129-.018.252-.03.377.418.386.941.623 1.53.623 1.425 0 2.5-1.333 2.5-3 0-1.668-1.075-3.002-2.5-3.002zm-1.53 5.38c.013-.126.03-.249.03-.378 0-.978-.376-1.832-.97-2.379m.136 4.63c2.52 1.446 3.624 3.797 3.834 6.748h-4.324m4.494-8.744c2.52 1.447 3.62 3.793 3.83 6.744h-4.31\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M14.296 12.182c-.627-.58-1.411-.935-2.296-.935-2.136 0-3.75 2.001-3.75 4.503 0 2.5 1.614 4.5 3.75 4.5 1.97 0 3.48-1.707 3.705-3.933m0 0c.02-.187.045-.373.045-.566 0-1.467-.564-2.748-1.454-3.569m.2 6.947c3.78 2.17 5.44 5.694 5.754 10.12H3.75c.075-4.538 2.099-8.05 5.726-10.138m10.82-9.928c-.628-.579-1.412-.934-2.296-.934-1.97 0-3.478 1.707-3.705 3.933.89.82 1.455 2.101 1.455 3.568 0 .195-.027.38-.046.567.627.58 1.411.935 2.296.935 1.97 0 3.479-1.707 3.704-3.935M24 5.248c-1.97 0-3.479 1.709-3.705 3.935.891.82 1.455 2.101 1.455 3.569 0 .193-.027.377-.045.565.627.579 1.412.934 2.295.934 2.137 0 3.75-1.999 3.75-4.5S26.137 5.25 24 5.25zm-2.295 8.07c.02-.188.045-.372.045-.566 0-1.467-.564-2.748-1.454-3.568m.203 6.944c3.78 2.169 5.436 5.695 5.751 10.122h-6.486m6.74-13.116c3.78 2.17 5.43 5.69 5.746 10.116h-6.465\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserGroupRowComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserGroupRowModule = /** @class */ (function () {
        function IconUserGroupRowModule() {
        }
        return IconUserGroupRowModule;
    }());
    IconUserGroupRowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserGroupRowComponent],
                    exports: [IconUserGroupRowComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserHatComponent = /** @class */ (function (_super) {
        __extends(IconUserHatComponent, _super);
        function IconUserHatComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserHatComponent;
    }(core.IconBase));
    IconUserHatComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-hat',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.25 10.5h2.5L7.5 8.25 6.25 10.5zM7.5 8.25V5m0 0L12 3.5 16.5 5 12 6.495 7.5 5zm2 .65v2.1c1.28 1.18 3.359 1.488 5 0V5.646M9.63 7.853A3.887 3.887 0 009 9.998c0 1.91 1.321 3.5 2.991 3.5 1.671 0 3.01-1.59 3.01-3.5 0-.793-.233-1.53-.622-2.123m-4.244 4.87c-2.72.993-4.635 3.897-4.635 7.749l13 .005c0-3.532-1.817-6.688-4.636-7.764\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.375 15.75h3.75l-1.875-3.375-1.875 3.375zm1.875-3.375V7.5m0 0L18 5.25l6.75 2.25L18 9.742 11.25 7.5zm3 .976v3.149c1.92 1.77 5.038 2.232 7.5 0V8.469m-7.304 3.31c-.594.894-.945 2.016-.945 3.22 0 2.864 1.981 5.25 4.486 5.25 2.507 0 4.514-2.386 4.514-5.25 0-1.19-.348-2.296-.932-3.184m-6.366 7.305c-4.08 1.488-6.953 5.844-6.953 11.622l19.5.007c0-5.298-2.725-10.032-6.954-11.646\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserHatComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserHatModule = /** @class */ (function () {
        function IconUserHatModule() {
        }
        return IconUserHatModule;
    }());
    IconUserHatModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserHatComponent],
                    exports: [IconUserHatComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserHeadsetComponent = /** @class */ (function (_super) {
        __extends(IconUserHeadsetComponent, _super);
        function IconUserHeadsetComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserHeadsetComponent;
    }(core.IconBase));
    IconUserHeadsetComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-headset',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15 10c0 1.941-1.325 3.5-3 3.5S9 11.941 9 10s1.325-3.5 3-3.5 3 1.559 3 3.5zm-4.898 2.72C7.255 13.974 5.5 17.033 5.5 20.5h13c0-3.053-1.412-6.344-4.601-7.78M8.5 11.5H7c-.242 0-.5-.225-.5-.5V9.006c0-.273.253-.506.5-.506h1.5v3zm3.5 0h5c.293 0 .5-.179.5-.5V9c0-.282-.155-.5-.5-.5h-1.5v3M7.487 8.438c1.088-5.332 8.125-5.104 8.934.021\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M22.5 15c0 2.912-1.988 5.25-4.5 5.25s-4.5-2.338-4.5-5.25 1.988-5.25 4.5-5.25 4.5 2.338 4.5 5.25zm-7.346 4.081c-4.27 1.878-6.905 6.467-6.905 11.669h19.5c0-4.58-2.118-9.516-6.903-11.669M12.75 17.25H10.5c-.363 0-.75-.337-.75-.75v-2.991c0-.41.38-.759.75-.759h2.25v4.5zm5.25 0h7.5c.44 0 .75-.268.75-.75v-3c0-.423-.233-.75-.75-.75h-2.25v4.5m-12.02-4.593c1.632-7.998 12.188-7.656 13.401.031\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserHeadsetComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserHeadsetModule = /** @class */ (function () {
        function IconUserHeadsetModule() {
        }
        return IconUserHeadsetModule;
    }());
    IconUserHeadsetModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserHeadsetComponent],
                    exports: [IconUserHeadsetComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserKeyComponent = /** @class */ (function (_super) {
        __extends(IconUserKeyComponent, _super);
        function IconUserKeyComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserKeyComponent;
    }(core.IconBase));
    IconUserKeyComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-key',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12.5 6c0 1.914-1.272 3.5-3 3.5s-3-1.586-3-3.5 1.272-3.5 3-3.5 3 1.586 3 3.5zM7.583 8.715C4.89 10.709 3.596 13.55 3.5 17.5H10m1.38-8.76c1.245.86 2.112 1.871 2.697 2.996M19.5 15.5c0 1.672-1.328 3-3 3a2.98 2.98 0 01-3-3c0-1.672 1.328-3 3-3s3 1.328 3 3zm-2-.001a.986.986 0 01-.998 1.001.99.99 0 01-1.002-1.001.987.987 0 011.002-.999c.564 0 .998.437.998.999zm-3.945.643L10.5 19.25v2.25h2.25l3.042-3\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M18.75 9c0 2.871-1.908 5.25-4.5 5.25S9.75 11.871 9.75 9s1.908-5.25 4.5-5.25 4.5 2.379 4.5 5.25zm-7.375 4.072c-4.04 2.991-5.98 7.254-6.124 13.178H15m2.07-13.141c1.867 1.29 3.168 2.808 4.045 4.495m8.134 5.646c0 2.508-1.992 4.5-4.5 4.5a4.471 4.471 0 01-4.5-4.5c0-2.508 1.992-4.5 4.5-4.5s4.5 1.992 4.5 4.5zm-3-.002c0 .843-.651 1.502-1.497 1.502a1.484 1.484 0 01-1.503-1.502c0-.843.657-1.498 1.503-1.498.846 0 1.497.655 1.497 1.498zm-5.918.964l-4.582 4.662v3.375h3.375l4.563-4.5\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserKeyComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserKeyModule = /** @class */ (function () {
        function IconUserKeyModule() {
        }
        return IconUserKeyModule;
    }());
    IconUserKeyModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserKeyComponent],
                    exports: [IconUserKeyComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserPlusComponent = /** @class */ (function (_super) {
        __extends(IconUserPlusComponent, _super);
        function IconUserPlusComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserPlusComponent;
    }(core.IconBase));
    IconUserPlusComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-plus',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.084 11.697C6.144 12.757 4.5 16.25 4.5 19.5H14m3-3.5c-.73-1.967-2.21-3.632-4.088-4.303M18.5 17v5M16 19.5h5m-10-14c1.657 0 3 1.567 3 3.5s-1.343 3.5-3 3.5S8 10.933 8 9s1.343-3.5 3-3.5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.626 17.546c-4.41 1.59-6.876 6.829-6.876 11.704H21M25.5 24c-1.095-2.95-3.315-5.448-6.132-6.455M27.75 25.5V33M24 29.25h7.5m-15-21c2.485 0 4.5 2.35 4.5 5.25s-2.015 5.25-4.5 5.25c-2.486 0-4.5-2.35-4.5-5.25s2.014-5.25 4.5-5.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserPlusComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserPlusModule = /** @class */ (function () {
        function IconUserPlusModule() {
        }
        return IconUserPlusModule;
    }());
    IconUserPlusModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserPlusComponent],
                    exports: [IconUserPlusComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserTieComponent = /** @class */ (function (_super) {
        __extends(IconUserTieComponent, _super);
        function IconUserTieComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconUserTieComponent;
    }(core.IconBase));
    IconUserTieComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-user-tie',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.084 11.697C7.144 12.757 5.5 16.25 5.5 19.5h13c0-3.27-1.648-6.753-4.588-7.803M12 5.5c1.657 0 3 1.567 3 3.5s-1.343 3.5-3 3.5S9 10.933 9 9s1.343-3.5 3-3.5zm1.912 6.197L12 14l1 4-1 1-1-1 1-4-1.916-2.303\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15.126 17.546c-4.41 1.59-6.876 6.83-6.876 11.704h19.5c0-4.906-2.472-10.129-6.882-11.704M18 8.25c2.485 0 4.5 2.35 4.5 5.25s-2.015 5.25-4.5 5.25c-2.486 0-4.5-2.35-4.5-5.25s2.014-5.25 4.5-5.25zm2.868 9.296L18 21l1.5 6-1.5 1.5-1.5-1.5 1.5-6-2.874-3.454\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconUserTieComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconUserTieModule = /** @class */ (function () {
        function IconUserTieModule() {
        }
        return IconUserTieModule;
    }());
    IconUserTieModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconUserTieComponent],
                    exports: [IconUserTieComponent],
                },] }
    ];

    var modules = [
        IconEmployeesSbbModule,
        IconUserGroupModule,
        IconAvatarPoliceModule,
        IconKeyModule,
        IconPieModule,
        IconTwoUsersModule,
        IconUserModule,
        IconUserChangeModule,
        IconUserGroupRoundTableModule,
        IconUserGroupRowModule,
        IconUserHatModule,
        IconUserHeadsetModule,
        IconUserKeyModule,
        IconUserPlusModule,
        IconUserTieModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionUserModule = /** @class */ (function () {
        function IconCollectionUserModule() {
        }
        return IconCollectionUserModule;
    }());
    IconCollectionUserModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconAvatarPoliceComponent = IconAvatarPoliceComponent;
    exports.IconAvatarPoliceModule = IconAvatarPoliceModule;
    exports.IconCollectionUserModule = IconCollectionUserModule;
    exports.IconEmployeesSbbComponent = IconEmployeesSbbComponent;
    exports.IconEmployeesSbbModule = IconEmployeesSbbModule;
    exports.IconKeyComponent = IconKeyComponent;
    exports.IconKeyModule = IconKeyModule;
    exports.IconPieComponent = IconPieComponent;
    exports.IconPieModule = IconPieModule;
    exports.IconTwoUsersComponent = IconTwoUsersComponent;
    exports.IconTwoUsersModule = IconTwoUsersModule;
    exports.IconUserChangeComponent = IconUserChangeComponent;
    exports.IconUserChangeModule = IconUserChangeModule;
    exports.IconUserComponent = IconUserComponent;
    exports.IconUserGroupComponent = IconUserGroupComponent;
    exports.IconUserGroupModule = IconUserGroupModule;
    exports.IconUserGroupRoundTableComponent = IconUserGroupRoundTableComponent;
    exports.IconUserGroupRoundTableModule = IconUserGroupRoundTableModule;
    exports.IconUserGroupRowComponent = IconUserGroupRowComponent;
    exports.IconUserGroupRowModule = IconUserGroupRowModule;
    exports.IconUserHatComponent = IconUserHatComponent;
    exports.IconUserHatModule = IconUserHatModule;
    exports.IconUserHeadsetComponent = IconUserHeadsetComponent;
    exports.IconUserHeadsetModule = IconUserHeadsetModule;
    exports.IconUserKeyComponent = IconUserKeyComponent;
    exports.IconUserKeyModule = IconUserKeyModule;
    exports.IconUserModule = IconUserModule;
    exports.IconUserPlusComponent = IconUserPlusComponent;
    exports.IconUserPlusModule = IconUserPlusModule;
    exports.IconUserTieComponent = IconUserTieComponent;
    exports.IconUserTieModule = IconUserTieModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-user.umd.js.map
