(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@sbb-esta/angular-icons/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-icons/weather', ['exports', '@angular/common', '@angular/core', '@sbb-esta/angular-icons/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularIcons = global.sbbEsta.angularIcons || {}, global.sbbEsta.angularIcons.weather = {}), global.ng.common, global.ng.core, global.ng.angularIcons.core));
}(this, (function (exports, common, core$1, core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from, pack) {
        if (pack || arguments.length === 2)
            for (var i = 0, l = from.length, ar; i < l; i++) {
                if (ar || !(i in from)) {
                    if (!ar)
                        ar = Array.prototype.slice.call(from, 0, i);
                    ar[i] = from[i];
                }
            }
        return to.concat(ar || from);
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, state, kind, f) {
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a getter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot read private member from an object whose class did not declare it");
        return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
    }
    function __classPrivateFieldSet(receiver, state, value, kind, f) {
        if (kind === "m")
            throw new TypeError("Private method is not writable");
        if (kind === "a" && !f)
            throw new TypeError("Private accessor was defined without a setter");
        if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
            throw new TypeError("Cannot write private member to an object whose class did not declare it");
        return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
    }

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudComponent = /** @class */ (function (_super) {
        __extends(IconCloudComponent, _super);
        function IconCloudComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudComponent;
    }(core.IconBase));
    IconCloudComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.168 10.22c-2.141 0-2.567 4.28.8 4.28h7c3.32 0 3.2-4.28.7-4.18 1.1-3.683-3.8-5.375-5.3-1.991-1.322-1.077-3.433-.043-3.2 1.89z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.751 15.33c-3.211 0-3.849 6.42 1.2 6.42h10.5c4.982 0 4.8-6.42 1.05-6.27 1.65-5.525-5.7-8.063-7.95-2.987-1.981-1.615-5.148-.064-4.8 2.837z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudModule = /** @class */ (function () {
        function IconCloudModule() {
        }
        return IconCloudModule;
    }());
    IconCloudModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudComponent],
                    exports: [IconCloudComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudDenseFogComponent = /** @class */ (function (_super) {
        __extends(IconCloudDenseFogComponent, _super);
        function IconCloudDenseFogComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudDenseFogComponent;
    }(core.IconBase));
    IconCloudDenseFogComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-dense-fog',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.621 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM5 16.5h12.993H5zm0 4h12.993H5zm1-2h10.993H6z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.932 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm-3.3 9.45h19.49H7.5zm0 6h19.49H7.5zm1.5-3h16.49H9z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudDenseFogComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudDenseFogModule = /** @class */ (function () {
        function IconCloudDenseFogModule() {
        }
        return IconCloudDenseFogModule;
    }());
    IconCloudDenseFogModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudDenseFogComponent],
                    exports: [IconCloudDenseFogComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudDropsComponent = /** @class */ (function (_super) {
        __extends(IconCloudDropsComponent, _super);
        function IconCloudDropsComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudDropsComponent;
    }(core.IconBase));
    IconCloudDropsComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-drops',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.203 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm.3 5.8S7 17 7 17.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-2 2s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-4 0S9 19 9 19.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.805 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm.45 8.7s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-3 3s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-6 0s-.75 1.5-.75 2.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudDropsComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudDropsModule = /** @class */ (function () {
        function IconCloudDropsModule() {
        }
        return IconCloudDropsModule;
    }());
    IconCloudDropsModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudDropsComponent],
                    exports: [IconCloudDropsComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudDropsMoonComponent = /** @class */ (function (_super) {
        __extends(IconCloudDropsMoonComponent, _super);
        function IconCloudDropsMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudDropsMoonComponent;
    }(core.IconBase));
    IconCloudDropsMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-drops-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.125 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M6.5 16S6 17 6 17.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm4 0s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-2 2s-.5 1-.5 1.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5zm-4 0S8 19 8 19.5a.5.5 0 001 0c0-.5-.5-1.5-.5-1.5z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.688 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M9.75 24S9 25.5 9 26.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0S15 25.5 15 26.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm6 0S21 25.5 21 26.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-3 3S18 28.5 18 29.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25zm-6 0S12 28.5 12 29.25a.75.75 0 001.5 0c0-.75-.75-2.25-.75-2.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudDropsMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudDropsMoonModule = /** @class */ (function () {
        function IconCloudDropsMoonModule() {
        }
        return IconCloudDropsMoonModule;
    }());
    IconCloudDropsMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudDropsMoonComponent],
                    exports: [IconCloudDropsMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudFogComponent = /** @class */ (function (_super) {
        __extends(IconCloudFogComponent, _super);
        function IconCloudFogComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudFogComponent;
    }(core.IconBase));
    IconCloudFogComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-fog',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.621 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM5 16.5h12.993H5zm1 2h10.993H6z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.932 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm-3.3 9.45h19.49H7.5zm1.5 3h16.49H9z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudFogComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudFogModule = /** @class */ (function () {
        function IconCloudFogModule() {
        }
        return IconCloudFogModule;
    }());
    IconCloudFogModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudFogComponent],
                    exports: [IconCloudFogComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudIceComponent = /** @class */ (function (_super) {
        __extends(IconCloudIceComponent, _super);
        function IconCloudIceComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudIceComponent;
    }(core.IconBase));
    IconCloudIceComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-ice',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.203 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M6 17v-1h1v1H6zm2 0v-1h1v1H8zm-2 2v-1h1v1H6zm1-1v-1h1v1H7zm1 1v-1h1v1H8zm2 2v-1h1v1h-1zm2 0v-1h1v1h-1zm-2 2v-1h1v1h-1zm1-1v-1h1v1h-1zm1 1v-1h1v1h-1zm2-6v-1h1v1h-1zm2 0v-1h1v1h-1zm-2 2v-1h1v1h-1zm1-1v-1h1v1h-1zm1 1v-1h1v1h-1z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.805 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85z\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M9 25.5V24h1.5v1.5H9zm3 0V24h1.5v1.5H12zm-3 3V27h1.5v1.5H9zm1.5-1.5v-1.5H12V27h-1.5zm1.5 1.5V27h1.5v1.5H12zm3 3V30h1.5v1.5H15zm3 0V30h1.5v1.5H18zm-3 3V33h1.5v1.5H15zm1.5-1.5v-1.5H18V33h-1.5zm1.5 1.5V33h1.5v1.5H18zm3-9V24h1.5v1.5H21zm3 0V24h1.5v1.5H24zm-3 3V27h1.5v1.5H21zm1.5-1.5v-1.5H24V27h-1.5zm1.5 1.5V27h1.5v1.5H24z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudIceComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudIceModule = /** @class */ (function () {
        function IconCloudIceModule() {
        }
        return IconCloudIceModule;
    }());
    IconCloudIceModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudIceComponent],
                    exports: [IconCloudIceComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLightningComponent = /** @class */ (function (_super) {
        __extends(IconCloudLightningComponent, _super);
        function IconCloudLightningComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudLightningComponent;
    }(core.IconBase));
    IconCloudLightningComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-lightning',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15 14.5c3.228 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9-2.141 0-2.567 4.3.8 4.3m5-1L10.5 16h2.169l-3.33 2.715L11 16.5H8.5l3-3H13z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M22.5 21.75c4.842 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.148-.063-4.8 2.85-3.212 0-3.85 6.45 1.2 6.45m7.5-1.5L15.75 24h3.253l-4.995 4.073L16.5 24.75h-3.75l4.5-4.5h2.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudLightningComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLightningModule = /** @class */ (function () {
        function IconCloudLightningModule() {
        }
        return IconCloudLightningModule;
    }());
    IconCloudLightningModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudLightningComponent],
                    exports: [IconCloudLightningComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLightningMoonComponent = /** @class */ (function (_super) {
        __extends(IconCloudLightningMoonComponent, _super);
        function IconCloudLightningMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudLightningMoonComponent;
    }(core.IconBase));
    IconCloudLightningMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-lightning-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15 14.5c3.313 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9-2.141 0-2.567 4.3.8 4.3m9.375-2.996C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M13 13.5L10.5 16h2.169l-3.33 2.715L11 16.5H8.5l3-3H13z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M22.5 21.75c4.97 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.148-.063-4.8 2.85-3.212 0-3.85 6.45 1.2 6.45m14.063-4.493c1.891.594 6.202-.444 7.687-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M19.5 20.25L15.75 24h3.253l-4.995 4.073L16.5 24.75h-3.75l4.5-4.5h2.25z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudLightningMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLightningMoonModule = /** @class */ (function () {
        function IconCloudLightningMoonModule() {
        }
        return IconCloudLightningMoonModule;
    }());
    IconCloudLightningMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudLightningMoonComponent],
                    exports: [IconCloudLightningMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLittleSnowMoonComponent = /** @class */ (function (_super) {
        __extends(IconCloudLittleSnowMoonComponent, _super);
        function IconCloudLittleSnowMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudLittleSnowMoonComponent;
    }(core.IconBase));
    IconCloudLittleSnowMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-little-snow-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M10.5 17a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M15.75 25.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudLittleSnowMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLittleSnowMoonModule = /** @class */ (function () {
        function IconCloudLittleSnowMoonModule() {
        }
        return IconCloudLittleSnowMoonModule;
    }());
    IconCloudLittleSnowMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudLittleSnowMoonComponent],
                    exports: [IconCloudLittleSnowMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLittleSnowSunComponent = /** @class */ (function (_super) {
        __extends(IconCloudLittleSnowSunComponent, _super);
        function IconCloudLittleSnowSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudLittleSnowSunComponent;
    }(core.IconBase));
    IconCloudLittleSnowSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-little-snow-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414M10.5 17a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121M15.75 25.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudLittleSnowSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudLittleSnowSunModule = /** @class */ (function () {
        function IconCloudLittleSnowSunModule() {
        }
        return IconCloudLittleSnowSunModule;
    }());
    IconCloudLittleSnowSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudLittleSnowSunComponent],
                    exports: [IconCloudLittleSnowSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudMoonComponent = /** @class */ (function (_super) {
        __extends(IconCloudMoonComponent, _super);
        function IconCloudMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudMoonComponent;
    }(core.IconBase));
    IconCloudMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.262 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-.953.444-1.913 1-2.528 3.034\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.893 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.43.666-2.87 1.498-3.792 4.55\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudMoonModule = /** @class */ (function () {
        function IconCloudMoonModule() {
        }
        return IconCloudMoonModule;
    }());
    IconCloudMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudMoonComponent],
                    exports: [IconCloudMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainComponent = /** @class */ (function (_super) {
        __extends(IconCloudRainComponent, _super);
        function IconCloudRainComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudRainComponent;
    }(core.IconBase));
    IconCloudRainComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-rain',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.55 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM8.5 16l-1 2 1-2zm6 0l-1 2 1-2zm-4 0l-2 4 2-4zm2.05 0l-2 4 2-4z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.825 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm1.95 8.7l-1.5 3 1.5-3zm9 0l-1.5 3 1.5-3zm-6 0l-3 6 3-6zm3.075 0l-3 6 3-6z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudRainComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainModule = /** @class */ (function () {
        function IconCloudRainModule() {
        }
        return IconCloudRainModule;
    }());
    IconCloudRainModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudRainComponent],
                    exports: [IconCloudRainComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSnowComponent = /** @class */ (function (_super) {
        __extends(IconCloudRainSnowComponent, _super);
        function IconCloudRainSnowComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudRainSnowComponent;
    }(core.IconBase));
    IconCloudRainSnowComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-rain-snow',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-.232-1.942 1.88-2.982 3.2-1.9 1.5-3.4 6.4-1.7 5.3 2 2.5-.1 2.536 4.2-.7 4.2H8c-3.367 0-2.94-4.3-.8-4.3zM17.5 17a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm2 3a.5.5 0 11-1 0 .5.5 0 011 0zm-9-4l-1 2 1-2zm4 0l-1 2 1-2zm-2 0l-2 4 2-4z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-.348-2.913 2.819-4.473 4.8-2.85 2.25-5.1 9.6-2.55 7.95 3 3.75-.15 3.804 6.3-1.05 6.3H12c-5.05 0-4.411-6.45-1.2-6.45zm15.45 10.2a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-13.5-6l-1.5 3 1.5-3zm6 0l-1.5 3 1.5-3zm-3 0l-3 6 3-6z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudRainSnowComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSnowModule = /** @class */ (function () {
        function IconCloudRainSnowModule() {
        }
        return IconCloudRainSnowModule;
    }());
    IconCloudRainSnowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudRainSnowComponent],
                    exports: [IconCloudRainSnowComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSnowMoonComponent = /** @class */ (function (_super) {
        __extends(IconCloudRainSnowMoonComponent, _super);
        function IconCloudRainSnowMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudRainSnowMoonComponent;
    }(core.IconBase));
    IconCloudRainSnowMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-rain-snow-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M6.5 16l-1 2m1.7-7.8c-2.14 0-2.567 4.3.8 4.3h7c3.477 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm3.3 5.8l-1 2m7.875-6.496C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M8.5 16l-2 4m7-3a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.75 24l-1.5 3m2.55-11.7c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.216 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm4.95 8.7l-1.5 3m11.813-9.743c1.891.594 6.202-.444 7.687-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M12.75 24l-3 6m10.5-4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudRainSnowMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSnowMoonModule = /** @class */ (function () {
        function IconCloudRainSnowMoonModule() {
        }
        return IconCloudRainSnowMoonModule;
    }());
    IconCloudRainSnowMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudRainSnowMoonComponent],
                    exports: [IconCloudRainSnowMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSnowSunComponent = /** @class */ (function (_super) {
        __extends(IconCloudRainSnowSunComponent, _super);
        function IconCloudRainSnowSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudRainSnowSunComponent;
    }(core.IconBase));
    IconCloudRainSnowSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-rain-snow-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414M6.5 16l-1 2m5-2l-1 2m-1-2l-2 4m7-3a.5.5 0 11-1 0 .5.5 0 011 0zm4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-2 3a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121M9.75 24l-1.5 3m7.5-3l-1.5 3m-1.5-3l-3 6m10.5-4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudRainSnowSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSnowSunModule = /** @class */ (function () {
        function IconCloudRainSnowSunModule() {
        }
        return IconCloudRainSnowSunModule;
    }());
    IconCloudRainSnowSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudRainSnowSunComponent],
                    exports: [IconCloudRainSnowSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSunComponent = /** @class */ (function (_super) {
        __extends(IconCloudRainSunComponent, _super);
        function IconCloudRainSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudRainSunComponent;
    }(core.IconBase));
    IconCloudRainSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-rain-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.35 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414M9.5 16l-1 2m7-2l-1 2m-3-2l-2 4m4.05-4l-2 4\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.025 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121M14.25 24l-1.5 3m10.5-3l-1.5 3m-4.5-3l-3 6m6.075-6l-3 6\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudRainSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudRainSunModule = /** @class */ (function () {
        function IconCloudRainSunModule() {
        }
        return IconCloudRainSunModule;
    }());
    IconCloudRainSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudRainSunComponent],
                    exports: [IconCloudRainSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowflakeComponent = /** @class */ (function (_super) {
        __extends(IconCloudSnowflakeComponent, _super);
        function IconCloudSnowflakeComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSnowflakeComponent;
    }(core.IconBase));
    IconCloudSnowflakeComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-snowflake',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.02 14.384c2.145-.702 1.878-4.172-.32-4.084 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.433-.042-3.2 1.9-1.9 0-2.449 3.385-.197 4.149M11.5 11v7m-3.486-3.5h7m-5.99-2.475l4.95 4.95m-4.935 0l4.95-4.95\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24.03 21.576c3.217-1.053 2.818-6.258-.48-6.126 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.149-.063-4.8 2.85-2.85 0-3.673 5.077-.296 6.223M17.25 16.5V27m-5.229-5.25h10.5m-8.984-3.713l7.425 7.425m-7.403 0l7.425-7.425\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSnowflakeComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowflakeModule = /** @class */ (function () {
        function IconCloudSnowflakeModule() {
        }
        return IconCloudSnowflakeModule;
    }());
    IconCloudSnowflakeModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSnowflakeComponent],
                    exports: [IconCloudSnowflakeComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowflakeSunComponent = /** @class */ (function (_super) {
        __extends(IconCloudSnowflakeSunComponent, _super);
        function IconCloudSnowflakeSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSnowflakeSunComponent;
    }(core.IconBase));
    IconCloudSnowflakeSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-snowflake-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.02 14.384c2.145-.702 1.878-4.172-.32-4.084 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.433-.042-3.2 1.9-1.9 0-2.449 3.385-.197 4.149m10.336-2.962c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M11.5 11v7m-3.486-3.5h7m-5.99-2.475l4.95 4.95m-4.935 0l4.95-4.95\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24.03 21.576c3.217-1.053 2.818-6.258-.48-6.126 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.149-.063-4.8 2.85-2.85 0-3.673 5.077-.296 6.223m15.504-4.442c1.9-.528 3.242-2.234 3.242-4.33 0-2.537-1.964-4.5-4.5-4.5-1.49 0-2.783.676-3.594 1.75M17.25 16.5V27m-5.229-5.25h10.5m-8.984-3.713l7.425 7.425m-7.403 0l7.425-7.425\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSnowflakeSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowflakeSunModule = /** @class */ (function () {
        function IconCloudSnowflakeSunModule() {
        }
        return IconCloudSnowflakeSunModule;
    }());
    IconCloudSnowflakeSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSnowflakeSunComponent],
                    exports: [IconCloudSnowflakeSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowComponent = /** @class */ (function (_super) {
        __extends(IconCloudSnowComponent, _super);
        function IconCloudSnowComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSnowComponent;
    }(core.IconBase));
    IconCloudSnowComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-snow',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.234 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm6.8 8.3a.5.5 0 11-1 0 .5.5 0 011 0zm2-2a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm2 2a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.851 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zM21 27.75a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm3-3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm3 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSnowComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowModule = /** @class */ (function () {
        function IconCloudSnowModule() {
        }
        return IconCloudSnowModule;
    }());
    IconCloudSnowModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSnowComponent],
                    exports: [IconCloudSnowComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowLightningComponent = /** @class */ (function (_super) {
        __extends(IconCloudSnowLightningComponent, _super);
        function IconCloudSnowLightningComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSnowLightningComponent;
    }(core.IconBase));
    IconCloudSnowLightningComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-snow-lightning',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M15 14.5c3.178 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9-2.141 0-2.567 4.3.8 4.3m5-1L10.5 16h2.169l-3.33 2.715L11 16.5H8.5l3-3H13zm4 3a.5.5 0 11-1 0 .5.5 0 011 0zm-2 2a.5.5 0 11-1 0 .5.5 0 011 0zm-9-1a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M22.5 21.75c4.767 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.98-1.623-5.148-.063-4.8 2.85-3.212 0-3.85 6.45 1.2 6.45m7.5-1.5L15.75 24h3.253l-4.995 4.073L16.5 24.75h-3.75l4.5-4.5h2.25zm6 4.5a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-3 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zM9 26.25a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSnowLightningComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowLightningModule = /** @class */ (function () {
        function IconCloudSnowLightningModule() {
        }
        return IconCloudSnowLightningModule;
    }());
    IconCloudSnowLightningModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSnowLightningComponent],
                    exports: [IconCloudSnowLightningComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowMoonComponent = /** @class */ (function (_super) {
        __extends(IconCloudSnowMoonComponent, _super);
        function IconCloudSnowMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSnowMoonComponent;
    }(core.IconBase));
    IconCloudSnowMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-snow-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.477 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M16 16.5a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm6 2a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.216 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M24 24.75a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm9 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSnowMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowMoonModule = /** @class */ (function () {
        function IconCloudSnowMoonModule() {
        }
        return IconCloudSnowMoonModule;
    }());
    IconCloudSnowMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSnowMoonComponent],
                    exports: [IconCloudSnowMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowSunComponent = /** @class */ (function (_super) {
        __extends(IconCloudSnowSunComponent, _super);
        function IconCloudSnowSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSnowSunComponent;
    }(core.IconBase));
    IconCloudSnowSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-snow-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.395 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16 16.5a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0zm6 2a.5.5 0 11-1 0 .5.5 0 011 0zm-4 0a.5.5 0 11-1 0 .5.5 0 011 0z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.093 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75M24 24.75a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm9 3a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm-6 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSnowSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSnowSunModule = /** @class */ (function () {
        function IconCloudSnowSunModule() {
        }
        return IconCloudSnowSunModule;
    }());
    IconCloudSnowSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSnowSunComponent],
                    exports: [IconCloudSnowSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudStrongRainMoonComponent = /** @class */ (function (_super) {
        __extends(IconCloudStrongRainMoonComponent, _super);
        function IconCloudStrongRainMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudStrongRainMoonComponent;
    }(core.IconBase));
    IconCloudStrongRainMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-strong-rain-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.477 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.175 1.304C18.636 11.9 21.51 11.208 22.5 9c-4.168 1.762-6.956-2.354-5.518-5.2-1.089.326-1.913 1-2.528 3.034M8.5 16l-1 2m7-2l-1 2m-3-2l-2 4m4.05-4l-2 4\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c5.216 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.262 1.957c1.892.594 6.203-.444 7.688-3.756-6.252 2.643-10.434-3.531-8.277-7.8-1.633.489-2.87 1.498-3.792 4.55M12.75 24l-1.5 3m10.5-3l-1.5 3m-4.5-3l-3 6m6.075-6l-3 6\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudStrongRainMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudStrongRainMoonModule = /** @class */ (function () {
        function IconCloudStrongRainMoonModule() {
        }
        return IconCloudStrongRainMoonModule;
    }());
    IconCloudStrongRainMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudStrongRainMoonComponent],
                    exports: [IconCloudStrongRainMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudStrongRainSunComponent = /** @class */ (function (_super) {
        __extends(IconCloudStrongRainSunComponent, _super);
        function IconCloudStrongRainSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudStrongRainSunComponent;
    }(core.IconBase));
    IconCloudStrongRainSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-strong-rain-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M8.5 16l-1 2m7-2l-1 2m-3-2l-2 4m4.05-4l-2 4M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M12.75 24l-1.5 3m10.5-3l-1.5 3m-4.5-3l-3 6m6.075-6l-3 6M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudStrongRainSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudStrongRainSunModule = /** @class */ (function () {
        function IconCloudStrongRainSunModule() {
        }
        return IconCloudStrongRainSunModule;
    }());
    IconCloudStrongRainSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudStrongRainSunComponent],
                    exports: [IconCloudStrongRainSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSunshineComponent = /** @class */ (function (_super) {
        __extends(IconCloudSunshineComponent, _super);
        function IconCloudSunshineComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSunshineComponent;
    }(core.IconBase));
    IconCloudSunshineComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-sunshine',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.236 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167M16.5 2v2m-4.67-.122l1.44 1.386m6.523 6.6l1.414 1.414M23 8.5h-2m.096-4.611l-1.414 1.414\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.854 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75m3.594-7v3m-7.006-.183l2.161 2.079m9.784 9.9l2.122 2.12M34.5 12.75h-3m.144-6.917l-2.121 2.121\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSunshineComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSunshineModule = /** @class */ (function () {
        function IconCloudSunshineModule() {
        }
        return IconCloudSunshineModule;
    }());
    IconCloudSunshineModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSunshineComponent],
                    exports: [IconCloudSunshineComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSunComponent = /** @class */ (function (_super) {
        __extends(IconCloudSunComponent, _super);
        function IconCloudSunComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconCloudSunComponent;
    }(core.IconBase));
    IconCloudSunComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-cloud-sun',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M7.2 10.2c-2.14 0-2.567 4.3.8 4.3h7c3.194 0 3.2-4.3.7-4.2 1.1-3.7-3.8-5.4-5.3-2-1.32-1.082-3.432-.042-3.2 1.9zm10.139 1.187c1.266-.352 2.16-1.489 2.16-2.887 0-1.69-1.308-3-3-3-.992 0-1.854.451-2.395 1.167\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M10.8 15.3c-3.211 0-3.85 6.45 1.2 6.45h10.5c4.791 0 4.8-6.45 1.05-6.3 1.65-5.55-5.7-8.1-7.95-3-1.981-1.623-5.148-.063-4.8 2.85zm15.208 1.78c1.9-.527 3.242-2.233 3.242-4.33 0-2.536-1.964-4.5-4.5-4.5-1.49 0-2.783.677-3.594 1.75\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconCloudSunComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCloudSunModule = /** @class */ (function () {
        function IconCloudSunModule() {
        }
        return IconCloudSunModule;
    }());
    IconCloudSunModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconCloudSunComponent],
                    exports: [IconCloudSunComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFogComponent = /** @class */ (function (_super) {
        __extends(IconFogComponent, _super);
        function IconFogComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconFogComponent;
    }(core.IconBase));
    IconFogComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-fog',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M11 4.5h5-5zm-3 2h9-9zm-1 2h10H7zm-1 2h3-3zm4 0h9-9zm-3 2.01l12-.01-12 .01z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.5 6.75H24h-7.5zm-4.5 3h13.5H12zm-1.5 3h15-15zm-1.5 3h4.5H9zm6 0h13.5H15zm-4.5 3.015l18-.015-18 .015z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconFogComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconFogModule = /** @class */ (function () {
        function IconFogModule() {
        }
        return IconFogModule;
    }());
    IconFogModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconFogComponent],
                    exports: [IconFogComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMoonComponent = /** @class */ (function (_super) {
        __extends(IconMoonComponent, _super);
        function IconMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconMoonComponent;
    }(core.IconBase));
    IconMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.021 6.35c-6.9 5.3 1.8 15.9 8.9 8.7-5.9 2-10.5-4.3-8.9-8.7z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.531 9.526c-10.35 7.95 2.7 23.85 13.35 13.05-8.85 3-15.75-6.45-13.35-13.05z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconMoonModule = /** @class */ (function () {
        function IconMoonModule() {
        }
        return IconMoonModule;
    }());
    IconMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconMoonComponent],
                    exports: [IconMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSunriseComponent = /** @class */ (function (_super) {
        __extends(IconSunriseComponent, _super);
        function IconSunriseComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSunriseComponent;
    }(core.IconBase));
    IconSunriseComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-sunrise',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9.3 15c-.52-.675-.8-1.577-.8-2.5 0-2.217 1.783-4 4-4 2.218 0 4 1.783 4 4 0 .946-.355 1.813-.9 2.497M4 12.5h3m-.562-6.15l2.268 2.258M12.5 4v3m6.153-.558l-2.266 2.251M21 12.5h-3m-13 4h13.993\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.95 22.5c-.78-1.012-1.2-2.366-1.2-3.75 0-3.325 2.674-6 6-6 3.327 0 6 2.675 6 6 0 1.419-.533 2.72-1.35 3.745M6 18.75h4.5m-.843-9.226l3.402 3.387M18.75 6v4.5m9.23-.836L24.58 13.04m6.919 5.71H27m-19.5 6h20.99\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSunriseComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSunriseModule = /** @class */ (function () {
        function IconSunriseModule() {
        }
        return IconSunriseModule;
    }());
    IconSunriseModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSunriseComponent],
                    exports: [IconSunriseComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSunshineComponent = /** @class */ (function (_super) {
        __extends(IconSunshineComponent, _super);
        function IconSunshineComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSunshineComponent;
    }(core.IconBase));
    IconSunshineComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-sunshine',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M16.5 12.5a3.98 3.98 0 01-3.977 3.994 3.995 3.995 0 01-3.995-3.995c0-2.207 1.765-3.999 3.972-3.999 2.206 0 4 1.793 4 4zM4 12.5h3.003H4zm2.393-6.184L8.67 8.593 6.393 6.316zm6.119-2.328v3.015-3.015zm6.145 2.42l-2.264 2.238 2.264-2.238zM21 12.5h-3.006H21zm-2.33 6.093l-2.266-2.257 2.267 2.257zm-6.17-.6v3.003-3.003zm-3.843-1.592l-2.262 2.261 2.262-2.26z\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M24.75 18.75c0 3.309-2.657 5.991-5.965 5.991a5.992 5.992 0 01-5.993-5.992c0-3.311 2.648-5.999 5.958-5.999 3.309 0 6 2.69 6 6zM6 18.75h4.505H6zm3.589-9.276l3.415 3.415L9.59 9.474zm9.179-3.492v4.522-4.522zm9.218 3.63l-3.396 3.357 3.396-3.357zM31.5 18.75h-4.509H31.5zm-3.494 9.14l-3.4-3.386 3.4 3.385zm-9.256-.9v4.504-4.504zm-5.764-2.388l-3.393 3.392 3.393-3.392z\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSunshineComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSunshineModule = /** @class */ (function () {
        function IconSunshineModule() {
        }
        return IconSunshineModule;
    }());
    IconSunshineModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSunshineComponent],
                    exports: [IconSunshineComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSunMoonComponent = /** @class */ (function (_super) {
        __extends(IconSunMoonComponent, _super);
        function IconSunMoonComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconSunMoonComponent;
    }(core.IconBase));
    IconSunMoonComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-sun-moon',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M9 6.4c-6.9 5.3 1.8 15.9 8.9 8.7-5.9 2-10.5-4.3-8.9-8.7zm-.023 3.826C9.577 9.226 10.7 8.5 12 8.5c1.901 0 3.5 1.6 3.5 3.5 0 1.3-.744 2.56-1.844 3.158\"\n        />\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <path\n          fill=\"none\"\n          stroke=\"#000\"\n          d=\"M13.5 9.6c-10.35 7.95 2.7 23.85 13.35 13.05C18 25.65 11.1 16.2 13.5 9.6zm-.034 5.74c.9-1.5 2.585-2.59 4.533-2.59 2.852 0 5.25 2.4 5.25 5.25 0 1.95-1.116 3.839-2.766 4.737\"\n        />\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconSunMoonComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconSunMoonModule = /** @class */ (function () {
        function IconSunMoonModule() {
        }
        return IconSunMoonModule;
    }());
    IconSunMoonModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconSunMoonComponent],
                    exports: [IconSunMoonComponent],
                },] }
    ];

    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWeatherUnknownComponent = /** @class */ (function (_super) {
        __extends(IconWeatherUnknownComponent, _super);
        function IconWeatherUnknownComponent() {
            return _super.call(this, { width: '24px', height: '24px', ratio: 1 }) || this;
        }
        return IconWeatherUnknownComponent;
    }(core.IconBase));
    IconWeatherUnknownComponent.decorators = [
        { type: core$1.Component, args: [{
                    selector: 'sbb-icon-weather-unknown',
                    // tslint:disable:max-line-length
                    template: "\n    <ng-container [ngSwitch]=\"size\">\n      <svg\n        *ngSwitchDefault\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 24 24\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M16.02 14.5c2.15-.709 1.884-4.213-.32-4.125 1.102-3.737-3.813-5.454-5.317-2.02-1.324-1.092-3.443-.042-3.21 1.919-1.905 0-2.457 3.419-.199 4.19\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M11.026 16.999v-.838h.88v.838h-.88zm-1.39-4.077c.019-.5.118-.887.297-1.161.166-.252.386-.447.66-.584.275-.137.583-.205.926-.205.551 0 .99.154 1.316.463.304.285.456.66.456 1.124 0 .384-.103.714-.31.992-.092.126-.313.357-.664.696a2.222 2.222 0 00-.324.368 1.026 1.026 0 00-.128.365 3.193 3.193 0 00-.041.565h-.693c.006-.411.042-.717.111-.915.049-.146.118-.276.209-.391.091-.116.293-.331.606-.649.2-.203.332-.387.395-.551.051-.14.077-.283.077-.428 0-.268-.074-.494-.224-.676-.179-.223-.444-.335-.795-.335-.725 0-1.116.441-1.173 1.322h-.701z\"\n          />\n        </g>\n      </svg>\n      <svg\n        *ngSwitchCase=\"size?.indexOf('medium') === 0 ? size : ''\"\n        focusable=\"false\"\n        [attr.class]=\"'sbb-svg-icon ' + svgClass\"\n        xmlns=\"http://www.w3.org/2000/svg\"\n        viewBox=\"0 0 36 36\"\n      >\n        <g fill=\"none\" fill-rule=\"evenodd\">\n          <path\n            stroke=\"#000\"\n            d=\"M24.03 21.75c3.224-1.064 2.827-6.32-.48-6.188 1.654-5.605-5.719-8.18-7.976-3.03-1.986-1.637-5.165-.063-4.815 2.879-2.858 0-3.684 5.129-.297 6.285\"\n          />\n          <path\n            fill=\"#000\"\n            d=\"M16.539 25.498v-1.257h1.32V25.5h-1.32zm-2.085-6.115c.028-.75.177-1.33.445-1.741.25-.378.58-.671.99-.877a3.069 3.069 0 011.39-.307c.826 0 1.485.231 1.974.695.456.427.683.99.683 1.686 0 .576-.154 1.07-.465 1.488-.137.188-.469.535-.995 1.043a3.333 3.333 0 00-.486.552 1.54 1.54 0 00-.192.548c-.041.219-.062.5-.062.848h-1.04c.01-.617.063-1.076.167-1.373.073-.219.177-.414.314-.587.136-.174.439-.496.909-.973.3-.305.498-.58.592-.827.076-.21.116-.424.116-.642 0-.401-.111-.74-.337-1.014-.268-.334-.666-.502-1.192-.502-1.088 0-1.674.662-1.76 1.983h-1.051z\"\n          />\n        </g>\n      </svg>\n    </ng-container>\n  ",
                    // tslint:enable:max-line-length
                    changeDetection: core$1.ChangeDetectionStrategy.OnPush
                },] }
    ];
    IconWeatherUnknownComponent.ctorParameters = function () { return []; };
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconWeatherUnknownModule = /** @class */ (function () {
        function IconWeatherUnknownModule() {
        }
        return IconWeatherUnknownModule;
    }());
    IconWeatherUnknownModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [IconWeatherUnknownComponent],
                    exports: [IconWeatherUnknownComponent],
                },] }
    ];

    var modules = [
        IconCloudModule,
        IconCloudDenseFogModule,
        IconCloudDropsModule,
        IconCloudDropsMoonModule,
        IconCloudFogModule,
        IconCloudIceModule,
        IconCloudLightningModule,
        IconCloudLightningMoonModule,
        IconCloudLittleSnowMoonModule,
        IconCloudLittleSnowSunModule,
        IconCloudMoonModule,
        IconCloudRainModule,
        IconCloudRainSnowModule,
        IconCloudRainSnowMoonModule,
        IconCloudRainSnowSunModule,
        IconCloudRainSunModule,
        IconCloudSnowflakeModule,
        IconCloudSnowflakeSunModule,
        IconCloudSnowModule,
        IconCloudSnowLightningModule,
        IconCloudSnowMoonModule,
        IconCloudSnowSunModule,
        IconCloudStrongRainMoonModule,
        IconCloudStrongRainSunModule,
        IconCloudSunshineModule,
        IconCloudSunModule,
        IconFogModule,
        IconMoonModule,
        IconSunriseModule,
        IconSunshineModule,
        IconSunMoonModule,
        IconWeatherUnknownModule,
    ];
    /**
     * @deprecated use @sbb-esta/angular-core/icon module
     */
    var IconCollectionWeatherModule = /** @class */ (function () {
        function IconCollectionWeatherModule() {
        }
        return IconCollectionWeatherModule;
    }());
    IconCollectionWeatherModule.decorators = [
        { type: core$1.NgModule, args: [{
                    imports: modules,
                    exports: modules,
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.IconCloudComponent = IconCloudComponent;
    exports.IconCloudDenseFogComponent = IconCloudDenseFogComponent;
    exports.IconCloudDenseFogModule = IconCloudDenseFogModule;
    exports.IconCloudDropsComponent = IconCloudDropsComponent;
    exports.IconCloudDropsModule = IconCloudDropsModule;
    exports.IconCloudDropsMoonComponent = IconCloudDropsMoonComponent;
    exports.IconCloudDropsMoonModule = IconCloudDropsMoonModule;
    exports.IconCloudFogComponent = IconCloudFogComponent;
    exports.IconCloudFogModule = IconCloudFogModule;
    exports.IconCloudIceComponent = IconCloudIceComponent;
    exports.IconCloudIceModule = IconCloudIceModule;
    exports.IconCloudLightningComponent = IconCloudLightningComponent;
    exports.IconCloudLightningModule = IconCloudLightningModule;
    exports.IconCloudLightningMoonComponent = IconCloudLightningMoonComponent;
    exports.IconCloudLightningMoonModule = IconCloudLightningMoonModule;
    exports.IconCloudLittleSnowMoonComponent = IconCloudLittleSnowMoonComponent;
    exports.IconCloudLittleSnowMoonModule = IconCloudLittleSnowMoonModule;
    exports.IconCloudLittleSnowSunComponent = IconCloudLittleSnowSunComponent;
    exports.IconCloudLittleSnowSunModule = IconCloudLittleSnowSunModule;
    exports.IconCloudModule = IconCloudModule;
    exports.IconCloudMoonComponent = IconCloudMoonComponent;
    exports.IconCloudMoonModule = IconCloudMoonModule;
    exports.IconCloudRainComponent = IconCloudRainComponent;
    exports.IconCloudRainModule = IconCloudRainModule;
    exports.IconCloudRainSnowComponent = IconCloudRainSnowComponent;
    exports.IconCloudRainSnowModule = IconCloudRainSnowModule;
    exports.IconCloudRainSnowMoonComponent = IconCloudRainSnowMoonComponent;
    exports.IconCloudRainSnowMoonModule = IconCloudRainSnowMoonModule;
    exports.IconCloudRainSnowSunComponent = IconCloudRainSnowSunComponent;
    exports.IconCloudRainSnowSunModule = IconCloudRainSnowSunModule;
    exports.IconCloudRainSunComponent = IconCloudRainSunComponent;
    exports.IconCloudRainSunModule = IconCloudRainSunModule;
    exports.IconCloudSnowComponent = IconCloudSnowComponent;
    exports.IconCloudSnowLightningComponent = IconCloudSnowLightningComponent;
    exports.IconCloudSnowLightningModule = IconCloudSnowLightningModule;
    exports.IconCloudSnowModule = IconCloudSnowModule;
    exports.IconCloudSnowMoonComponent = IconCloudSnowMoonComponent;
    exports.IconCloudSnowMoonModule = IconCloudSnowMoonModule;
    exports.IconCloudSnowSunComponent = IconCloudSnowSunComponent;
    exports.IconCloudSnowSunModule = IconCloudSnowSunModule;
    exports.IconCloudSnowflakeComponent = IconCloudSnowflakeComponent;
    exports.IconCloudSnowflakeModule = IconCloudSnowflakeModule;
    exports.IconCloudSnowflakeSunComponent = IconCloudSnowflakeSunComponent;
    exports.IconCloudSnowflakeSunModule = IconCloudSnowflakeSunModule;
    exports.IconCloudStrongRainMoonComponent = IconCloudStrongRainMoonComponent;
    exports.IconCloudStrongRainMoonModule = IconCloudStrongRainMoonModule;
    exports.IconCloudStrongRainSunComponent = IconCloudStrongRainSunComponent;
    exports.IconCloudStrongRainSunModule = IconCloudStrongRainSunModule;
    exports.IconCloudSunComponent = IconCloudSunComponent;
    exports.IconCloudSunModule = IconCloudSunModule;
    exports.IconCloudSunshineComponent = IconCloudSunshineComponent;
    exports.IconCloudSunshineModule = IconCloudSunshineModule;
    exports.IconCollectionWeatherModule = IconCollectionWeatherModule;
    exports.IconFogComponent = IconFogComponent;
    exports.IconFogModule = IconFogModule;
    exports.IconMoonComponent = IconMoonComponent;
    exports.IconMoonModule = IconMoonModule;
    exports.IconSunMoonComponent = IconSunMoonComponent;
    exports.IconSunMoonModule = IconSunMoonModule;
    exports.IconSunriseComponent = IconSunriseComponent;
    exports.IconSunriseModule = IconSunriseModule;
    exports.IconSunshineComponent = IconSunshineComponent;
    exports.IconSunshineModule = IconSunshineModule;
    exports.IconWeatherUnknownComponent = IconWeatherUnknownComponent;
    exports.IconWeatherUnknownModule = IconWeatherUnknownModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-icons-weather.umd.js.map
