/// <amd-module name="@sbb-esta/angular-icons/schematics/ng-generate/svg-icons/application-icon-module-generator" />
import { Path } from '@angular-devkit/core';
import { ProjectDefinition } from '@angular-devkit/core/src/workspace';
import { Rule, Tree } from '@angular-devkit/schematics';
import { IconModule } from './icon-module';
import { IconModuleCollection } from './icon-module-collection';
export declare class ApplicationIconModuleGenerator {
    protected readonly _rootCollection: IconModuleCollection;
    protected readonly _projectRootDir: Path;
    protected readonly _targetDir: Path;
    protected readonly _prefix: string;
    constructor(_rootCollection: IconModuleCollection, tree: Tree, project: ProjectDefinition, targetDir: string);
    generate(): Rule[];
    protected _generateCollection(collection: IconModuleCollection, targetDir: Path): Rule[];
    protected _generateIcons(icons: IconModule[], targetDir: Path): Rule;
    protected _generateCollections(collections: Map<string, IconModuleCollection>, targetDir: Path): Rule[];
    private _extractTemplate;
    private _extractAttributes;
}
